<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ItemOrder extends Model
{
    public function itemPurchase()
    {
        return $this->belongsTo(ItemPurchase::class);
    }

    public function itemMeasurement()
    {
        return $this->belongsTo(ItemMeasurement::class);
    }

    public function order()
    {
        return $this->belongsTo(Order::class);
    }
}
