<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('item_wastes', function (Blueprint $table) {
            $table->id();
            $table->integer('waste_id');
            $table->integer('item_purchase_id');
            $table->integer('item_measurement_id')->nullable();
            $table->double("item_measurement_quantity", 1000000000000000000, 2);
            $table->double("waste_quantity", 1000000000, 2);
            $table->double("waste_price", 1000000000000000000, 2);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('item_wastes');
    }
};
