<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('sales_audits', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id');
            $table->date("audit_date");
            $table->integer('audit_by');
            $table->double("audit_amount")->default(0.00);
            $table->json("audit_details");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('sales_audits');
    }
};
