<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('item_list_orders', function (Blueprint $table) {
            $table->id();
            $table->integer("item_id");
            $table->integer("item_list_id");
            $table->integer("item_order_id");
            $table->integer("item_purchase_id");
            $table->double("order_quantity", 1000000000, 2);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('item_list_orders');
    }
};
