<!DOCTYPE html>
<html lang="en" >
<!--begin::Head-->

<meta http-equiv="content-type" content="text/html;charset=UTF-8" />
<head>
    <title>403 Error</title>
    <meta charset="utf-8"/>
    <meta name="description" content="{{env("APP_NAME")}}"/>
    <meta name="keywords" content="{{env("APP_NAME")}}"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <meta property="og:locale" content="en_US" />
    <meta property="og:type" content="article" />
    <meta property="og:title" content="{{env("APP_NAME")}}" />
    <link rel="canonical" href="{{url("https://preview.keenthemes.com/metronic8")}}"/>
    <link rel="shortcut icon" href="{{url("assets/media/logos/favicon.png")}}"/>

    <!--begin::Fonts(mandatory for all pages)-->
    <link rel="stylesheet" href="{{url("https://fonts.googleapis.com/css?family=Inter:300,400,403,600,700")}}"/>
    <!--end::Fonts-->

    <!--begin::Global Stylesheets Bundle(mandatory for all pages)-->
    <link href="{{url("assets/plugins/global/plugins.bundle.css")}}" rel="stylesheet" type="text/css"/>
    <link href="{{url("assets/css/style.bundle.css")}}" rel="stylesheet" type="text/css"/>
    <!--end::Global Stylesheets Bundle-->

    <script>
        (function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
                new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
            j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
            '../../../../../www.googletagmanager.com/gtm5445.html?id='+i+dl;f.parentNode.insertBefore(j,f);
        })(window,document,'script','dataLayer','GTM-5FS8GGP');</script>
    <script>
        if (window.top != window.self) {
            window.top.location.replace(window.self.location.href);
        }
    </script>
</head>
<!--end::Head-->

<!--begin::Body-->
<body  id="kt_body"  class="auth-bg bgi-size-cover bgi-position-center bgi-no-repeat" >
<!--begin::Theme mode setup on page load-->
<script>
    var defaultThemeMode = "light";
    var themeMode;

    if ( document.documentElement ) {
        if ( document.documentElement.hasAttribute("data-bs-theme-mode")) {
            themeMode = document.documentElement.getAttribute("data-bs-theme-mode");
        } else {
            if ( localStorage.getItem("data-bs-theme") !== null ) {
                themeMode = localStorage.getItem("data-bs-theme");
            } else {
                themeMode = defaultThemeMode;
            }
        }

        if (themeMode === "system") {
            themeMode = window.matchMedia("(prefers-color-scheme: dark)").matches ? "dark" : "light";
        }

        document.documentElement.setAttribute("data-bs-theme", themeMode);
    }
</script>
<!--end::Theme mode setup on page load-->
<!--Begin::Google Tag Manager (noscript) -->
<noscript><iframe src="{{url("https://www.googletagmanager.com/ns.html?id=GTM-5FS8GGP")}}" height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!--End::Google Tag Manager (noscript) -->

<!--begin::Main-->
<!--begin::Root-->
<div class="d-flex flex-column flex-root">
    <!--begin::Page bg image-->
    <style>
        body {
            background-image: url('assets/media/auth/bg3.jpg');
        }

        [data-bs-theme="dark"] body {
            background-image: url('assets/media/auth/bg3-dark.jpg');
        }
    </style>
    <!--end::Page bg image-->

    <!--begin::Authentication - Signup Welcome Message -->
    <div class="d-flex flex-column flex-center flex-column-fluid">
        <!--begin::Content-->
        <div class="d-flex flex-column flex-center text-center p-10">
            <!--begin::Wrapper-->
            <div class="card card-flush w-lg-650px py-5">
                <div class="card-body py-15 py-lg-20">

                    <!--begin::Logo-->
                    <div class="mb-14 d-none">
                        <a href="{{url("#")}}" class="">
                            <img alt="Logo" style="width:100px;" src="{{url("assets/media/logos/citypot_logo.png")}}" class="h-40pxs"/>
                        </a>
                    </div>
                    <!--end::Logo-->

                    <!--begin::Title-->
                    <h1 class="fw-bolder text-gray-900 mb-5">
                        An Error Occurred
                    </h1>
                    <!--end::Title-->

                    <!--begin::Text-->
                    <div class="fw-semibold fs-6 text-gray-403 mb-8">
                        Something went wrong,
                        <br/>
                        please head home....
                    </div>
                    <!--end::Text-->

                    <!--begin::Link-->
                    <div class="mb-11">
                        <a href="{{url("/")}}" class="btn btn-sm btn-primary">Home <i class="fa fa-home-user mb-1"></i></a>
                    </div>
                    <!--end::Link-->

                    <!--begin::Illustration-->
                    <div class="mb-0">
                        <img src="{{url("assets/media/auth/membership.png")}}" class="mw-100 mh-300px theme-light-show" alt=""/>
                        <img src="{{url("assets/media/auth/membership-dark.png")}}" class="mw-100 mh-300px theme-dark-show" alt=""/>
                    </div>
                    <!--end::Illustration-->

                </div>
            </div>
            <!--end::Wrapper-->
        </div>
        <!--end::Content-->
    </div>
    <!--end::Authentication - Signup Welcome Message-->
</div>
<!--end::Root-->
<!--end::Main-->


<!--begin::Javascript-->
<script>
    var hostUrl = "assets/index.html";
</script>

<!--begin::Global Javascript Bundle(mandatory for all pages)-->
<script src="{{url("assets/plugins/global/plugins.bundle.js")}}"></script>
<script src="{{url("assets/js/scripts.bundle.js")}}"></script>
<!--end::Global Javascript Bundle-->

<!--end::Javascript-->

</body>
<!--end::Body-->
</html>
