
<button
    type="button"
    class="btn btn-danger d-none emptyModal"
    data-bs-toggle="modal"
    data-bs-target="#emptyModal"
    style="margin-right: 10px;"
>
</button>

<div class="modal fade kitchenAlertModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" id="kitchenAlertModal">
    <div class="modal-dialog mw-850px">
        <div class="modal-content">
            <div class="modal-header">
                <h3 class="modal-title">Kitchen Alert!</h3>
                <div class="btn btn-icon d-none btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                    <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                </div>
            </div>
            <div class="modal-body py-10 px-lg-17">
                <div class="mt-7 d-flex flex-column align-items-center justify-content-center">
                    <h5 class="text-center p-3 text-white bg-danger alertItemName"></h5>
                    <img style="width:250px;height:250px;" class="alertItemImage p-20" src="<?php echo e(url("empty.png")); ?>"/>
                    <button
                        type="button"
                        id="viewKitchenAlert" data-id="" data-bs-dismiss="modal" class="btn btn-primary viewKitchenAlert">Close</button>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade playSoundModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" id="playSoundModal">
    <div class="modal-dialog mw-850px">
        <div class="modal-content">
            <div class="modal-header d-none">
                <h3 class="modal-title">Add Staff</h3>
                <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                    <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                </div>
            </div>
            <div class="modal-body py-10 px-lg-17">
                <div class="mt-7 d-flex flex-column align-items-center justify-content-center">
                    <h5 class="text-center p-3 text-white bg-danger">Welcome, <?php echo e(Auth::user()->name); ?>!</h5>
                    <img style="width:250px;" src="<?php echo e(url("empty.png")); ?>"/>
                    <button
                        type="button"
                        id="playSoundButtons" data-bs-dismiss="modal" class="btn btn-primary">Close</button>
                </div>
            </div>
        </div>
    </div>
</div>

        <!--begin::Footer-->
          <div class="footer py-4 d-flex flex-lg-column" id="kt_footer">
            <!--begin::Container-->
            <div
              class="container-xxl d-flex flex-column flex-md-row align-items-center justify-content-between"
            >
              <!--begin::Copyright-->
              <div class="text-dark order-2 order-md-1">
                <span class="text-muted fw-semibold me-1">2023&copy;</span>
                <a
                  href="<?php echo e(url("#")); ?>"
                  target="_blank"
                  class="text-gray-800 text-hover-primary"
                  >ZEON Global Technical Ltd</a>
              </div>
              <!--end::Copyright-->
            </div>
            <!--end::Container-->
          </div>
          <!--end::Footer-->
		  <!--begin::Scrolltop-->
		  <div id="kt_scrolltop" class="scrolltop" data-kt-scrolltop="true">
			<i class="ki-duotone ki-arrow-up"><span class="path1"></span><span class="path2"></span></i>
		  </div>
		  <!--end::Scrolltop-->
        </div>
        <!--end::Wrapper-->
      </div>
      <!--end::Page-->
    </div>
    <!--end::Root-->

      <?php echo $__env->make("layouts.scripts", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
      <?php echo $__env->make("layouts.drawer", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
      <?php echo $__env->make("layouts.modal", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

      <?php echo $__env->yieldContent('footer-links'); ?>

      <script>
          var elements = Array.prototype.slice.call(document.querySelectorAll("[data-bs-stacked-modal]"));
          if (elements && elements.length > 0) {
              elements.forEach((element) => {
                  if (element.getAttribute("data-kt-initialized") === "1") {
                      return;
                  }

                  element.setAttribute("data-kt-initialized", "1");

                  element.addEventListener("click", function(e) {
                      e.preventDefault();

                      const modalEl = document.querySelector(this.getAttribute("data-bs-stacked-modal"));

                      if (modalEl) {
                          const modal = new bootstrap.Modal(modalEl);
                          modal.show();
                      }
                  });
              });
          }

          function emptyModalOpen(){
              $(".emptyModalHeaderTitle").text("");
              $(".emptyModalBody").html("");
              $(".emptyModalHeader").hide();
              $(".emptyModal").click();
              $(".emptyModalLoader").show();
          }

          function emptyModalFill(response){
              $(".emptyModalHeaderTitle").text(response.title);
              $(".emptyModalBody").html(response.body);
              $(".emptyModalHeader").show();
              $(".emptyModalLoader").hide();
          }

          function emptyModalClose(){
              $(".modal_close").click();
          }

          var target = document.querySelector("#overlayTarget");
        var blockUI = new KTBlockUI(target, {
            overlayClass: "bg-secondary bg-opacity-75",
            zIndex: 100000
        });

      </script>

    </body>

</html>
<?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/zeonpos/resources/views/layouts/footer.blade.php ENDPATH**/ ?>