<?php $__env->startSection('title', env('APP_NAME')); ?>

<?php $__env->startSection('content'); ?>

    <!--begin::Toolbar-->
    <div class="toolbar mb-n1 pt-3 mb-lg-n3 pt-lg-6" id="kt_toolbar">
        <!--begin::Container-->
        <div
            id="kt_toolbar_container"
            class="container-xxl d-flex flex-stack flex-wrap gap-2"
        >
            <!--begin::Page title-->
            <div
                class="page-title d-flex flex-column align-items-start me-3 py-2 py-lg-0 gap-2"
            >
                <!--begin::Title-->
                <h1 class="d-flex text-dark fw-bold m-0 fs-3">Audits</h1>
                <!--end::Title-->

                <!--begin::Breadcrumb-->
                <ul
                    class="breadcrumb breadcrumb-dot fw-semibold text-gray-600 fs-7"
                >
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">
                        <a
                            href="<?php echo e(url("/")); ?>"
                            class="text-gray-600 text-hover-primary"
                        >
                            Home
                        </a>
                    </li>
                    <!--end::Item-->
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">POS Audits</li>
                    <!--end::Item-->
                    <!--begin::Item-->
                </ul>
                <!--end::Breadcrumb-->
            </div>
            <!--end::Page title-->
            <!--begin::Actions-->
            <div class="d-flex align-items-center">
                <!--begin::Daterange-->
                <a
                    href="#"
                    class="btn btn-flex bg-body h-35px h-lg-40px px-5"
                    id="date"
                    data-bs-toggle="tooltip"
                    data-bs-dismiss="click"
                    data-bs-trigger="hover"
                    title="Select Date"
                >
                <span class="me-4">
                  <span
                      class="text-muted fw-semibold me-1"
                      id="kt_dashboard_daterangepicker_title"
                  >Select Date:</span
                  >
                  <span
                      class="text-primary fw-bold"
                      id="dateText"
                  >
                    Apr 23
                  </span>
                </span>
                    <i class="ki-duotone ki-down fs-4 m-0"></i>
                </a>
                <!--end::Daterange-->
            </div>
            <!--end::Actions-->
        </div>
        <!--end::Container-->
    </div>
    <!--end::Toolbar-->

    <!--begin::Container-->
    <div id="kt_content_container" class="d-flex flex-column-fluid align-items-start container-xxl d-none" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
            <div class="row g-5 g-lg-10">

                <div class="col-xl-3 mb-xl-10">
                    <div class="card bgi-no-repeat bgi-position-y-top bgi-position-x-end statistics-widget-3 h-xl-100">
                        <div class="card-body">
                            <a href="#" class="card-title fw-bold text-muted text-hover-primary fs-4">Total Order Amount</a>
                            <div class="fw-bold text-primary my-6"></div>
                            <a href="#" class="btn btn-lg btn-outline btn-outline-dashed btn-outline-primary btn-active-light-primary">₦<span class="totalOrderAmount">0.00</span></a>
                        </div>
                    </div>
                </div>

                <div class="col-xl-3 mb-xl-10">
                    <div class="card bgi-no-repeat bgi-position-y-top bgi-position-x-end statistics-widget-3 h-xl-100">
                        <div class="card-body">
                            <a href="#" class="card-title fw-bold text-muted text-hover-info fs-4">Total Amount Paid</a>
                            <div class="fw-bold text-primary my-6"></div>
                            <a href="#" class="btn btn-lg btn-outline btn-outline-dashed btn-outline-info btn-active-light-info">₦<span class="totalPaid">0.00</span></a>
                        </div>
                    </div>
                </div>

                <div class="col-xl-3 mb-xl-10">
                    <div class="card bgi-no-repeat bgi-position-y-top bgi-position-x-end statistics-widget-3 h-xl-100">
                        <div class="card-body">
                            <a href="#" class="card-title fw-bold text-muted text-hover-success fs-4">Total Balance</a>
                            <div class="fw-bold text-primary my-6"></div>
                            <a href="#" class="btn btn-lg btn-outline btn-outline-dashed btn-outline-success btn-active-light-success">₦<span class="totalBalance">0.00</span></a>
                        </div>
                    </div>
                </div>

                <div class="col-xl-3 mb-xl-10">
                    <div class="card bgi-no-repeat bgi-position-y-top bgi-position-x-end statistics-widget-3 h-xl-100">
                        <div class="card-body">
                            <a href="#" class="card-title fw-bold text-muted text-hover-dark fs-4">Total Orders</a>
                            <div class="fw-bold text-primary my-6"></div>
                            <a href="#" class="btn btn-lg btn-outline btn-outline-dashed btn-outline-dark btn-active-light-dark totalOrders">0</a>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>

    <!--begin::Container-->
    <div id="kt_content_container" class="d-flex flex-column-fluid align-items-start container-xxl" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
            <!--begin::Card-->
            <div class="card z-depth-1">
                <!--begin::Card header-->
                <div class="card-header border-0 pt-6">
                    <!--begin::Card title-->
                    <div class="card-title">
                        <!--begin::Search-->
                        <div
                            class="d-flex align-items-center position-relative my-1"
                        >
                            <i
                                class="ki-duotone ki-magnifier fs-3 position-absolute ms-5"
                            ><span class="path1"></span><span class="path2"></span
                                ></i>
                            <input
                                type="text"
                                data-kt-customer-table-filter="search"
                                class="form-control form-control-solid w-250px ps-12"
                                placeholder="Search POS Audits"
                            />
                        </div>
                        <!--end::Search-->
                    </div>
                    <!--begin::Card title-->

                    <!--begin::Card toolbar-->
                    <div class="card-toolbar">
                        <!--begin::Toolbar-->
                        <div
                            class="d-flex justify-content-end"
                            data-kt-customer-table-toolbar="base"
                        >
                            <button
                                type="button"
                                class="btn btn-info position-relative me-5 paymentsAudit"
                            >
                                Payments Audit
                            </button>

                            <button
                                type="button"
                                id="latePayments" 
                                data-bs-toggle="modal"
                                data-bs-target="#latePaymentsModal"
                                class="btn btn-warning position-relative me-5 d-none"
                            >
                                Balance Late Payments <span class="position-absolute top-0 start-100 translate-middle totalLatePayments badge badge-circle badge-dark">0</span>
                            </button>

                            <button
                                type="button"
                                id="savedOrders" 
                                class="btn btn-success position-relative me-5 d-none"
                                data-bs-toggle="modal"
                                data-bs-target="#kt_modal_suspend_orders"
                            >
                                Hanging Orders <span class="position-absolute top-0 start-100 translate-middle totalSavedOrders badge badge-circle badge-dark">0</span>
                            </button>
                        </div>
                        <!--end::Toolbar-->

                    </div>
                    <!--end::Card toolbar-->
                </div>
                <!--end::Card header-->

                <!--begin::Card body-->
                <div class="card-body pt-0">
                    <!--begin::Table-->
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="salesAuditTable">
                        <thead>
                        <tr
                            class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0"
                        >
                            <th class="min-w-70px">Actions</th>
                            <th class="min-w-125px">Staff</th>
                            <th class="min-w-125px">Est. Amount</th>
                            <th class="min-w-125px">Amount Gotten</th>
                            <th class="min-w-125px">Difference</th>
                            <th class="min-w-125px">Total Order</th>
                            <th class="min-w-125px">Order Amount</th>
                            <th class="min-w-125px">Discount</th>
                            <th class="min-w-125px">Amount Paid</th>
                            <th class="min-w-125px">Change</th>
                            <th class="min-w-125px">Audit Date</th>
                            <th class="text-end min-w-125px">Audit By</th>
                        </tr>
                        </thead>
                        <tbody class="fw-semibold text-gray-600">
                        </tbody>
                    </table>
                    <!--end::Table-->
                </div>
                <!--end::Card body-->
            </div>
            <!--end::Card-->

            <div class="modal fade" tabindex="-1" id="auditPOSModal">
                <div class="modal-dialog mw-1000px">
                    <form id="addPOSAuditForm">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h3 class="modal-title">Add POS Audit</h3>
                                <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                    <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                                </div>
                            </div>

                            <div class="modal-body">
                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Select User</label>
                                    <select class="select mb-2 userId" name="userId" data-width="100%" data-live-search="true" data-placeholder="Select a user" data-dropdown-parent="#auditPOSModal">
                                        <option>Select User</option>
                                        <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($user->id); ?>"><?php echo e($user->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Audit Date</label>
                                    <input type="date" class="form-control form-control-solid" placeholder="Audit Date" name="auditDate" value="" />
                                </div>

                                <div class="fv-row mb-7">
                                    <div id="paymentsAudits">
                                        <div class="form-group mt-7">
                                            <div data-repeater-list="paymentsAudits">
                                                <div data-repeater-item class="mb-5">
                                                    <div class="form-group row">
                                                        <div class="col-md-5">
                                                            <label class="required fs-6 fw-semibold mb-1">Select Payment Method</label>
                                                            <select class="mb-2 paymentMethodId" name="id" data-placeholder="Select Payment Method" data-live-search="true" data-width="100%" data-dropdown-parent="#auditPOSModal">
                                                                <option>Select Payment Method</option>
                                                                <?php $__currentLoopData = $paymentMethods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $paymentMethod): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <option value="<?php echo e($paymentMethod->id); ?>"><?php echo e($paymentMethod->payment_method_name); ?></option>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            </select>
                                                        </div>
                                                        <div class="col-md-4">
                                                            <label class="form-label">Total Amount:</label>
                                                            <input type="text" name="auditValue" class="form-control mb-2 mb-md-0" placeholder="Enter audit value" />
                                                        </div>
                                                        <div class="col-md-3">
                                                            <a href="javascript:;" data-repeater-delete class="btn btn-sm btn-light-danger mt-3 mt-md-8">
                                                                <i class="ki-duotone ki-trash fs-5"><span class="path1"></span><span class="path2"></span><span class="path3"></span><span class="path4"></span><span class="path5"></span></i>
                                                                Delete
                                                            </a>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-group mt-5">
                                            <a href="javascript:;" data-repeater-create class="btn btn-light-primary">
                                                <i class="ki-duotone ki-plus fs-3"></i>
                                                Add Payment Methods
                                            </a>
                                        </div>
                                    </div>

                                </div>
                            </div>

                            <div class="modal-footer">
                                <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>

            <div class="modal fade" tabindex="-1" id="latePaymentsModal">
                <div class="modal-dialog mw-1000px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title">Late Payments</h3>

                            <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                            </div>
                        </div>

                        <div class="modal-body py-10 px-lg-17">
                            <div class="justify-content-between">
                                <i
                                    class="ki-duotone ki-magnifier fs-3 mt-4 position-absolute ms-5"
                                ><span class="path1"></span><span class="path2"></span
                                    ></i>
                                <input
                                    id="searchInput"
                                    type="text"
                                    data-kt-customer-table-filter="searchitems"
                                    class="form-control mb-5 form-control-solid w-250px ps-12"
                                    placeholder="Search Payments"
                                />
                            </div>
                            <table class="table align-middle table-row-dashed fs-6 gy-5" id="latePaymentsTable">
                                <thead>
                                <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                    <th class="min-w-100px">Actions</th>
                                    <th class="min-w-325px">Payments</th>
                                    <th class="min-w-200px">Branch and Order</th>
                                    <th class="min-w-175px text-end">Cashier <br/> --- <br/> Cleared By</th>
                                </tr>
                                </thead>
                                <tbody class="fw-semibold text-gray-600">

                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>

        </div>
        <!--end::Post-->
    </div>
    <!--end::Container-->

<?php $__env->stopSection(); ?>

<?php $__env->startSection("footer-links"); ?>

    <script>
        $(document).ready(function() {

            var start = moment("<?php echo $startDate; ?>", "YYYY-MM-DD");
            var end = moment("<?php echo $endDate; ?>", "YYYY-MM-DD");

            let from = "<?php echo $startDate; ?>";
            let to = "<?php echo $endDate; ?>";

            "use strict";

            var datatable = $("#salesAuditTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 10,
                "ajax": {
                    "url": "ajax_sales_audit?startDate=" + from + "&endDate=" + to,
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });

            function cb(start, end) {
                from = start.format('YYYY-MM-DD')
                to = end.format('YYYY-MM-DD')
                $("#dateText").html(start.format("ddd, MMM D, YYYY") + " - " + end.format("ddd, MMM D, YYYY"));
                datatable.ajax.url("ajax_sales_audit?startDate=" + from + "&endDate=" + to).load();
                salesAuditSummary();
            }

            cb(start, end);

            salesAuditSummary();

            $("#date").daterangepicker({
                startDate: start,
                endDate: end,
                ranges: {
                    "Today": [moment(), moment()],
                    "Yesterday": [moment().subtract(1, "days"), moment().subtract(1, "days")],
                    "Last 7 Days": [moment().subtract(6, "days"), moment()],
                    "Last 30 Days": [moment().subtract(29, "days"), moment()],
                    "This Month": [moment().startOf("month"), moment().endOf("month")],
                    "Last Month": [moment().subtract(1, "month").startOf("month"), moment().subtract(1, "month").endOf("month")]
                }
            }, function(start, end) {
                cb(start, end);
            });

            function salesAuditSummary(){
                $.ajax({
                    url: 'sales_audit_summary',
                    method: 'GET',
                    data: {startDate: from, endDate: to},
                    success: function(response) {
                        $(".totalOrderAmount").text(response.totalOrderAmount);
                        $(".totalBalance").text(response.totalBalance);
                        $(".totalPaid").text(response.totalPaid);
                        $(".totalOrders").text(response.totalOrders);
                    },
                    error: function() {
                        // salesAuditSummary();
                    }
                });
            }

            $(document).on("click", ".paymentsAudit", function (e){
                e.preventDefault();
                emptyModalOpen();
                $.ajax({
                    type: "GET",
                    url: "payments_audit",
                    dataType: "json",
                    data:{
                        startDate: from
                    },
                    success: function (response) {
                        if (response.status === "success") {
                            emptyModalFill(response)
                        } else {
                            Swal.fire("Cancelled!", response.message, "error");
                        }
                        Swal.hideLoading();
                    },
                    error: function (response) {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        emptyModalClose();
                    }
                });

            });

            $(document).on('keyup', '[data-kt-customer-table-filter="search"]', function (e) {
                datatable.search(e.target.value).draw();
            });

            $('#paymentsAudits').repeater({
                show: function () {
                    $(this).slideDown();
                    $(this).find('.paymentMethodId').selectpicker();
                },
                hide: function (deleteElement) {
                    $(this).slideUp(deleteElement);
                },
                ready: function () {
                    $('.paymentMethodId').selectpicker();
                }
            });

            $(document).on("click", ".saleItemRecipe", function (e) {
                e.preventDefault();
                var sale_item_id = $(this).data("id");
                $(".category-div-2").html("");
                $(".card-body-loader-2").show();
                $.ajax({
                    type: "GET",
                    url: "recipes",
                    dataType: "json",
                    data: {
                        saleItemId: sale_item_id,
                    },
                    success: function (response) {
                        if (response.status === "success") {
                            $(".card-body-loader-2").hide();
                            $(".category-div-2").html(response.body);
                            $('#recipes').repeater({
                                initEmpty: true,
                                show: function () {
                                    $(this).slideDown();
                                    $(this).find('.storeItemId').selectpicker();
                                    $(this).find('.measurementId').selectpicker();
                                    $(this).find('.recipeStatus').selectpicker();
                                },

                                hide: function (deleteElement) {
                                    $(this).slideUp(deleteElement);
                                },
                                ready: function () {
                                    $('.storeItemId').selectpicker();
                                    $('.measurementId').selectpicker();
                                    $('.recipeStatus').selectpicker();
                                }
                            });
                        } else {
                            Swal.fire("Cancelled!", response.message, "error");
                        }
                        Swal.hideLoading();
                    },
                    error: function (response) {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        emptyModalClose();
                    }
                });
            })

            $(document).on("click", ".editSalesPOSAudit", function (e){
                e.preventDefault();
                var start_date = $(this).data("start_date");
                var end_date = $(this).data("end_date");
                var cashier_id = $(this).data("cashier_id");
                emptyModalOpen();
                $.ajax({
                    type: "GET",
                    url: "cashier_audit",
                    dataType: "json",
                    data:{
                        startDate: start_date,
                        endDate: end_date,
                        cashierId: cashier_id,
                    },
                    success: function (response) {
                        if (response.status === "success") {
                            emptyModalFill(response)
                        } else {
                            Swal.fire("Cancelled!", response.message, "error");
                        }
                        Swal.hideLoading();
                    },
                    error: function (response) {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        emptyModalClose();
                    }
                });

            });

            $(document).on("click", ".editPOSAudit", function (e){
                e.preventDefault();
                var sales_audit_id = $(this).data("sales_audit_id");
                emptyModalOpen();
                $.ajax({
                    type: "GET",
                    url: "edit_sales_audit_form",
                    dataType: "json",
                    data:{
                        salesAuditId: sales_audit_id,
                    },
                    success: function (response) {
                        if (response.status === "success") {
                            emptyModalFill(response)
                            $('#editPaymentsAudits').repeater({
                                show: function () {
                                    $(this).slideDown();
                                    $(this).find('.paymentMethodId').selectpicker();
                                },
                                hide: function (deleteElement) {
                                    $(this).slideUp(deleteElement);
                                },
                                ready: function () {
                                    $('.paymentMethodId').selectpicker();
                                }
                            });
                            $('.paymentMethodId').selectpicker();
                            $('.userId').selectpicker();
                            $('.branchId').selectpicker();
                        } else {
                            Swal.fire("Cancelled!", response.message, "error");
                        }
                        Swal.hideLoading();
                    },
                    error: function (response) {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        emptyModalClose();
                    }
                });

            });

            $(document).on("submit", "#editPOSAuditForm", function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Sales Audit will be updated!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#editPOSAuditForm").ajaxSubmit({
                                    type: "PUT",
                                    url: "edit_sales_audit",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.ajax.url("ajax_sales_audit?startDate=" + from + "&endDate=" + to).load();
                                            salesAuditSummary();
                                            close_modal()
                                            Swal.fire("Done!", "Sales Audit Updated", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $(document).on("submit", "#cashierAuditForm", function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Cashier Audit will be updated!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#cashierAuditForm").ajaxSubmit({
                                    type: "PUT",
                                    url: "audit_cashier",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.ajax.url("ajax_sales_audit?startDate="+from+ "&endDate="+to).load();
                                            // salesAuditSummary();
                                            close_modal()
                                            Swal.fire("Done!", "Cashier Audit Updated", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $(document).on("click", ".deletePOSAudit", function (e){
                e.preventDefault();
                var sales_audit_id = $(this).data("sales_audit_id");
                var tr = $(this).parents("tr");
                var error = false;

                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Sales Audit for Cashier will be deleted!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $.ajax({
                                    type: "DELETE",
                                    url: "delete_sales_audit",
                                    dataType: "json",
                                    data:{
                                        salesAuditId: sales_audit_id,
                                    },
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.row(tr).remove().draw(false);
                                            salesAuditSummary();
                                            Swal.fire("Done!", "Sales Audit for Cashier Deleted", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $(document).on("submit", "#addPOSAuditForm", function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Sales Audit will be added!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#addPOSAuditForm").ajaxSubmit({
                                    type: "POST",
                                    url: "create_sales_audit",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.ajax.url("ajax_sales_audit?startDate=" + from + "&endDate=" + to).load();
                                            salesAuditSummary();
                                            $("#addPOSAuditForm").resetForm();
                                            close_modal()
                                            Swal.fire("Done!", "Sales Audit Added", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }

                                });
                            });
                        },
                    })
                }
            });

            $(document).on("click", "#savedOrders", function (e) {
                emptyModalOpen();
                $.ajax({
                    url: 'view_hanging_orders',
                    method: 'GET',
                    success: function(response) {
                        if(response.status === "failed"){
                            Swal.fire("Cancelled!", response.message, "error");
                            Swal.hideLoading();
                            $("#emptyModal").click();
                            $("body").click();
                            close_modal();
                            emptyModalClose();
                        }
                        else{
                            emptyModalFill(response);
                        }
                    },
                    error: function() {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        close_modal();
                        emptyModalClose();
                    }
                });
                blockUI.release();
            })

            $(document).on("click", "#latePayment", function (e) {
                // emptyModalOpen();
                // $.ajax({
                //     url: 'view_late_payments',
                //     method: 'GET',
                //     success: function(response) {
                //         if(response.status === "failed"){
                //             Swal.fire("Cancelled!", response.message, "error");
                //             Swal.hideLoading();
                //             $("#emptyModal").click();
                //             $("body").click();
                //             close_modal();
                //             emptyModalClose();
                //         }
                //         else{
                //             emptyModalFill(response);
                //         }
                //     },
                //     error: function() {
                //         Swal.fire("Error!", response.responseJSON.message, "error");
                //         Swal.hideLoading();
                //         close_modal();
                //         emptyModalClose();
                //     }
                // });
                // blockUI.release();
            })

            var datatable_late_payments = $("#latePaymentsTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 10,
                "ajax": {
                    "url": "view_late_payments",
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    error: function(xhr, errorType, exception) {
                        console.log('An error occurred while fetching data:', exception);
                    },
                    "dataSrc": function (response){
                        $('.totalLatePayments').text(response.latePayments);
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "error": function (xhr, errorType, exception) {
                    console.log('An error occurred while fetching data:', exception);
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });

            $(document).on("click", "#latePayments", function (e){
                e.preventDefault();
                datatable_late_payments.ajax.url("view_late_payments").load();
            });

            $(document).on("click", ".verifyPayment", function (e){
                var order_id = $(this).data("id");
                e.preventDefault();
                var error = false;
                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Late Payment will be verified!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $.ajax({
                                    type: "POST",
                                    url: "verify_late_payment",
                                    data:{
                                        orderId: order_id,
                                    },
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable_late_payments.ajax.url("view_late_payments").load();
                                            Swal.fire("Done!", "Late Payment Verified", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }

                                });
                            });
                        },
                    })
                }
            });

            $(document).on('keyup', '[data-kt-customer-table-filter="searchitems"]', function (e) {
                datatable_late_payments.search(e.target.value).draw();
            });

        });
    </script>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/zeonpos/resources/views/sales_audit.blade.php ENDPATH**/ ?>