<!DOCTYPE html>
<html lang="en">
<meta http-equiv="content-type" content="text/html;charset=UTF-8" />
<head>
    <title><?php echo e(env("APP_NAME")); ?></title>
    <meta charset="utf-8" />
    <meta name="description" content="" />
    <meta name="keywords" content="" />
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta property="og:locale" content="en_US" />
    <meta property="og:type" content="article" />
    <meta property="og:title" content="" />
    <link rel="shortcut icon" href="<?php echo e(asset("zeonpos.png")); ?>"/>
    <link rel="stylesheet" href="<?php echo e(asset("fonts")); ?>"/>
    <link href="<?php echo e(url("pos/plugins/custom/datatables/datatables.bundle.css")); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(url("pos/plugins/global/plugins.bundle.css")); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(url("pos/css/style.bundle.css")); ?>" rel="stylesheet" type="text/css" />

    <link rel="stylesheet" href="<?php echo e(url("pos/css/bootstrap-select.min.css")); ?>" integrity="sha512-g2SduJKxa4Lbn3GW+Q7rNz+pKP9AWMR++Ta8fgwsZRCUsawjPvF/BxSMkGS61VsR9yinGoEgrHPGPn2mrj8+4w==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="<?php echo e(url("pos/css/keyboard-basic.min.css")); ?>" integrity="sha512-2bVDVxlsH8oY3RrNeI1uJOAXWmjfEwQ9/dfJ/XM4dG5w8R3W3vSTQccpkzJWndrRo2HNXkiM4tjikPCp111sQg==" crossorigin="anonymous" referrerpolicy="no-referrer" />

</head>

<?php if (isset($component)) { $__componentOriginal24014f37caeeb14a678973be9b71c564 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal24014f37caeeb14a678973be9b71c564 = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.empty-modal','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('empty-modal'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal24014f37caeeb14a678973be9b71c564)): ?>
<?php $attributes = $__attributesOriginal24014f37caeeb14a678973be9b71c564; ?>
<?php unset($__attributesOriginal24014f37caeeb14a678973be9b71c564); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal24014f37caeeb14a678973be9b71c564)): ?>
<?php $component = $__componentOriginal24014f37caeeb14a678973be9b71c564; ?>
<?php unset($__componentOriginal24014f37caeeb14a678973be9b71c564); ?>
<?php endif; ?>

<!--begin::Body-->
<body id="kt_body" style="background-image: url('#')" class="header-fixed header-tablet-and-mobile-fixed aside-fixed aside-secondary-enabled">
<style>
    .z-depth-1 {
        box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12); }
    .z-depth-1-half {
        box-shadow: 0 5px 11px 0 rgba(0, 0, 0, 0.18), 0 4px 15px 0 rgba(0, 0, 0, 0.15); }
    .z-depth-2 {
        box-shadow: 0 8px 17px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19); }
    .z-depth-3 {
        box-shadow: 0 12px 15px 0 rgba(0, 0, 0, 0.24), 0 17px 50px 0 rgba(0, 0, 0, 0.19); }
    .z-depth-4 {
        box-shadow: 0 16px 28px 0 rgba(0, 0, 0, 0.22), 0 25px 55px 0 rgba(0, 0, 0, 0.21); }
    .z-depth-5 {
        box-shadow: 0 27px 24px 0 rgba(0, 0, 0, 0.2), 0 40px 77px 0 rgba(0, 0, 0, 0.22); }
    .center_me {
        justify-content: center;
        align-items: center;
    }
    div[data-repeater-item=""] {
        padding: 20px;
        border: 1px solid #eee;
        border-radius: 10px;
        box-shadow: 0px 4px 7px 4px #eee;
    }
    .aside-fixed.aside-secondary-enabled[data-kt-sticky-header=on] .header {
        left: 0px !important;
        transition: left 0.3s ease;
    }
</style>

<!--begin::Main-->
<!--begin::Root-->
<div class="d-flex flex-column flex-root">
    <!--begin::Page-->
    <div class="page d-flex flex-row flex-column-fluid" id="overlayTarget">
        <!--begin::Wrapper-->
        <div class="wrapper d-flex flex-column flex-row-fluid ps-0 " id="kt_wrapper">
            <!--begin::Header-->
            <div id="kt_header" class="header" data-kt-sticky="true" data-kt-sticky-name="header">
                <!--begin::Container-->
                <div class=" container-xxl ps-0 pe-0  d-flex align-items-center justify-content-between" id="kt_header_container">
                    <!--begin::Page title-->
                    <div class="page-title d-flex flex-column align-items-start justify-content-center flex-wrap mt-n5 mt-lg-0 me-lg-2 pb-2 pb-lg-0" data-kt-swapper="true" data-kt-swapper-mode="prepend" data-kt-swapper-parent="{default: '#kt_content_container', lg: '#kt_header_container'}">
                        <!--begin::Heading-->
                        <h1 class="text-dark fw-bold my-0 fs-2"> Hello, <?php echo e(Auth::user()->name); ?> 👋</h1>
                        <!--end::Heading-->

                    </div>
                    <!--end::Page title--->
                    <!--begin::Wrapper-->
                    <div class="d-flex d-lg-none align-items-center ms-n4 me-2">
                        <!--begin::Aside mobile toggle-->
                        <div class="btn btn-icon btn-active-icon-primary" id="kt_aside_mobile_toggle">
                            <i class="ki-duotone ki-abstract-14 fs-1">
                                <span class="path1"></span>
                                <span class="path2"></span>
                            </i>
                        </div>
                        <!--end::Aside mobile toggle-->
                        <!--begin::Logo-->
                        <a href="javascript:;" class="d-flex align-items-center">
                            <img alt="Logo" src="<?php echo e(url("zeonpos.png")); ?>" class="h-50px z-depth-1" />
                        </a>
                        <!--end::Logo-->
                    </div>
                    <!--end::Wrapper-->
                    <!--begin::Toolbar wrapper-->
                    <div class="d-flex flex-shrink-0"  id="pageButtons">
                        <a href="javascript:;" class="btn d-none itemsStock ms-0 me-2 mt-1 btn-icon btn-color-white bg-dark w-40px h-40px w-lg-40px h-lg-40px">
                            <i class="bi bi-search fs-1"><span class="path1"></span><span class="path2"></span></i>
                        </a>
                        <div class="mt-1 me-2 form-solid">
                            <input type="text" name="barcodeNumber" class="w-350px h-40px barcodeNumber textInputs form-control" placeholder="Search Item or Barcode" />
                        </div>
                        <a href="javascript:;" class="btn priceCheckItem ms-0 me-5 mt-1 btn-icon btn-color-white bg-warning w-40px h-40px w-lg-40px h-lg-40px">
                            <i class="bi bi-search fs-1"><span class="path1"></span><span class="path2"></span></i>
                        </a>
                        <div class="d-none form-check form-switch me-5 form-check-custom bg-white px-4 rounded-2 form-check-solid">
                            <input class="form-check-input h-30px w-50px" type="checkbox" value="Active" id="priceCheck" name="priceCheck" checked="checked">
                            <label class="form-check-label fw-bold text-gray-900 ms-3" for="priceCheck">
                                Price Check?
                            </label>
                        </div>
                        <button class="btn btn-secondary position-relative me-5" id="todayOrders">
                            Completed Orders <span class="position-absolute top-0 start-100 translate-middle  badge badge-circle badge-dark totalCompletedOrders"></span>
                        </button>

                        <button class="btn btn-success position-relative me-5" id="savedOrders">
                            Saved Orders <span class="position-absolute top-0 start-100 translate-middle totalSavedOrders badge badge-circle badge-dark"></span>
                        </button>
                        <a href="javascript:;" class="btn ms-0 mt-1 btn-icon btn-color-white bg-info w-40px h-40px w-lg-40px h-lg-40px enterFullScreen">
                            <i class="bi bi-arrows-fullscreen fs-1"><span class="path1"></span><span class="path2"></span></i>
                        </a>
                        <div class="flex-grow-1" style="margin-right: 15px;"></div>
                        <a href="<?php echo e(url("login?computerId=".\Illuminate\Support\Facades\Session::get("computerId"))); ?>" class="btn btn-danger position-relative"> <i class="ki-duotone ki-entrance-left fs-2 fs-md-1"><span class="path1"></span><span class="path2"></span></i>
                            Exit
                        </a>

                        <form id="logout-form" action="<?php echo e(route('signoutpos')); ?>" method="POST" style="display: none;">
                            <?php echo csrf_field(); ?>
                        </form>
                        <!--end::Create app-->
                    </div>
                    <!--end::Toolbar wrapper-->
                </div>
                <!--end::Container-->
            </div>
            <!--end::Header-->
            <!--begin::Content-->
            <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
                <!--begin::Container-->
                <div class=" container-xxl ps-0 pe-0" id="kt_content_container">
                    <!--begin::Layout-->
                    <div class="d-flex flex-column flex-xl-row">
                        <!--begin::Content-->
                        <div class="d-flex flex-row-fluid me-xl-9 mb-10 mb-xl-0">
                            <!--begin::Pos food-->
                            <div class="card card-flush card-p-10 border-0" style="width: 100%;" id="currentOrder">

                            </div>
                            <!--end::Pos food-->
                        </div>
                        <!--end::Content-->
                        <!--begin::Sidebar-->
                        <div class="flex-row-auto w-xl-425px" id="orderSummary">

                        </div>
                        <!--end::Sidebar-->
                    </div>
                    <!--end::Layout-->
                </div>
                <!--end::Container-->
            </div>
            <!--end::Content-->
            <!--begin::Footer-->
            <div class="footer py-4 d-flex flex-lg-column " id="kt_footer">
                <!--begin::Container-->
                <div class=" container-xxl  d-flex flex-column flex-md-row flex-stack">
                    <!--begin::Copyright-->
                    <div class="text-dark order-2 order-md-1">
                        <span class="text-gray-400 fw-semibold me-1">Created by</span>
                        <a href="https://zeonglobal.com" target="_blank" class="text-muted text-hover-primary fw-semibold me-2 fs-6">ZEON GLOBAL TECH</a>
                    </div>
                    <!--end::Copyright-->
                    <!--begin::Menu-->
                    <ul class="menu menu-gray-600 menu-hover-primary fw-semibold order-1 d-none">
                        <li class="menu-item">
                            <a href="https://zeonglobal.com" target="_blank" class="menu-link px-2">About</a>
                        </li>
                        <li class="menu-item">
                            <a href="https://zeonglobal.com" target="_blank" class="menu-link px-2">Support</a>
                    </ul>
                    <!--end::Menu-->
                </div>
                <!--end::Container-->
            </div>
            <!--end::Footer-->
        </div>
        <!--end::Wrapper-->
    </div>
    <!--end::Page-->
</div>
<!--end::Root-->
<!--end::Main-->

<!--begin::Scrolltop-->
<div id="kt_scrolltop" class="scrolltop" data-kt-scrolltop="true">
    <i class="ki-duotone ki-arrow-up">
        <span class="path1"></span>
        <span class="path2"></span>
    </i>
</div>
<!--end::Scrolltop-->

<!--begin::Modals-->

<div class="modal fade" id="kt_modal_suspend_order" tabindex="-1" aria-hidden="true">
    <!--begin::Modal dialog-->
    <div class="modal-dialog modal-fullscreens mw-1000px">
        <!--begin::Modal content-->
        <div class="modal-content">
            <!--begin::Modal header-->
            <div class="modal-header">
                <h1 class="modal-title">Saved Orders</h1>
                <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                    <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                </div>
            </div>
            <!--begin::Modal header-->
            <!--begin::Modal body-->
            <div class="modal-body scroll-y mx-5 mx-xl-18 pt-0 pb-15 ">

                <!--begin::Heading-->
                <div class="text-center mb-13 d-none">
                    <!--begin::Title-->
                    <h1 class="mb-3">Saved Orders</h1>
                    <!--end::Title-->
                </div>
                <!--end::Heading-->
                <!--begin::Users-->
                <div class="mb-20 mt-20">
                    <!--begin::List-->
                    <div class="mh-600px scroll-y me-n7 pe-7">

                    </div>
                    <!--end::List-->
                </div>
                <!--end::Users-->
            </div>
            <!--end::Modal body-->
        </div>
        <!--end::Modal content-->
    </div>
    <!--end::Modal dialog-->
</div>

<div class="modal fade" id="kt_modal_order_today" tabindex="-1" aria-hidden="true">
    <!--begin::Modal dialog-->
    <div class="modal-dialog mw-1000px">
        <!--begin::Modal content-->
        <div class="modal-content">
            <!--begin::Modal header-->
            <div class="modal-header pb-0 border-0 justify-content-end">
                <!--begin::Close-->
                <div class="btn btn-sm btn-icon btn-active-color-primary" data-bs-dismiss="modal">
                    <i class="ki-duotone ki-cross fs-1">
                        <span class="path1"></span>
                        <span class="path2"></span>
                    </i>
                </div>
                <!--end::Close-->
            </div>
            <!--begin::Modal header-->
            <!--begin::Modal body-->
            <div class="modal-body scroll-y mx-5 mx-xl-18 pt-0 pb-15">
                <!--begin::Heading-->
                <div class="text-center mb-13">
                    <!--begin::Title-->
                    <h1 class="mb-3">Today's Orders</h1>
                    <!--end::Title-->
                    <!--begin::Actions-->
                    <div class="d-flex align-items-center center_me">
                        <!--begin::Daterange-->
                        <a
                            href="javascript:;"
                            class="btn btn-flex bg-body h-35px h-lg-40px px-5"
                            id="kt_dashboard_daterangepicker"
                            data-bs-toggle="tooltip"
                            data-bs-dismiss="click"
                            data-bs-trigger="hover"
                            title="Select dashboard daterange"
                        >
                    <span class="me-4">
                        <span
                            class="text-muted fw-semibold me-1"
                            id="kt_dashboard_daterangepicker_title"
                        >Select Date</span
                        >
                        <span
                            class="text-primary fw-bold"
                            id="kt_dashboard_daterangepicker_date"
                        >
                        Apr 23
                        </span>
                    </span>

                            <i class="ki-duotone ki-down fs-4 m-0"></i>
                        </a>
                        <!--end::Daterange-->
                    </div>
                    <!--end::Actions-->
                </div>
                <!--end::Heading-->
                <!--begin::Users-->
                <div class="mb-10">
                    <!--begin::List-->
                    <div class="mh-600px scroll-y me-n7 pe-7">

                    </div>
                    <!--end::List-->
                </div>
                <!--end::Users-->
            </div>
            <!--end::Modal body-->
        </div>
        <!--end::Modal content-->
    </div>
    <!--end::Modal dialog-->
</div>

<div class="modal fade" id="kt_modal_category" tabindex="-1" aria-hidden="true">
    <!--begin::Modal dialog-->
    <div class="modal-dialog mw-650px">
        <!--begin::Modal content-->
        <div class="modal-content">
            <!--begin::Modal header-->
            <div class="modal-header pb-0 border-0 justify-content-end">
                <!--begin::Close-->
                <div class="btn btn-sm btn-icon btn-active-color-primary" data-bs-dismiss="modal">
                    <i class="ki-duotone ki-cross fs-1">
                        <span class="path1"></span>
                        <span class="path2"></span>
                    </i>
                </div>
                <!--end::Close-->
            </div>
            <!--begin::Modal header-->
            <!--begin::Modal body-->
            <div class="modal-body scroll-y mx-5 mx-xl-18 pt-0 pb-15">
                <!--begin::Heading-->
                <div class="text-center mb-13">
                    <!--begin::Title-->
                    <h1 class="mb-3">Category Item</h1>
                    <!--end::Title-->
                </div>
                <!--end::Heading-->
                <!--begin::Users-->
                <div class="mb-10">
                    <!--begin::List-->
                    <div class="mh-600px scroll-y me-n7 pe-7">

                    </div>
                    <!--end::List-->
                </div>
                <!--end::Users-->
            </div>
            <!--end::Modal body-->
        </div>
        <!--end::Modal content-->
    </div>
    <!--end::Modal dialog-->
</div>


<div class="modal fade" tabindex="-1" id="priceCheckModal">
    <div class="modal-dialog mw-1000px">
        <div class="modal-content">
            <div class="modal-header">
                <h3 class="modal-title">Item Price Check</h3>
                <!--begin::Close-->
                <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                    <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                </div>
                <!--end::Close-->
            </div>

            <div class="modal-body">
                    <div class="justify-content-between">
                        <i
                            class="ki-duotone ki-magnifier fs-3 mt-4 position-absolute ms-5"
                        ><span class="path1"></span><span class="path2"></span
                            ></i>
                        <input
                            id="searchInput"
                            type="text"
                            data-kt-customer-table-filter="searchpricecheck"
                            class="form-control textInputs mb-5 form-control-solid w-250px ps-12"
                            placeholder="Search Items"
                        />
                    </div>
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="priceCheckTable">
                        <thead>
                        <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                            <th class="min-w-200px">Item Name</th>
                            <th class="min-w-150px">Item Price</th>
                            <th class="min-w-150px">Item Measurements</th>
                            <th class="text-end min-w-70px">Action</th>
                        </tr>
                        </thead>
                        <tbody class="fw-semibold text-gray-600">

                        </tbody>
                    </table>
                </div>
                <div class="card-body-loader" style="text-align: center">
                    <!-- Progress enabled state -->
                    <button type="button" class="btn btn-primary" data-kt-indicator="on">
                        <span class="indicator-label">
                            Submit
                        </span>
                        <span class="indicator-progress">
                            Please wait...
                        <span class="spinner-border spinner-border-sm align-middle ms-2"></span>
                        </span>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" tabindex="-1" id="itemsStockModal">
    <div class="modal-dialog mw-1000px">
        <div class="modal-content">
            <div class="modal-header">
                <h3 class="modal-title">Items</h3>
                <!--begin::Close-->
                <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                    <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                </div>
                <!--end::Close-->
            </div>

            <div class="modal-body">
                    <div class="justify-content-between">
                        <i
                            class="ki-duotone ki-magnifier fs-3 mt-4 position-absolute ms-5"
                        ><span class="path1"></span><span class="path2"></span
                            ></i>
                        <input
                            type="text"
                            data-kt-customer-table-filter="searchitemsstock"
                            class="form-control textInputs mb-5 form-control-solid w-250px ps-12"
                            placeholder="Search Items"
                        />
                    </div>
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="itemsStockTable">
                        <thead>
                        <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                            <th class="min-w-200px">Item Name</th>
                            <th class="min-w-150px">Item Price</th>
                            <th class="min-w-150px">Item Measurements</th>
                            <th class="text-end min-w-70px">Action</th>
                        </tr>
                        </thead>
                        <tbody class="fw-semibold text-gray-600">

                        </tbody>
                    </table>
                </div>
                <div class="card-body-loader" style="text-align: center">
                    <!-- Progress enabled state -->
                    <button type="button" class="btn btn-primary" data-kt-indicator="on">
                        <span class="indicator-label">
                            Submit
                        </span>
                        <span class="indicator-progress">
                            Please wait...
                        <span class="spinner-border spinner-border-sm align-middle ms-2"></span>
                        </span>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" tabindex="-1" id="ordersModal">
    <div class="modal-dialog modal-xl">
        <div class="modal-content">
            <div class="modal-header">
                <h3 class="modal-title">Orders</h3>
                <!--begin::Close-->
                <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                    <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                </div>
                <!--end::Close-->
            </div>

            <div class="modal-body">

            <!--begin::Actions-->
            <div class="d-flex">
                <!--begin::Daterange-->

                <a
                    href="javascript:;"
                    class="btn btn-flex px-0 bg-body h-35px h-lg-40px mb-3"
                    id="date"
                    data-bs-toggle="tooltip"
                    data-bs-dismiss="click"
                    data-bs-trigger="hover"
                    title="Select Date"
                >
                    <span class="me-4">
                        <span
                            class="text-primary fw-bold"
                            id="dateText"
                        >
                            
                        </span>
                    </span>
                </a>
                <!--end::Daterange-->
            </div>
            <!--end::Actions-->

                    <div class="justify-content-between">
                        <i
                            class="ki-duotone ki-magnifier fs-3 mt-4 position-absolute ms-5"
                        ><span class="path1"></span><span class="path2"></span
                            ></i>
                        <input
                            type="text"
                            data-kt-customer-table-filter="searchorders"
                            class="form-control textInputs mb-5 form-control-solid w-250px ps-12"
                            placeholder="Search Orders"
                        />
                    </div>
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="ordersTable">
                        <thead>
                        <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                            <th class="min-w-70px">Order No</th>
                            <th class="min-w-100px">Cashier</th>
                            <th class="min-w-200px">Customer</th>
                            <th class="min-w-100px">Order Amount</th>
                            <th class="min-w-70px">Discount</th>
                            <th class="min-w-100px">Paid</th>
                            <th class="min-w-100px">Balance</th>
                            <th class="text-end min-w-100px">Action</th>
                        </tr>
                        </thead>
                        <tbody class="fw-semibold text-gray-600">

                        </tbody>
                    </table>
                </div>
                <div class="card-body-loader" style="text-align: center">
                    <!-- Progress enabled state -->
                    <button type="button" class="btn btn-primary" data-kt-indicator="on">
                        <span class="indicator-label">
                            Submit
                        </span>
                        <span class="indicator-progress">
                            Please wait...
                        <span class="spinner-border spinner-border-sm align-middle ms-2"></span>
                        </span>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" tabindex="-1" id="addCustomerModal">
    <div class="modal-dialog mw-1000px">
        <form id="addCustomerForm">
            <div class="modal-content">
                <div class="modal-header">
                    <h3 class="modal-title">Add Customer</h3>

                    <!--begin::Close-->
                    <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                        <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                    </div>
                    <!--end::Close-->
                </div>

                <div class="modal-body">
                <!--begin::Input group-->
                    <div class="fv-row mb-7">
                        <label class="form-label">Customer Name:</label>
                        <input type="text" name="customerName" class="form-control mb-2 mb-md-0 textInputs" placeholder="Enter customer name" />
                    </div>
                    <!--end::Input group-->
                    <!--begin::Input group-->
                    <div class="fv-row mb-7">
                        <label class="form-label">Customer Phone Number:</label>
                        <input type="text" name="customerPhoneNumber" class="form-control mb-2 mb-md-0 textInputs" placeholder="Enter customer phone number" />
                    </div>
                    <!--end::Input group-->
                    <!--begin::Input group-->
                    <div class="fv-row mb-7">
                        <label class="form-label">Customer Email:</label>
                        <input type="text" name="customerEmail" class="form-control mb-2 mb-md-0 textInputs" placeholder="Enter customer email" />
                    </div>
                    <!--end::Input group-->
                    <div class="d-none">
                        <!--begin::Input group-->
                        <div class="fv-row mb-7">
                            <label class="form-label">Customer Password:</label>
                            <input type="password" name="customerPassword" class="form-control mb-2 mb-md-0 textInputs" placeholder="Enter customer password" />
                        </div>
                        <!--end::Input group-->
                        <!--begin::Input group-->
                        <div class="fv-row mb-7">
                            <label class="required fs-6 fw-semibold mb-2">Status</label>
                            <div class="form-check form-switch form-check-custom form-check-solid">
                                <input class="form-check-input" type="checkbox" value="Active" name="customerStatus" checked="checked">
                                <label class="form-check-label fw-semibold text-gray-400 ms-3" for="customerStatus">
                                    Active
                                </label>
                            </div>
                        </div>
                        <!--end::Input group-->
                    </div>
                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Submit</button>
                </div>
            </div>
        </form>
    </div>
</div>

<div class="modal fade" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" id="makePaymentModal">
    <div class="modal-dialog mw-850px">
        <form id="makePaymentForm">
            <div class="modal-content">
                <div class="modal-header">
                    <h3 class="modal-title">Add Payment(s)</h3>
                    <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                        <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                    </div>
                </div>

                <div class="modal-body px-20">
                    <div class="d-flex flex-stack bg-dark rounded-3 p-6 mb-5 z-depth-1">
                            <!--begin::Content-->
                            <div class="fs-6 fw-bold text-white">
                                <span class="d-block lh-1 mb-1">Customer Change:</span>
                            </div>
                            <!--end::Content-->
                            <!--begin::Content-->
                            <div class="fs-6 fw-bold text-white text-end">
                                <span class="d-block lh-1 mb-1">₦<span data-value="" class="changeAmount">0.00</span></span>
                            </div>
                            <!--end::Content-->
                        </div>

                        <!--begin::Repeater-->
                        <div id="payments">
                            <!--begin::Form group-->
                            <div class="form-group">
                                <div data-repeater-list="payments">
                                    <div data-repeater-item>
                                        <div class="paymentRepeater">
                                            <div class="form-group row">
                                                <div class="col-md-4">
                                                    <select data-live-search="true" data-width="100%" class="mb-2 paymentMode" name="paymentMode" data-placeholder="Select Payment Mode">
                                                        <?php $__currentLoopData = $paymentMethods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $paymentMethod): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($paymentMethod->id); ?>"><?php echo e($paymentMethod->payment_method_name); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                </div>
                                                <div class="col-md-3">
                                                    <input type="text" name="amountPaid" class="decimal form-control mb-2 amountPaid" placeholder="Amount Paid" />
                                                </div>
                                                <div class="col-md-3">
                                                    <input type="date" name="paymentDate" value="<?php echo e(\Carbon\Carbon::now()->format('Y-m-d')); ?>" class="form-control mb-2 mb-md-0 paymentDate" placeholder="Payment date">
                                                </div>
                                                <div class="col-md-2">
                                                    <a href="javascript:;" data-repeater-delete class="btn btn-sm btn-danger">
                                                        <i class="ki-duotone ki-trash fs-1 pe-0"><span class="path1"></span><span class="path2"></span><span class="path3"></span><span class="path4"></span><span class="path5"></span></i>
                                                    </a>
                                                </div>
                                            </div>
                                            <div class="mb-0 row wallet d-none">
                                                <input value="" name="userId" class="d-none userId"/>
                                                <div class="col-md-7">
                                                    <!--begin::Label-->
                                                    <div class="fw-bold text-start text-dark fs-6 mt-4 ms-2">Enter Wallet Pin</div>
                                                    <!--end::Label-->
                                                    <!--begin::Input group-->
                                                    <div class="d-flex flex-wrap flex-stack">
                                                        <input type="text" name="wallet_pin_1"  maxlength="1" class="form-control bg-transparent h-60px w-60px fs-2qx text-center mx-1 my-2 walletPins" value="" inputmode="text">
                                                        <input type="text" name="wallet_pin_2" maxlength="1" class="form-control bg-transparent h-60px w-60px fs-2qx text-center mx-1 my-2 walletPins" value="" inputmode="text">
                                                        <input type="text" name="wallet_pin_3" maxlength="1" class="form-control bg-transparent h-60px w-60px fs-2qx text-center mx-1 my-2 walletPins" value="" inputmode="text">
                                                        <input type="text" name="wallet_pin_4" maxlength="1" class="form-control bg-transparent h-60px w-60px fs-2qx text-center mx-1 my-2 walletPins" value="" inputmode="text">
                                                        <input type="text" name="wallet_pin_5" maxlength="1" class="form-control bg-transparent h-60px w-60px fs-2qx text-center mx-1 my-2 walletPins" value="" inputmode="text">
                                                    </div>
                                                    <!--begin::Input group-->
                                                </div>
                                                <div class="d-none">
                                                    <!--begin::Label-->
                                                    <div class="fw-bold text-start text-dark fs-6 mt-4 ms-2">Enter Supervisor Pin</div>
                                                    <!--end::Label-->
                                                    <!--begin::Input group-->
                                                    <div class="d-flex flex-wrap flex-stack">
                                                        <input type="password" name="code_1"  maxlength="1" class="form-control bg-transparent h-45px w-45px fs-2qx text-center mx-1 my-2 walletPins" value="" inputmode="text">
                                                        <input type="password" name="code_2" maxlength="1" class="form-control bg-transparent h-45px w-45px fs-2qx text-center mx-1 my-2 walletPins" value="" inputmode="text">
                                                        <input type="password" name="code_3" maxlength="1" class="form-control bg-transparent h-45px w-45px fs-2qx text-center mx-1 my-2 walletPins" value="" inputmode="text">
                                                        <input type="password" name="code_4" maxlength="1" class="form-control bg-transparent h-45px w-45px fs-2qx text-center mx-1 my-2 walletPins" value="" inputmode="text">
                                                    </div>
                                                    <!--begin::Input group-->
                                                </div>
                                                <div class="col-md-5 mt-10">
                                                    <a href="javascript:;" class="verifyWalletPin btn btn-sm btn-info mt-4">
                                                        Verify
                                                    </a>
                                                </div>
                                            </div>
                                            <div class="mb-0 row voucher d-none">
                                                <div class="col-md-5">
                                                    <!--begin::Label-->
                                                    <div class="fw-bold text-start text-dark fs-6 mt-4 ms-2">Enter Voucher Pin</div>
                                                    <!--end::Label-->
                                                    <!--begin::Input group-->
                                                    <div class="d-flex flex-wrap flex-stack">
                                                        <input type="text" name="pin_1"  maxlength="1" class="form-control bg-transparent h-45px w-45px fs-2qx text-center mx-1 my-2 walletPins" value="" inputmode="text">
                                                        <input type="text" name="pin_2" maxlength="1" class="form-control bg-transparent h-45px w-45px fs-2qx text-center mx-1 my-2 walletPins" value="" inputmode="text">
                                                        <input type="text" name="pin_3" maxlength="1" class="form-control bg-transparent h-45px w-45px fs-2qx text-center mx-1 my-2 walletPins" value="" inputmode="text">
                                                        <input type="text" name="pin_4" maxlength="1" class="form-control bg-transparent h-45px w-45px fs-2qx text-center mx-1 my-2 walletPins" value="" inputmode="text">
                                                        <input type="text" name="pin_5" maxlength="1" class="form-control bg-transparent h-45px w-45px fs-2qx text-center mx-1 my-2 walletPins" value="" inputmode="text">
                                                    </div>
                                                    <!--begin::Input group-->
                                                </div>
                                                <div class="col-md-5">
                                                    <!--begin::Label-->
                                                    <div class="fw-bold text-start text-dark fs-6 mt-4 ms-2">Enter Supervisor Pin</div>
                                                    <!--end::Label-->
                                                    <!--begin::Input group-->
                                                    <div class="d-flex flex-wrap flex-stack">
                                                        <input type="password" name="code_1"  maxlength="1" class="form-control bg-transparent h-45px w-45px fs-2qx text-center mx-1 my-2 walletPins" value="" inputmode="text">
                                                        <input type="password" name="code_2" maxlength="1" class="form-control bg-transparent h-45px w-45px fs-2qx text-center mx-1 my-2 walletPins" value="" inputmode="text">
                                                        <input type="password" name="code_3" maxlength="1" class="form-control bg-transparent h-45px w-45px fs-2qx text-center mx-1 my-2 walletPins" value="" inputmode="text">
                                                        <input type="password" name="code_4" maxlength="1" class="form-control bg-transparent h-45px w-45px fs-2qx text-center mx-1 my-2 walletPins" value="" inputmode="text">
                                                    </div>
                                                    <!--begin::Input group-->
                                                </div>
                                                <div class="col-md-2 mt-10">
                                                    <a href="javascript:;" class="verifyVoucher btn btn-sm btn-info mt-4">
                                                        Verify
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!--end::Form group-->

                            <!--begin::Form group-->
                            <div class="form-group mb-4 mt-5 pt-3">
                                <a href="javascript:;" data-repeater-create class="btn btn-primary ">
                                    <i class="ki-duotone ki-plus fs-3"></i>
                                    Add Another Payment
                                </a>
                            </div>
                            <!--end::Form group-->
                        </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-info">Approve Payments</button>
                </div>
            </div>
        </form>
    </div>
</div>

<div id="scan_toast_container" class="toast-container position-fixed top-0 end-0 p-3 z-index-10000">            
</div>

<input value="<?php echo e($startDate); ?>" hidden class="startDate"/>
<input value="<?php echo e($endDate); ?>" hidden class="endDate"/>
<button
    type="button"
    class="btn btn-danger d-none emptyModal"
    data-bs-toggle="modal"
    data-bs-target="#emptyModal"
    style="margin-right: 10px;"
>
</button>

<!--end::Modals-->
<!--begin::Javascript-->
<script>
    var hostUrl = "pos/index.php";
    var optionFormat = function(item) {
        if ( !item.id ) {
            return item.text;
        }
        var span = document.createElement('span');
        var imgUrl = item.element.getAttribute('data-kt-select2-user');
        var template = '';

        template += '<img src="' + imgUrl + '" class="rounded-circle h-20px me-2" alt="image"/>';
        template += item.text;

        span.innerHTML = template;
        return $(span);
    }

</script>
<script src="<?php echo e(url("pos/plugins/global/plugins.bundle.js")); ?>"></script>
<script src="<?php echo e(url("pos/js/scripts.bundle.js")); ?>"></script>
<script src="<?php echo e(url("pos/js/bootstrap-select.min.js")); ?>" integrity="sha512-yrOmjPdp8qH8hgLfWpSFhC/+R9Cj9USL8uJxYIveJZGAiedxyIxwNw4RsLDlcjNlIRR4kkHaDHSmNHAkxFTmgg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="<?php echo e(url("pos/plugins/custom/datatables/datatables.bundle.js")); ?>"></script>
<script src="<?php echo e(url("pos/js/custom/pages/general/pos.js")); ?>"></script>
<script src="<?php echo e(url("pos/js/widgets.bundle.js")); ?>"></script>
<script src="<?php echo e(url("pos/js/custom/widgets.js")); ?>"></script>
<script src="<?php echo e(url("pos/js/custom/apps/chat/chat.js")); ?>"></script>

<script src="<?php echo e(url("assets/plugins/custom/formrepeater/formrepeater.bundle.js")); ?>"></script>
<script src="<?php echo e(url("pos/js/custom/utilities/modals/upgrade-plan.js")); ?>"></script>
<script src="<?php echo e(url("pos/js/custom/utilities/modals/create-app.js")); ?>"></script>
<script src="<?php echo e(url("pos/js/custom/utilities/modals/users-search.js")); ?>"></script>
<script src="<?php echo e(url("pos/js/jquery.form.min.js")); ?>" integrity="sha384-qlmct0AOBiA2VPZkMY3+2WqkHtIQ9lSdAsAn5RUJD/3vA5MKDgSGcdmIv4ycVxyn" crossorigin="anonymous"></script>
<script src="<?php echo e(url("pos/js/jquery.keyboard.min.js")); ?>" integrity="sha512-bnF44HiiJPFa0Kzr+pxQktiT6MnrdSWn/jSkZcJY9Lsw2TRIWZfkI1zo6uNfKEvK0QK2AsJuvf7AIxUmCDOOmw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script type="text/javascript" src="<?php echo e(url("assets/js/jquery.scannerdetection.js")); ?>"></script>
<script>
    $(document).ready(function() {

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

        var start = moment($(".startDate").val(), "YYYY-MM-DD");
        var end = moment($(".endDate").val(), "YYYY-MM-DD");

        var from = $(".startDate").val();
        var to = $(".endDate").val();

        var target = document.querySelector("#overlayTarget");
        var blockUI = new KTBlockUI(target, {
            overlayClass: "bg-secondary bg-opacity-75",
            zIndex: 100000
        });

        $('.itemId').selectpicker();

        let index, barcode, type_barcode, order_status;

        var datatable_price_check = $("#priceCheckTable").DataTable({
            "info": false,
            'order': [],
            'pageLength': 100,
            "ajax": {
                "url": "price_check?searchQuery=" + barcode,
                "type": "GET",
                "data": function ( d ) {
                    $(".card-body-loader").hide();
                    return $.extend( {}, d, {
                    } );
                },
                error: function(xhr, errorType, exception) {
                    console.log('An error occurred while fetching data:', exception);
                },
                "dataSrc": function (response){
                    var data = [];
                    for ( var i=0; i < response.returned_data.length; i++ ) {
                        data.push(response.returned_data[i]);
                    }
                    return data;
                }
            },
            "error": function (xhr, errorType, exception) {
                console.log('An error occurred while fetching data:', exception);
            },
            "deferRender": true,
            "createdRow": function ( row, data, index ) {
                $("td:last", row).attr("class", "text-end");
            },
            fnDrawCallback: function(){
                KTMenu.createInstances();
            }
        });
        
        var datatable_items_stock = $("#itemsStockTable").DataTable({
            "info": false,
            'order': [],
            'pageLength': 100,
            "ajax": {
                "url": "ajax_items_stock",
                "type": "GET",
                "data": function ( d ) {
                    $(".card-body-loader").hide();
                    return $.extend( {}, d, {
                    } );
                },
                error: function(xhr, errorType, exception) {
                    console.log('An error occurred while fetching data:', exception);
                },
                "dataSrc": function (response){
                    var data = [];
                    for ( var i=0; i < response.returned_data.length; i++ ) {
                        data.push(response.returned_data[i]);
                    }
                    return data;
                }
            },
            "error": function (xhr, errorType, exception) {
                console.log('An error occurred while fetching data:', exception);
            },
            "deferRender": true,
            "createdRow": function ( row, data, index ) {
                $("td:last", row).attr("class", "text-end");
            },
            fnDrawCallback: function(){
                KTMenu.createInstances();
            }
        });
        
        var datatable_orders = $("#ordersTable").DataTable({
            "info": false,
            'order': [],
            'pageLength': 100,
            "ajax": {
                "url": "ajax_pos_orders?startDate=" + from + "&endDate=" + to,
                "type": "GET",
                "data": function ( d ) {
                    $(".card-body-loader").hide();
                    return $.extend( {}, d, {
                    } );
                },
                error: function(xhr, errorType, exception) {
                    console.log('An error occurred while fetching data:', exception);
                },
                "dataSrc": function (response){
                    var data = [];
                    for ( var i=0; i < response.returned_data.length; i++ ) {
                        data.push(response.returned_data[i]);
                    }
                    return data;
                }
            },
            "error": function (xhr, errorType, exception) {
                console.log('An error occurred while fetching data:', exception);
            },
            "deferRender": true,
            "createdRow": function ( row, data, index ) {
                $("td:last", row).attr("class", "text-end");
            },
            fnDrawCallback: function(){
                KTMenu.createInstances();
            }
        });

        $(document).on("click", ".priceCheckItem", function (e) {
            type_barcode = $(".barcodeNumber").val();
            const priceCheckSwitch = document.getElementById('priceCheck');
            if(priceCheckSwitch.checked){
                priceCheck(type_barcode);
            }
            else{
                addItemToOrder(type_barcode);
            }
        });

        $(document).on("click", ".itemsStock", function (e) {
            let modal = bootstrap.Modal.getOrCreateInstance(document.getElementById('itemsStockModal'))
            $(".card-body-loader").show();
            modal.show();
            $('input[data-kt-customer-table-filter="searchitemsstock"]').focus();
            datatable_items_stock.ajax.url("ajax_items_stock").load();
        });

        $(document).on("click", "#todayOrders", function (e) {
            order_status = "Completed";
            let modal = bootstrap.Modal.getOrCreateInstance(document.getElementById('ordersModal'))
            $(".card-body-loader").show();
            modal.show();;
            datatable_orders.ajax.url("ajax_pos_orders?orderStatus=Completed&startDate=" + from +"&endDate="+ to).load();
        })

        $(document).on("click", "#savedOrders", function (e) {
            order_status = "Saved";
            let modal = bootstrap.Modal.getOrCreateInstance(document.getElementById('ordersModal'))
            $(".card-body-loader").show();
            modal.show();;
            datatable_orders.ajax.url("ajax_pos_orders?orderStatus=Saved&startDate=" + from +"&endDate="+ to).load();
        })

        $(document).on('keyup', '[data-kt-customer-table-filter="searchitemsstock"]', function (e) {
            datatable_items_stock.search(e.target.value).draw();
        });

        $(document).on('keyup', '[data-kt-customer-table-filter="searchpricecheck"]', function (e) {
            datatable_price_check.search(e.target.value).draw();
        });

        $(document).on('keyup', '[data-kt-customer-table-filter="searchorders"]', function (e) {
            datatable_orders.search(e.target.value).draw();
        });
        
        $(document).on("click", ".addItemPurchase", function (e) {
            var item_purchase_id = $(this).data("id");
            $.ajax({
                url: 'add_item_purchase_to_order',
                method: 'POST',
                data: {
                    itemPurchaseId: item_purchase_id,
                },
                success: function(response) {
                    currentOrderDiv(); 
                    orderSummaryDiv();
                    if(response.status === "failed"){
                        showToast(response.message, 'danger', 'ki-info'); 
                    }
                    else{
                        showToast('Item Added to Order', 'success');
                    }
                },
                error: function() {

                }
            });
        });

        function priceCheck(barcode){
            let modal = bootstrap.Modal.getOrCreateInstance(document.getElementById('priceCheckModal'))
            $(".card-body-loader").show();
            modal.show();;
            datatable_price_check.ajax.url("price_check?searchQuery=" + barcode).load();
        }

        function addItemToOrder(barcode){
            $.ajax({
                url: 'add_item_to_order',
                method: 'POST',
                data: {
                    barcode: barcode,
                },
                success: function(response) {
                    currentOrderDiv(); 
                    orderSummaryDiv();
                    if(response.status === "failed"){
                        showToast(response.message, 'danger', 'ki-info'); 
                    }
                    else{
                        showToast('Item Added to Order', 'success');
                    }
                },
                error: function() {

                }
            });
        }

        $.keyboard.keyaction.clear = function(base) {
            var inputs = document.querySelectorAll('input[type="password"]');
            inputs[index].value = '';
            if (index > 0) {
                inputs[index - 1].focus();
            }
        };

        $(document).on("click", ".enterFullScreen", function (e) {
            if (!document.fullscreenElement) {
                document.documentElement.requestFullscreen();
            }
            else if (document.exitFullscreen) {
                document.exitFullscreen();
            }
        })

        function currentOrderDiv(){
            $.ajax({
                url: 'current_order_div',
                type: 'GET',
                dataType: 'json',
                success: function(response) {
                    if (response.status === 'success') {
                        var newContent = response.body;
                        $('#currentOrder').html(newContent);
                        $(".itemMeasurement").selectpicker();
                    } else {
                        currentOrderDiv();
                    }
                },
                error: function(xhr, status, error) {
                    currentOrderDiv();
                }
            });
        }

        function orderSummaryDiv(){
            $.ajax({
                url: 'order_summary_div',
                type: 'GET',
                dataType: 'json',
                success: function(response) {
                    if (response.status === 'success') {
                        var newContent = response.body;
                        $('#orderSummary').html(newContent);
                        $("#tableId").selectpicker();
                        $("#customerId").selectpicker();
                        $('.deliveryLocationId').selectpicker();
                        initiliazeRepeater();
                    } else {
                        orderSummaryDiv();
                    }
                },
                error: function(xhr, status, error) {
                    orderSummaryDiv();
                }
            });
        }

        currentOrderDiv();
        orderSummaryDiv();

        function close_modal(){
            $(".modal").modal('hide');
        }

        function successToast(message, title){
            toastr.options = {
                "closeButton": false,
                "debug": false,
                "newestOnTop": false,
                "progressBar": false,
                "positionClass": "toastr-top-left",
                "preventDuplicates": false,
                "onclick": null,
                "showDuration": "300",
                "hideDuration": "1000",
                "timeOut": "5000",
                "extendedTimeOut": "1000",
                "showEasing": "swing",
                "hideEasing": "linear",
                "showMethod": "fadeIn",
                "hideMethod": "fadeOut"
            };
            toastr.success(message, title);
        }

        function errorToast(message, title){
            toastr.options = {
                "closeButton": false,
                "debug": false,
                "newestOnTop": false,
                "progressBar": false,
                "positionClass": "toastr-top-left",
                "preventDuplicates": false,
                "onclick": null,
                "showDuration": "300",
                "hideDuration": "1000",
                "timeOut": "5000",
                "extendedTimeOut": "1000",
                "showEasing": "swing",
                "hideEasing": "linear",
                "showMethod": "fadeIn",
                "hideMethod": "fadeOut"
            };
            toastr.error(message, title);
        }

        function initiliazeRepeater(){
            $('#kt_docs_repeater_basic').repeater({
                isFirstItemUndeletable: true,
                initEmpty: false,
                defaultValues: {
                    'text-input': 'foo'
                },
                ready: function () {
                    $('.paymentMode').selectpicker();
                },
                show: function () {
                    $(this).slideDown();
                    $(this).find('.paymentMode').selectpicker();
                },
                hide: function (deleteElement) {
                    $(this).slideUp(deleteElement);
                }
            });
        }

        function emptyModalOpen(){
            $(".emptyModalHeaderTitle").text("");
            $(".emptyModalBody").html("");
            $(".emptyModalHeader").hide();
            $(".emptyModal").click();
            $(".emptyModalLoader").show();
        }

        function emptyModalFill(response){
            $(".emptyModalHeaderTitle").text(response.title);
            $(".emptyModalBody").html(response.body);
            $(".emptyModalHeader").show();
            $(".emptyModalLoader").hide();
        }

        function emptyModalClose(){
            $(".emptyModalHeader").show();
            $(".modal_close").click();
            $("#emptyModals").click();
        }

        $(document).on("click", ".printOrder", function (e) {
            close_modal();
            var url = $(this).data("url");
            if(url !== null){
                window.open("print_order?orderId="+url);
            }
        })

        $(document).on("change", "#customerId", function (e) {
            var contact_id = $(this).val();
            var order_id = $("#orderId").data("id");

            if(order_id !== null){
                $.ajax({
                    url: 'update_order_customer',
                    method: 'POST',
                    data: {
                        orderId: order_id,
                        contactId: contact_id
                    },
                    success: function(response) {
                        
                    },
                    error: function() {

                    }
                });
            }
        })

        $(document).on("change", "select.itemMeasurement", function (e) {
            var item_measurement_id = $(this).val();
            var item_order_id = $(this).find('option:selected').data('item_order_id');

            if(item_order_id !== null){
                $.ajax({
                    url: 'update_item_order_measurement',
                    method: 'POST',
                    data: {
                        itemOrderId: item_order_id,
                        itemMeasurementId: item_measurement_id
                    },
                    success: function(response) {
                        currentOrderDiv(); orderSummaryDiv();
                    },
                    error: function() {

                    }
                });
            }
        })

        $(".customerId").selectpicker();

        $(document).on('input',  '.decimal', function() {
            var inputValue = $(this).val();
            inputValue = inputValue.replace(/[^0-9.]/g, '');
            inputValue = inputValue.replace(/\.(?=.*\.)/g, '');
            $(this).val(inputValue);
        });

        $(document).on('input',  '.numbers', function() {
            var inputValue = $(this).val();
            inputValue = inputValue.replace(/[^0-9.]/g, '');
            inputValue = inputValue.replace(/\D/g, '');
            $(this).val(inputValue);
        });

        $(document).on( "focus", 'input.amountPaid', function () {
            var $initialElement = $(this);
            $initialElement.keyboard({
                layout: 'custom',
                customLayout: {
                    'normal': [
                        '1 2 3 4 5 6 7 8 9 0 {b}',
                        '{dec} {empty} {clear}',
                        '',
                        '',
                        '',
                        '',
                        '',
                    ]
                },
                stickyShift: false,
                usePreview: false,
                autoAccept: true,
                tabNavigation: true,
                enterNavigation: true,
                position: {
                    of: "#wrap",
                    my: "center top",
                    at2: "center bottom"
                },
                change: function(e, keyboard, el) {
                    var change,
                        val = keyboard.$preview.val().replace(/[^\d.]/g, ''),
                        val = val.replace(/^(\d*\.\d*)\..*$/, '$1'),
                        c = $.keyboard.caret(keyboard.$preview),
                        start = c.start,
                        end = c.end,
                        regex = /^\d+(\.\d{0,1})?$/;
                        restrict = regex.test(val);
                        keyboard.$preview.val(val);
                    if (restrict) {
                        start += change;
                        end += change;
                        $.keyboard.caret(keyboard.$preview, start, end);
                    }
                    keyboard.checkDecimal();
                },
            });
        });

        $("input[type='search']").on("focus", function () {
            $(this).keyboard({
                layout: 'qwerty',
                stickyShift: false,
                usePreview: false,
                autoAccept: true,
                tabNavigation: true,
                enterNavigation: true,
                position: {
                    of: "#wrap",
                    my: "center top",
                    at2: "center bottom"
                },
                change: function(e, keyboard) {
                    keyboard.$el.val(keyboard.$preview.val())
                    keyboard.$el.trigger('propertychange')
                },
            });
        })

        $("input.textInput").on("focus", function () {
            $(this).keyboard({
                layout: 'qwerty',
                stickyShift: false,
                usePreview: false,
                autoAccept: true,
                tabNavigation: true,
                enterNavigation: true,
                position: {
                    of: "#wrap",
                    my: "center top",
                    at2: "center bottom"
                },
                change: function(e, keyboard) {
                    keyboard.$el.val(keyboard.$preview.val())
                    keyboard.$el.trigger('propertychange')
                },
            });
        })

        function pointOfSaleSummary(){
            $.ajax({
                url: 'point_of_sale_summary',
                method: 'GET',
                data: {startDate: from, endDate: to},
                success: function(response) {
                    $(".totalCompletedOrders").text(response.completedOrders);
                    $(".totalSavedOrders").text(response.savedOrders);
                },
                error: function() {
                    pointOfSaleSummary();
                }
            });
        }
    
        pointOfSaleSummary();

        function cb(start, end) {
            from = start.format('YYYY-MM-DD')
            to = end.format('YYYY-MM-DD')
            $("#dateText").html(start.format("ddd, MMM D, YYYY") + " - " + end.format("ddd, MMM D, YYYY"));
            pointOfSaleSummary();
            datatable_orders.ajax.url("ajax_pos_orders?orderStatus="+order_status+"&startDate=" + from +"&endDate="+ to).load();
        }

        cb(start, end);

        $("#date").daterangepicker({
            startDate: start,
            endDate: end,
            ranges: {
                "Today": [moment(), moment()],
                "Yesterday": [moment().subtract(1, "days"), moment().subtract(1, "days")],
                "Last 7 Days": [moment().subtract(6, "days"), moment()],
                "Last 30 Days": [moment().subtract(29, "days"), moment()],
                "This Month": [moment().startOf("month"), moment().endOf("month")],
                "Last Month": [moment().subtract(1, "month").startOf("month"), moment().subtract(1, "month").endOf("month")]
            }
        }, function(start, end) {
            cb(start, end);
        });

        function blockUIRelease(){
            blockUI.release();
        }

        function calculateSum() {
            let sum = 0;
            let cart_grand_total = parseFloat($(".grandTotal").data("value"));
            let old_delivery_fee = parseFloat($(".oldDeliveryFee").data("value"));
            $(document).find('[data-repeater-item]').each(function () {
                const amountPaid = parseFloat($(this).find('.amountPaid').val()) || 0;
                sum += amountPaid;
            });
            if($('#deliveryStatus').is(':checked')) {
                var delivery_fee = parseFloat($(".deliveryFee").val()) || 0;
                var change = (sum + old_delivery_fee) - (cart_grand_total + delivery_fee);
            } else {
                var change = sum - cart_grand_total;
            }
            // console.log(cart_grand_total);
            $(".changeAmount").attr("data-value", change);
            var changeFormatted = change.toLocaleString(undefined, {
                minimumFractionDigits: 2,
                maximumFractionDigits: 2
            });
            $(".changeAmount").text(changeFormatted);
        }

        calculateSum();

        $(document).on('change', '.paymentMode', function () {
            calculateSum();
        });

        $(document).on('change', 'select.paymentMode', function() {
            var selectedValue = $(this).val();
            var voucherDiv = $(this).closest('.paymentRepeater').find('.voucher');
            var walletDiv = $(this).closest('.paymentRepeater').find('.wallet');
            var amountPaidInput = $(this).closest('.paymentRepeater').find('.amountPaid');
            
            if (selectedValue === "4") {
                voucherDiv.removeClass("d-none");
                walletDiv.addClass("d-none");
                amountPaidInput.val('').prop({
                    'readonly': false,
                    'disabled': false
                });
            } 
            else if (selectedValue === "5"){
                walletDiv.removeClass("d-none");
                voucherDiv.addClass("d-none");
                amountPaidInput.val('').prop({
                    'readonly': false,
                    'disabled': false
                });
            }
            else {
                voucherDiv.addClass("d-none");
                walletDiv.addClass("d-none");
                amountPaidInput.prop('readonly', false);
            }
        });

        $(document).on('change', '.amountPaid', function () {
            calculateSum();
        });

        function destroyAndReinitializeRepeater() {
            $(".grandTotal").data("value")
            $('.amountPaid').val($(".grandTotal").data("value"));
            $('#payments [data-repeater-item]').not(':first').remove();
            $('.paymentMode').selectpicker();
            calculateSum();
        }

        $('#payments').repeater({
            isFirstItemUndeletable: true,
            initEmpty: false,
            defaultValues: {
                'text-input': 'foo'
            },
            show: function () {
                $(this).slideDown();
                $(this).find('.paymentMode').selectpicker();
                $(this).find('.paymentDate').val("<?php echo e(\Carbon\Carbon::now()->format('Y-m-d')); ?>");
            },
            hide: function (deleteElement) {
                $(this).slideUp(deleteElement);
                $(this).find('.paymentMode').selectpicker();
            },
            ready: function () {
                $('.paymentMode').selectpicker();
            }
        });

        $(document).on("click", ".completePayment", function (e) {
            destroyAndReinitializeRepeater();
        })

        $(document).on("click", "input[type='search']", function () {
            var $initialElement = $(this);
            $(this).keyboard({
                layout: 'qwerty',
                stickyShift: false,
                usePreview: false,
                autoAccept: true,
                tabNavigation: true,
                enterNavigation: true,
                position: {
                    of: "#wrap",
                    my: "center top",
                    at2: "center bottom"
                },
                change: function(e, keyboard) {
                    keyboard.$el.val(keyboard.$preview.val())
                    keyboard.$el.trigger('propertychange')
                },
            });
        })

        $(document).on("click", ".increaseItemOrder", function (e) {
            var item_order_id = $(this).data("id");
            blockUI.block();
            $.ajax({
                url: 'increase_item_order',
                method: 'POST',
                data: {itemOrderId: item_order_id},
                success: function(response) {
                    currentOrderDiv();
                    pointOfSaleSummary()
                    orderSummaryDiv();
                    blockUI.release();
                },
                error: function() {
                    blockUI.release();
                }
            });
        });

        $(document).on("click", ".decreaseItemOrder", function (e) {
            var item_order_id = $(this).data("id");
            blockUI.block();
            $.ajax({
                url: 'decrease_item_order',
                method: 'POST',
                data: {itemOrderId: item_order_id},
                success: function(response) {
                    currentOrderDiv();
                    pointOfSaleSummary()
                    orderSummaryDiv();
                    blockUI.release();
                },
                error: function() {
                    blockUI.release();
                }
            });
        });

        $(document).on("click", ".deleteOrder", function (e) {
            var order_id = $(this).data("id");
            blockUI.block();
            Swal.fire({
                title: 'Are you sure?',
                html: "Order will be deleted!",
                icon: 'info',
                buttonsStyling: false,
                showCancelButton: true,
                allowOutsideClick: false,
                allowEscapeKey: false,
                allowEnterKey: false,
                showLoaderOnConfirm: true,
                confirmButtonText: 'Yes, submit it!',
                cancelButtonText: 'No, cancel it',
                customClass: {
                    confirmButton: 'btn btn-primary',
                    cancelButton: 'btn btn-danger'
                },
                preConfirm: () => {
                    return new Promise(() => {
                        $.ajax({
                            url: 'delete_order',
                            method: 'DELETE',
                            data: {orderId: order_id},
                            success: function (response) {
                                if (response.status === "success") {
                                    currentOrderDiv();
                                    pointOfSaleSummary()
                                    orderSummaryDiv();
                                    Swal.fire("Done!", "Order Deleted!", "success");
                                } else {
                                    Swal.fire("Cancelled!", response.message, "error");
                                }
                                Swal.hideLoading();
                            },
                            error: function (response) {
                                Swal.fire("Error!", response.responseJSON.message, "error");
                                Swal.hideLoading();
                            }
                        });
                    });
                },
            })
            blockUI.release();
        })

        $(document).on("click", ".clearOrder", function (e) {
            var order_id = $(this).data("id");
            blockUI.block();
            Swal.fire({
                title: 'Are you sure?',
                html: "Order Items will be removed!",
                icon: 'info',
                buttonsStyling: false,
                showCancelButton: true,
                allowOutsideClick: false,
                allowEscapeKey: false,
                allowEnterKey: false,
                showLoaderOnConfirm: true,
                confirmButtonText: 'Yes, submit it!',
                cancelButtonText: 'No, cancel it',
                customClass: {
                    confirmButton: 'btn btn-primary',
                    cancelButton: 'btn btn-danger'
                },
                preConfirm: () => {
                    return new Promise(() => {
                        $.ajax({
                            url: 'clear_order',
                            method: 'POST',
                            data: {orderId: order_id},
                            success: function(response) {
                                if(response.status === "success"){
                                    currentOrderDiv();
                                    pointOfSaleSummary()
                                    orderSummaryDiv();
                                    Swal.fire("Done!", "Order Items Cleared!", "success");
                                } else {
                                        Swal.fire("Cancelled!", response.message, "error");
                                    }
                                    Swal.hideLoading();
                                },
                                error: function (response) {
                                Swal.fire("Error!", response.responseJSON.message, "error");
                                Swal.hideLoading();
                            }
                        });
                    });
                },
            })
            blockUI.release();
        })

        $(document).on("click", ".recallOrder", function (e) {
            var order_id = $(this).data("id");
            blockUI.block();
            $.ajax({
                url: 'recall_order',
                method: 'POST',
                data: {orderId: order_id},
                success: function(response) {
                    currentOrderDiv();
                    pointOfSaleSummary()
                    orderSummaryDiv();
                },
                error: function() {

                }
            });
            close_modal();
            blockUI.release();
        })

        $(document).on("click", ".settleOrder", function (e) {
            var order_id = $(this).data("id");
            blockUI.block();
            Swal.fire({
                title: 'Are you sure?',
                html: "Order will be settled!",
                icon: 'info',
                buttonsStyling: false,
                showCancelButton: true,
                allowOutsideClick: false,
                allowEscapeKey: false,
                allowEnterKey: false,
                showLoaderOnConfirm: true,
                confirmButtonText: 'Yes, submit it!',
                cancelButtonText: 'No, cancel it',
                customClass: {
                    confirmButton: 'btn btn-primary',
                    cancelButton: 'btn btn-danger'
                },
                preConfirm: () => {
                    return new Promise(() => {
                        $.ajax({
                            type: "POST",
                            url: "settle_order",
                            dataType: "json",
                            data: {orderId: order_id},
                            success: function (response) {
                                if (response.status === "success") {
                                    close_modal();
                                    currentOrderDiv();
                                    pointOfSaleSummary()
                                    orderSummaryDiv();
                                    Swal.fire("Done!", "Order Settled!", "success");
                                } else {
                                    Swal.fire("Cancelled!", response.message, "error");
                                }
                                Swal.hideLoading();
                            },
                            error: function (response) {
                                Swal.fire("Error!", response.responseJSON.message, "error");
                                Swal.hideLoading();
                            }
                        });
                    });
                },
            })
            blockUI.release();
        })

        $(document).on("click", ".revertOrder", function (e) {
            var order_id = $(this).data("id");
            blockUI.block();
            Swal.fire({
                title: 'Are you sure?',
                html: "Order will be reversed!",
                icon: 'info',
                buttonsStyling: false,
                showCancelButton: true,
                allowOutsideClick: false,
                allowEscapeKey: false,
                allowEnterKey: false,
                showLoaderOnConfirm: true,
                confirmButtonText: 'Yes, submit it!',
                cancelButtonText: 'No, cancel it',
                customClass: {
                    confirmButton: 'btn btn-primary',
                    cancelButton: 'btn btn-danger'
                },
                preConfirm: () => {
                    return new Promise(() => {
                        $.ajax({
                            type: "POST",
                            url: "revert_order",
                            dataType: "json",
                            data: {orderId: order_id},
                            success: function (response) {
                                if (response.status === "success") {
                                    close_modal();
                                    currentOrderDiv();
                                    orderSummaryDiv();
                                    pointOfSaleSummary();
                                    Swal.fire("Done!", "Order Reverted!", "success");
                                } else {
                                    Swal.fire("Cancelled!", response.message, "error");
                                }
                                Swal.hideLoading();
                            },
                            error: function (response) {
                                Swal.fire("Error!", response.responseJSON.message, "error");
                                Swal.hideLoading();
                            }
                        });
                    });
                },
            })
            blockUI.release();
        })

        $(document).on("click", ".saveOrder", function (e) {
            var order_id = $(this).data("id");
            $.ajax({
                url: 'save_order',
                method: 'POST',
                data: {orderId: order_id},
                success: function(response) {
                    currentOrderDiv();
                    orderSummaryDiv();
                    pointOfSaleSummary();
                },
                error: function() {

                }
            });
        })

        initiliazeRepeater();

        $(".modal_close").on("click",function (e) {
            e.preventDefault();
            close_modal();
        })

        $("#makePaymentForm").submit(function(e) {
            e.preventDefault();
            var error = false;
            if (!error) {
                Swal.fire({
                    title: 'Are you sure?',
                    html: "Payments for Order will be taken!",
                    icon: 'info',
                    buttonsStyling: false,
                    showCancelButton: true,
                    allowOutsideClick: false,
                    allowEscapeKey: false,
                    allowEnterKey: false,
                    showLoaderOnConfirm: true,
                    confirmButtonText: 'Yes, submit it!',
                    cancelButtonText: 'No, cancel it',
                    customClass: {
                        confirmButton: 'btn btn-primary',
                        cancelButton: 'btn btn-danger'
                    },
                    preConfirm: () => {
                        return new Promise(() => {
                            $("#makePaymentForm").ajaxSubmit({
                                type: "POST",
                                url: "make_order_payments",
                                dataType: "json",
                                success: function (response) {
                                    if (response.status === "success") {
                                        close_modal();
                                        currentOrderDiv();
                                        pointOfSaleSummary();
                                        orderSummaryDiv();
                                        Swal.fire("Done!", "Order Payments Approved", "success");
                                        Swal.hideLoading();
                                        window.open(response.url, "_blank");
                                    } else {
                                        Swal.fire("Cancelled!", response.message, "error");
                                        Swal.hideLoading();
                                    }
                                },
                                error: function (response) {
                                    Swal.fire("Error!", response.responseJSON.message, "error");
                                    Swal.hideLoading();
                                }
                            });
                        });
                    },
                })
            }
        });

        const scanToastContainer = document.getElementById('scan_toast_container');
        function showToast(message, type = 'success', icon = 'ki-outline-info') {
            const toastElement = document.createElement('div');
            toastElement.className = `toast text-bg-${type} rounded-m`;
            toastElement.role = 'alert';
            toastElement.ariaLive = 'assertive';
            toastElement.ariaAtomic = 'true';

            toastElement.innerHTML = `
                    <div class="toast-header">
                        <i class="ki-duotone ${icon} fs-3 text-${type}"><span class="path1"></span><span class="path2"></span></i>
                        <strong class="me-auto">Scan Alert!</strong>
                        <small>1 second ago</small>
                        <button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
                    </div>
                    <div class="toast-body fw-semibold text-white">
                        ${message}
                    </div>
            `;

            scanToastContainer.append(toastElement);

            const toast = bootstrap.Toast.getOrCreateInstance(toastElement);
            toast.show();

            toastElement.addEventListener('hidden.bs.toast', () => {
                toastElement.remove();
            });
        }

        $(document).on("click", ".itemOrderQuantity", async function(e) {
            var item_order_id = $(this).data("id");
            var item_order_current_quantity = $(this).val();
            const { value: item_order_quantity } = await Swal.fire({
              title: "Update Order Quantity",
              input: "number",
              inputLabel: "How many do you want to sell?",
              inputValue: item_order_current_quantity,
              inputPlaceholder: "Enter the number"
            });
            if (item_order_quantity) {
                blockUI.block();
                $.ajax({
                    url: 'update_item_order_quantity',
                    method: 'POST',
                    data: { itemOrderId: item_order_id, itemOrderQuantity: item_order_quantity},
                    success: function(response) {
                        if (response.status == "success") {
                            blockUI.release();
                           currentOrderDiv();
                           orderSummaryDiv();
                        }
                        else{
                            blockUI.release();
                            Swal.fire("Something went wrong!", response.message, "error");
                        }
                    },
                    error: function(xhr, status, error) {
                        blockUI.release();
                        Swal.fire("Something went wrong!", "Unknown error", "error");
                    }
                });
            }
        });

        $(document).scannerDetection({
            timeBeforeScanTest: 200,
            avgTimeByChar: 100,
            onComplete: function(barcode, qty){
                const priceCheckSwitch = document.getElementById('priceCheck');
                if(priceCheckSwitch.checked){
                    priceCheck(barcode);
                }
                else{
                    addItemToOrder(barcode);
                }
            }
        });

    });
</script>
</body>
</html>
<?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/zeonpos/resources/views/point_of_sale.blade.php ENDPATH**/ ?>