<?php $__env->startSection('title', env('APP_NAME')); ?>

<?php $__env->startSection('content'); ?>

    <!--begin::Toolbar-->
    <div class="toolbar mb-n1 pt-3 mb-lg-n3 pt-lg-6" id="kt_toolbar">
        <!--begin::Container-->
        <div
            id="kt_toolbar_container"
            class="container-xxl d-flex flex-stack flex-wrap gap-2"
        >
            <!--begin::Page title-->
            <div
                class="page-title d-flex flex-column align-items-start me-3 py-2 py-lg-0 gap-2"
            >
                <!--begin::Title-->
                <h1 class="d-flex text-dark fw-bold m-0 fs-3">Accounts</h1>
                <!--end::Title-->

                <!--begin::Breadcrumb-->
                <ul
                    class="breadcrumb breadcrumb-dot fw-semibold text-gray-600 fs-7"
                >
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">
                        <a
                            href="<?php echo e(url("/")); ?>"
                            class="text-gray-600 text-hover-primary"
                        >
                            Home
                        </a>
                    </li>
                    <!--end::Item-->
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">General Ledger</li>
                    <!--end::Item-->
                    <!--begin::Item-->
                </ul>
                <!--end::Breadcrumb-->
            </div>
            <!--end::Page title-->

            <!--begin::Actions-->
            <div class="d-flex align-items-center">
                <!--begin::Daterange-->
                <a
                    href="#"
                    class="btn btn-flex bg-body h-35px h-lg-40px px-5"
                    id="date"
                    data-bs-toggle="tooltip"
                    data-bs-dismiss="click"
                    data-bs-trigger="hover"
                    title="Select Date"
                >
                    <span class="me-4">
                      <span
                          class="text-muted fw-semibold me-1"
                          id="kt_dashboard_daterangepicker_title"
                      >Select Date:</span
                      >
                      <span
                          class="text-primary fw-bold"
                          id="dateText"
                      >
                        Apr 23
                      </span>
                    </span>

                    <i class="ki-duotone ki-down fs-4 m-0"></i>
                </a>
                <!--end::Daterange-->
            </div>
            <!--end::Actions-->
        </div>
        <!--end::Container-->
    </div>
    <!--end::Toolbar-->

    <!--begin::Container-->
    <div id="kt_content_container" class="d-flex flex-column-fluid align-items-start container-xxl" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
            <div class="row g-5 g-lg-10">

                <div class="col-xl-3 mb-xl-10">
                    <div class="card bgi-no-repeat bgi-position-y-top bgi-position-x-end statistics-widget-3 h-xl-100">
                        <div class="card-body">
                            <a href="#" class="card-title fw-bold text-muted text-hover-primary fs-4">Total Transaction Amount</a>
                            <div class="fw-bold text-primary my-6"></div>
                            <a href="#" class="btn btn-lg btn-outline btn-outline-dashed btn-outline-primary btn-active-light-primary">₦<span class="totalTransactionAmount">0.00</span></a>
                        </div>
                    </div>
                </div>

                <div class="col-xl-3 mb-xl-10">
                    <div class="card bgi-no-repeat bgi-position-y-top bgi-position-x-end statistics-widget-3 h-xl-100">
                        <div class="card-body">
                            <a href="#" class="card-title fw-bold text-muted text-hover-info fs-4">Total Income</a>
                            <div class="fw-bold text-primary my-6"></div>
                            <a href="#" class="btn btn-lg btn-outline btn-outline-dashed btn-outline-info btn-active-light-info">₦<span class="totalIncome">0.00</span></a>
                        </div>
                    </div>
                </div>

                <div class="col-xl-3 mb-xl-10">
                    <div class="card bgi-no-repeat bgi-position-y-top bgi-position-x-end statistics-widget-3 h-xl-100">
                        <div class="card-body">
                            <a href="#" class="card-title fw-bold text-muted text-hover-danger fs-4">Total Expense</a>
                            <div class="fw-bold text-primary my-6"></div>
                            <a href="#" class="btn btn-lg btn-outline btn-outline-dashed btn-outline-danger btn-active-light-danger">₦<span class="totalExpense">0.00</span></a>
                        </div>
                    </div>
                </div>


                <div class="col-xl-3 mb-xl-10">
                    <div class="card bgi-no-repeat bgi-position-y-top bgi-position-x-end statistics-widget-3 h-xl-100">
                        <div class="card-body">
                            <a href="#" class="card-title fw-bold text-muted text-hover-info fs-4">Total Balance</a>
                            <div class="fw-bold text-primary my-6"></div>
                            <a href="#" class="btn btn-lg btn-outline btn-outline-dashed btn-outline-dark btn-active-light-dark">₦<span class="totalBalance">0.00</span></a>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>

    <!--begin::Container-->
    <div id="kt_content_container" class="d-flex flex-column-fluid align-items-start container-xxl" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
            <!--begin::Card-->
            <div class="card z-depth-1">
                <!--begin::Card header-->
                <div class="card-header border-0 pt-6">
                    <!--begin::Card title-->
                    <div class="card-title">
                        <!--begin::Search-->
                        <div
                            class="d-flex align-items-center position-relative my-1"
                        >
                            <i
                                class="ki-duotone ki-magnifier fs-3 position-absolute ms-5"
                            ><span class="path1"></span><span class="path2"></span
                                ></i>
                            <input
                                type="text"
                                data-kt-customer-table-filter="search"
                                class="form-control form-control-solid w-250px ps-12"
                                placeholder="Search General Ledger"
                            />
                        </div>
                        <!--end::Search-->
                    </div>
                    <!--begin::Card title-->

                    <!--begin::Card toolbar-->
                    <div class="card-toolbar">
                        <!--begin::Toolbar-->
                        <div
                            class="d-flex justify-content-end"
                            data-kt-customer-table-toolbar="base"
                        >
                            <button
                                type="button"
                                class="btn btn-dark"
                                data-bs-toggle="modal"
                                data-bs-target="#addTransactionModal"
                            >
                                Add Transaction
                            </button>
                        </div>
                        <!--end::Toolbar-->
                    </div>
                    <!--end::Card toolbar-->
                </div>
                <!--end::Card header-->

                <!--begin::Card body-->
                <div class="card-body pt-0">
                    <!--begin::Table-->
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="transactionsTable">
                        <thead>
                        <tr
                            class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0"
                        >
                            <th class="min-w-70px">Actions</th>
                            <th class="min-w-125px">Transaction Number</th>
                            <th class="min-w-125px">Branch Name</th>
                            <th class="min-w-125px">Transaction Type</th>
                            <th class="min-w-125px">Transaction Category</th>
                            <th class="min-w-125px">Transaction SubCategory</th>
                            <th class="min-w-125px">Assigned To</th>
                            <th class="min-w-125px">Transaction Amount</th>
                            <th class="min-w-125px text-end">Transaction Date</th>
                        </tr>
                        </thead>
                        <tbody class="fw-semibold text-gray-600">
                        </tbody>
                    </table>
                    <!--end::Table-->
                </div>
                <!--end::Card body-->
            </div>
            <!--end::Card-->

            <!--begin::Modals-->
            <div class="modal fade" tabindex="-1" id="addTransactionModal">
                <div class="modal-dialog mw-1000px">
                    <form id="addTransactionForm">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h3 class="modal-title">Add Transaction</h3>
                                <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                    <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                                </div>
                            </div>

                            <div class="modal-body">

                                <div class="fv-row mb-3">
                                    <label class="fs-6 fw-semibold mb-2">Select Branch</label>
                                    <select class="select mb-2" data-width="100%" data-live-search="true" name="branchId" data-placeholder="Select branch" data-dropdown-parent="#addTransactionModal">
                                        <?php $__currentLoopData = $branches; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $branch): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($branch->id); ?>"><?php echo e($branch->branch_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                <div class="fv-row mb-3">
                                    <label class="required fs-6 fw-semibold mb-2">Select Transaction Category</label>
                                    <select class="select mb-2 transCategoryId" data-width="100%" data-live-search="true" name="transCategoryId" data-placeholder="Select transaction category" data-dropdown-parent="#addTransactionModal">
                                        <option>Select Transaction Category</option>
                                        <?php $__currentLoopData = $transCategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($transCategory->id); ?>"><?php echo e($transCategory->category_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                <div class="fv-row mb-3">
                                    <label class="required fs-6 fw-semibold mb-2">Select Transaction SubCategory</label>
                                    <select class="select mb-2 transSubCategoryId" data-width="100%" data-live-search="true" name="transSubCategoryId" data-placeholder="Select transaction subcategory" data-dropdown-parent="#addTransactionModal">
                                        <option>Select Transaction SubCategory</option>
                                    </select>
                                </div>
                                <div class="fv-row mb-3">
                                    <label class="required fs-6 fw-semibold mb-2">Select Transaction Type</label>
                                    <select class="select mb-2" data-width="100%" data-live-search="true" name="transactionType" data-placeholder="Select transaction type" data-dropdown-parent="#addTransactionModal">
                                        <option value="Expense">Expense</option>
                                        <option value="Income">Income</option>
                                    </select>
                                </div>
                                <div class="col-12 mb-3">
                                    <label class="form-label">Transaction Amount</label>
                                    <input type="text" name="transactionAmount" class="form-control mb-2 mb-md-0" placeholder="Transaction Amount" />
                                </div>
                                <div class="col-12 mb-5">
                                    <label class="form-label">Transaction Date</label>
                                    <input type="date" value="<?php echo e(\Carbon\Carbon::now()->format("Y-m-d")); ?>" name="transactionDate" class="transactionDate form-control mb-2 mb-md-0" placeholder="Transaction Date" />
                                </div>
                                <div class="fv-row mb-3">
                                    <label class="required fs-6 fw-semibold mb-2">Select Transaction Mode</label>
                                    <select class="select mb-2" data-width="100%" data-live-search="true" name="transactionMode" id="transactionMode" data-placeholder="Select transaction mode" data-dropdown-parent="#addTransactionModal">
                                        <option value="">General</option>
                                        <option value="Kitchen">Station</option>
                                    </select>
                                </div>
                                <div class="fv-row mb-3 kitchenDiv">
                                    <label class="fs-6 fw-semibold mb-2">Select Station</label>
                                    <select class="select mb-2" data-width="100%" data-live-search="true" name="kitchenId" data-placeholder="Select station" data-dropdown-parent="#addTransactionModal">
                                        <?php $__currentLoopData = $stations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $station): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($station->id); ?>"><?php echo e($station->station_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                <div class="col-12 mb-3">
                                    <label class="form-label">Transaction Description</label>
                                    <textarea name="transactionDescription" placeholder="Enter Transaction Description..." class="form-control h-100px"></textarea>
                                </div>
                            </div>

                            <div class="modal-footer">
                                <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>

        </div>
        <!--end::Post-->
    </div>
    <!--end::Container-->

<?php $__env->stopSection(); ?>

<?php $__env->startSection("footer-links"); ?>

    <script>
        $(document).ready(function() {

            var start = moment("<?php echo $startDate; ?>", "YYYY-MM-DD");
            var end = moment("<?php echo $endDate; ?>", "YYYY-MM-DD");

            var from = "<?php echo $startDate; ?>";
            var to = "<?php echo $endDate; ?>";

            var datatable = $("#transactionsTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 10,
                "ajax": {
                    "url": "ajax_transactions?startDate="+from+"&endDate="+to,
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });

            function checkTransactionMode(){
                var transactionMode = $('#transactionMode').selectpicker('val');
                if(transactionMode === "Store"){
                    $(".storeDiv").show();
                    $(".assetDiv").hide();
                    $(".kitchenDiv").hide();
                }
                else if(transactionMode === "Kitchen"){
                    $(".storeDiv").hide();
                    $(".assetDiv").hide();
                    $(".kitchenDiv").show();
                }
                else if(transactionMode === "Asset"){
                    $(".storeDiv").hide();
                    $(".assetDiv").show();
                    $(".kitchenDiv").hide();
                }
                else{
                    $(".storeDiv").hide();
                    $(".assetDiv").hide();
                    $(".kitchenDiv").hide();
                }
            }

            function checkEditTransactionMode(){
                var editTransactionMode = $(".editTransactionMode").selectpicker('val');
                if(editTransactionMode === "Store"){
                    $(".editStoreDiv").show();
                    $(".editAssetDiv").hide();
                    $(".editKitchenDiv").hide();
                }
                else if(editTransactionMode === "Kitchen"){
                    $(".editStoreDiv").hide();
                    $(".editAssetDiv").hide();
                    $(".editKitchenDiv").show();
                }
                else if(editTransactionMode === "Asset"){
                    $(".editStoreDiv").hide();
                    $(".editAssetDiv").show();
                    $(".editKitchenDiv").hide();
                }
                else{
                    $(".editStoreDiv").hide();
                    $(".editAssetDiv").hide();
                    $(".editKitchenDiv").hide();
                }
            }

            $(document).on("change", "#transactionMode", function (e){
                checkTransactionMode();
            });

            $(document).on("change", ".editTransactionMode", function (e){
                checkEditTransactionMode();
            });

            checkTransactionMode();

            function cb(start, end) {
                from = start.format('YYYY-MM-DD')
                to = end.format('YYYY-MM-DD')
                $("#dateText").html(start.format("ddd, MMM D, YYYY") + " - " + end.format("ddd, MMM D, YYYY"));
                datatable.ajax.url("ajax_transactions?startDate=" + from + "&endDate=" + to).load();
                transactionsSummary();
            }

            cb(start, end);

            transactionsSummary();

            $("#date").daterangepicker({
                startDate: start,
                endDate: end,
                ranges: {
                    "Today": [moment(), moment()],
                    "Yesterday": [moment().subtract(1, "days"), moment().subtract(1, "days")],
                    "Last 7 Days": [moment().subtract(6, "days"), moment()],
                    "Last 30 Days": [moment().subtract(29, "days"), moment()],
                    "This Month": [moment().startOf("month"), moment().endOf("month")],
                    "Last Month": [moment().subtract(1, "month").startOf("month"), moment().subtract(1, "month").endOf("month")]
                }
            }, function(start, end) {
                cb(start, end);
            });

            function transactionsSummary(){
                $.ajax({
                    url: 'transactions_summary',
                    method: 'GET',
                    data: {startDate: from, endDate: to},
                    success: function(response) {
                        $(".totalTransactionAmount").text(response.totalTransactionAmount);
                        $(".totalIncome").text(response.totalIncome);
                        $(".totalExpense").text(response.totalExpense);
                        $(".totalBalance").text(response.totalBalance);
                    },
                    error: function() {
                        transactionsSummary();
                    }
                });
            }

            function getSubCategories(){
                var trans_category_id = $("select.transCategoryId").val();
                $("select.transSubCategoryId").empty();
                $.ajax({
                    url: 'transaction_subcategories',
                    method: 'GET',
                    data: {transCategoryId: trans_category_id},
                    success: function(response) {
                        $("select.transSubCategoryId").append($('<option>Select Transaction SubCategory</option>'))
                        $.each(response.subCategories, function(index, option) {
                            $("select.transSubCategoryId").append($('<option></option>').attr('value', option.id).text(option.trans_subcategory_name));
                        });
                        $("select.transSubCategoryId").selectpicker();
                    },
                    error: function() {

                    }
                });
            }

            getSubCategories();

            $(document).on("change", "select.transCategoryId", function (e) {
                var trans_category_id = $(this).val();
                var subCategoryDiv =  $(this).closest('.fv-row').next('.fv-row').find('.transSubCategoryId');
                var subCategoryElement = $(this).closest('.fv-row').next('.fv-row').find('select.transSubCategoryId');
                var subCategoryParentDiv = subCategoryElement.closest('.dropdown');

                var newSubCategoryElement = $('<select></select>').addClass('mb-2 transSubCategoryId');
                var attributesToCopy = ['data-width', 'data-live-search', 'name', 'data-placeholder', 'data-dropdown-parent'];
                $.each(attributesToCopy, function(index, attributeName) {
                    var attributeValue = subCategoryElement.attr(attributeName);
                    if (attributeValue !== undefined) {
                        newSubCategoryElement.attr(attributeName, attributeValue);
                    }
                });

                subCategoryParentDiv.replaceWith(newSubCategoryElement);
                newSubCategoryElement.empty();
                if(trans_category_id){
                    $.ajax({
                        url: 'transaction_subcategories',
                        method: 'GET',
                        data: {transCategoryId: trans_category_id},
                        success: function(response) {
                            newSubCategoryElement.append($('<option>Select Transaction SubCategory</option>'))
                            $.each(response.subCategories, function(index, option) {
                                newSubCategoryElement.append($('<option></option>').attr('value', option.id).text(option.trans_subcategory_name));
                            });
                            newSubCategoryElement.selectpicker();
                        },
                        error: function() {

                        }
                    });
                }
            })

            $(document).on('keyup', '[data-kt-customer-table-filter="search"]', function (e) {
                datatable.search(e.target.value).draw();
            });

            $(document).on("click", ".editTransaction", function (e){
                e.preventDefault();
                var transaction_id = $(this).data("id");
                emptyModalOpen();
                $.ajax({
                    type: "GET",
                    url: "edit_transaction_form",
                    dataType: "json",
                    data:{
                        transactionId: transaction_id,
                    },
                    success: function (response) {
                        if (response.status === "success") {
                            emptyModalFill(response)
                            $(".branchId").selectpicker();
                            $(".assetId").selectpicker();
                            $(".transCategoryId").selectpicker();
                            $(".transSubCategoryId").selectpicker();
                            $(".transactionType").selectpicker();
                            $(".editTransactionMode").selectpicker();
                            $(".assetId").selectpicker();
                            $(".storeId").selectpicker();
                            $(".kitchenId").selectpicker();
                            checkEditTransactionMode();
                        } else {
                            Swal.fire("Cancelled!", response.message, "error");
                        }
                        Swal.hideLoading();
                    },
                    error: function (response) {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        emptyModalClose();
                    }
                });

            });

            $(document).on("submit", "#editTransactionForm", function(e) {
                e.preventDefault();
                var error = false;
                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Transaction will be updated!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#editTransactionForm").ajaxSubmit({
                                    type: "PUT",
                                    url: "edit_transaction",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.ajax.reload();
                                            close_modal()
                                            Swal.fire("Done!", "Transaction Updated", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }

                                });
                            });
                        },
                    })
                }
            });

            $(document).on("click", ".deleteTransaction", function (e){
                e.preventDefault();
                var transaction_id = $(this).data("id");
                var tr = $(this).parents("tr");
                var error = false;

                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Transaction will be deleted!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $.ajax({
                                    type: "DELETE",
                                    url: "delete_transaction",
                                    dataType: "json",
                                    data:{
                                        transactionId: transaction_id,
                                    },
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.row(tr).remove().draw(false);
                                            Swal.fire("Done!", "Transaction Deleted", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $("#addTransactionForm").submit(function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Transaction will be created!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#addTransactionForm").ajaxSubmit({
                                    type: "POST",
                                    url: "create_transaction",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.ajax.reload();
                                            close_modal()
                                            Swal.fire("Done!", "Transaction Created", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });
        });
    </script>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/zeonpos/resources/views/transactions.blade.php ENDPATH**/ ?>