<?php $__env->startSection('title', env('APP_NAME')); ?>

<?php $__env->startSection('content'); ?>

    <!--begin::Toolbar-->
    <div class="toolbar mb-n1 pt-3 mb-lg-n3 pt-lg-6" id="kt_toolbar">
        <!--begin::Container-->
        <div
            id="kt_toolbar_container"
            class="container-xxl d-flex flex-stack flex-wrap gap-2"
        >
            <!--begin::Page title-->
            <div
                class="page-title d-flex flex-column align-items-start me-3 py-2 py-lg-0 gap-2"
            >
                <!--begin::Title-->
                <h1 class="d-flex text-dark fw-bold m-0 fs-3">Items</h1>
                <!--end::Title-->

                <!--begin::Breadcrumb-->
                <ul
                    class="breadcrumb breadcrumb-dot fw-semibold text-gray-600 fs-7"
                >
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">
                        <a
                            href="<?php echo e(url("/")); ?>"
                            class="text-gray-600 text-hover-primary"
                        >
                            Home
                        </a>
                    </li>
                    <!--end::Item-->
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">Items</li>
                    <!--end::Item-->
                    <!--begin::Item-->
                </ul>
                <!--end::Breadcrumb-->
            </div>
            <!--end::Page title-->
        </div>
        <!--end::Container-->
    </div>
    <!--end::Toolbar-->


    <!--begin::Container-->
    <div id="kt_content_container" class="d-flex flex-column-fluid align-items-start container-xxl" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
            <div class="row g-5 g-lg-10">
                <div class="col-xl-6 mb-xl-10">
                    <div class="card bgi-no-repeat bgi-position-y-top bgi-position-x-end statistics-widget-1 h-xl-100">
                        <!--begin::Body-->
                        <div class="card-body">
                            <a href="#" class="card-title fw-bold text-muted text-hover-primary fs-4">Total Item</a>
                            <div class="fw-bold text-primary my-6"></div>
                            <p class="text-dark-75 fw-semibold fs-5 m-0"><span class="badge badge-light-primary badge-lg itemCount">0</span></p>
                        </div>
                        <!--end::Body-->
                    </div>
                </div>
                <div class="col-xl-6 mb-xl-10">
                    <div class="card bgi-no-repeat bgi-position-y-top bgi-position-x-end statistics-widget-2 h-xl-100">
                        <!--begin::Body-->
                        <div class="card-body">
                            <a href="#" class="card-title fw-bold text-muted text-hover-primary fs-4">Total Item Category</a>
                            <div class="fw-bold text-primary my-6"></div>
                            <p class="text-dark-75 fw-semibold fs-5 m-0"><span class="itemCategoryCount badge badge-light-success badge-lg">0</span></p>
                        </div>
                        <!--end::Body-->
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--begin::Container-->
    <div id="kt_content_container" class="d-flex flex-column-fluid align-items-start container-xxl" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
            <!--begin::Card-->
            <div class="card z-depth-1">
                <!--begin::Card header-->
                <div class="card-header border-0 pt-6">
                    <!--begin::Card title-->
                    <div class="card-title">
                        <!--begin::Search-->
                        <div
                            class="d-flex align-items-center position-relative my-1"
                        >
                            <i
                                class="ki-duotone ki-magnifier fs-3 position-absolute ms-5"
                            ><span class="path1"></span><span class="path2"></span
                                ></i>
                            <input
                                type="text"
                                data-kt-customer-table-filter="search"
                                class="form-control form-control-solid w-250px ps-12"
                                placeholder="Search Item"
                            />
                        </div>
                        <!--end::Search-->
                    </div>
                    <!--begin::Card title-->

                    <!--begin::Card toolbar-->
                    <div class="card-toolbar">
                        <!--begin::Toolbar-->
                        <div
                            class="d-flex justify-content-end"
                            data-kt-customer-table-toolbar="base"
                        >
                            <button
                                type="button"
                                class="btn btn-danger"
                                data-bs-toggle="modal"
                                data-bs-target="#addItemModal"
                                style="margin-right: 10px;"
                            >
                                Add Item
                            </button>
                            <button
                                type="button"
                                class="btn btn-primary itemCategories"
                                data-bs-toggle="modal"
                                data-bs-target="#itemCategoriesModal"
                            >
                                Item Categories
                            </button>
                        </div>
                        <!--end::Toolbar-->
                    </div>
                    <!--end::Card toolbar-->
                </div>
                <!--end::Card header-->

                <!--begin::Card body-->
                <div class="card-body pt-0">
                    <!--begin::Table-->
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="itemsTable">
                        <thead>
                            <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                <th class="min-w-250px">Item Name</th>
                                <th class="min-w-125px">Item Category Name</th>
                                <th class="min-w-125px">Item Measurement</th>
                                <th class="min-w-125px">Item Price</th>
                                <th class="min-w-100px">Profit Margin (%)</th>
                                <th class="min-w-125px">Status</th>
                                <th class="text-end min-w-70px">Actions</th>
                            </tr>
                        </thead>
                        <tbody class="fw-semibold text-gray-600">
                        </tbody>
                    </table>
                    <!--end::Table-->
                </div>
                <!--end::Card body-->
            </div>
            <!--end::Card-->

            <div class="modal fade" tabindex="-1" id="itemCategoriesModal">
                <div class="modal-dialog mw-1000px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title">Item Categories</h3>
                            <!--begin::Close-->
                            <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                            </div>
                            <!--end::Close-->
                        </div>

                        <div class="modal-body">
                            <div class="card-body category-div pt-0">
                                <form id="addItemCategoryForm">
                                    <div class="row">
                                        <div class="col-10">
                                            <label class="form-label">Item Category Name</label>
                                            <input type="text" name="itemCategoryName" class="form-control mb-2 mb-md-0" placeholder="Enter Item Category Name" />
                                        </div>
                                        <div class="col-2">
                                            <button type="submit" class="btn btn-info mt-3 mt-md-8">
                                                <i class="ki-duotone ki-plus fs-5"><span class="path1"></span><span class="path2"></span><span class="path3"></span><span class="path4"></span><span class="path5"></span></i>
                                                ADD
                                            </button>
                                        </div>
                                    </div>
                                </form>

                                <hr/>
                                <div class="justify-content-between">
                                    <i
                                        class="ki-duotone ki-magnifier fs-3 mt-4 position-absolute ms-5"
                                    ><span class="path1"></span><span class="path2"></span
                                        ></i>
                                    <input
                                        id="searchInput"
                                        type="text"
                                        data-kt-customer-table-filter="searchitemcategories"
                                        class="form-control mb-5 form-control-solid w-250px ps-12"
                                        placeholder="Search Item Categories"
                                    />
                                </div>
                                <table class="table align-middle table-row-dashed fs-6 gy-5" id="itemCategoriesTable">
                                    <thead>
                                    <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                        <th class="min-w-200px">Item Category Name</th>
                                        <th class="min-w-150px">Item Category Status</th>
                                        <th class="text-end min-w-70px">Actions</th>
                                    </tr>
                                    </thead>
                                    <tbody class="fw-semibold text-gray-600">
            
                                    </tbody>
                                </table>
                            </div>
                            <div class="card-body-loader" style="text-align: center">
                                <!-- Progress enabled state -->
                                <button type="button" class="btn btn-primary" data-kt-indicator="on">
                                    <span class="indicator-label">
                                        Submit
                                    </span>
                                    <span class="indicator-progress">
                                        Please wait...
                                    <span class="spinner-border spinner-border-sm align-middle ms-2"></span>
                                    </span>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="modal fade" tabindex="-1" id="itemMeasurementsModal">
                <div class="modal-dialog mw-1000px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title">Item Measurements</h3>
                            <!--begin::Close-->
                            <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                            </div>
                            <!--end::Close-->
                        </div>

                        <div class="modal-body">
                            <div class="card-body categories-div pt-0">
                                <form id="addItemMeasurementForm">
                                    <div class="row">
                                        <div class="col-6">
                                            <label class="form-label">Select Measurement</label>
                                            <select class="select mb-2 measurementId" name="measurementId" data-placeholder="Select Measurement" data-live-search="true" data-width="100%" data-dropdown-parent="#addItemMeasurementModal">
                                               <?php $__currentLoopData = $measurements; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $measurement): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($measurement->id); ?>"> <?php echo e($measurement->measurement_name); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                        <div class="col-4">
                                            <label class="form-label">Quantity <span class="measurement"></span></label>
                                            <input type="text" name="quantity" class="form-control mb-2 mb-md-0" placeholder="Enter quantity" />
                                        </div>
                                        <div class="col-2">
                                            <button type="submit" class="btn btn-info mt-3 mt-md-8">
                                                <i class="ki-duotone ki-plus fs-5"><span class="path1"></span><span class="path2"></span><span class="path3"></span><span class="path4"></span><span class="path5"></span></i>
                                                ADD
                                            </button>
                                        </div>
                                    </div>
                                </form>

                                <hr/>
                                <div class="justify-content-between">
                                    <i
                                        class="ki-duotone ki-magnifier fs-3 mt-4 position-absolute ms-5"
                                    ><span class="path1"></span><span class="path2"></span
                                        ></i>
                                    <input
                                        type="text"
                                        data-kt-customer-table-filter="searchitemmeasurements"
                                        class="form-control mb-5 form-control-solid w-250px ps-12"
                                        placeholder="Search Item Measurements"
                                    />
                                </div>
                                <table class="table align-middle table-row-dashed fs-6 gy-5" id="itemMeasurementsTable">
                                    <thead>
                                    <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                        <th class="min-w-200px">Measurement Name</th>
                                        <th class="min-w-150px">Quantity</th>
                                        <th class="text-end min-w-70px">Actions</th>
                                    </tr>
                                    </thead>
                                    <tbody class="fw-semibold text-gray-600">
            
                                    </tbody>
                                </table>
                            </div>
                            <div class="card-body-loader" style="text-align: center">
                                <!-- Progress enabled state -->
                                <button type="button" class="btn btn-primary" data-kt-indicator="on">
                                    <span class="indicator-label">
                                        Submit
                                    </span>
                                    <span class="indicator-progress">
                                        Please wait...
                                    <span class="spinner-border spinner-border-sm align-middle ms-2"></span>
                                    </span>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="modal fade" tabindex="-1" id="addItemModal">
                <div class="modal-dialog mw-1000px">
                    <form id="addItemForm">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h3 class="modal-title">Add Item</h3>

                                <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                    <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                                </div>
                            </div>

                            <div class="modal-body py-10 px-lg-17">

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Item Name</label>
                                    <input type="text" class="form-control form-control-solid itemName" placeholder="Enter Item Name" name="itemName" value="" />
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Select Item Type</label>
                                    <select class="select mb-2 itemType" name="itemType" data-placeholder="Select Item Type" data-live-search="true" data-width="100%" data-dropdown-parent="#addItemModal">
                                       <option value="Item">Item</option>
                                       <option value="Service">Service</option>
                                       <option value="Item Pack">Item Pack</option>
                                    </select>
                                </div>

                                <div class="fv-row mb-7 itemCategories">
                                    <label class="required fs-6 fw-semibold mb-2">Select Station</label>
                                    <select class="select mb-2 stationId" name="stationId" data-placeholder="Select Station" data-live-search="true" data-width="100%" data-dropdown-parent="#addItemModal">
                                        <?php $__currentLoopData = $stations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $station): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($station->id); ?>"><?php echo e($station->station_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>

                                <div class="fv-row mb-7 itemCategories">
                                    <label class="required fs-6 fw-semibold mb-2">Select Item Category</label>
                                    <select class="select mb-2 itemCategoryId" name="itemCategoryId" data-placeholder="Select Item Category" data-live-search="true" data-width="100%" data-dropdown-parent="#addItemModal">
                                        <?php $__currentLoopData = $itemCategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $itemCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($itemCategory->id); ?>"><?php echo e($itemCategory->item_category_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Profit Margin (in percentage)</label>
                                    <input type="text" class="decimal profitMargin form-control form-control-solid" placeholder="Profit Margin" name="profitMargin" value="" />
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Item Description</label>
                                    <textarea name="itemDescription" placeholder="Enter Item Description" class="form-control form-control-solid h-100px"></textarea>
                                </div>
                                
                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Select Item Measurement</label>
                                    <select class="select mb-2 itemMeasurement" name="itemMeasurement" data-placeholder="Select Item Measurement" data-live-search="true" data-width="100%" data-dropdown-parent="#addItemModal">
                                       <option value="KILOGRAM"> KILOGRAM (KG)</option>
                                       <option value="UNIT"> UNIT (UNIT)</option>
                                    </select>
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Item Price (per item measurement)</label>
                                    <input type="text" class="decimal itemPrice form-control form-control-solid" placeholder="Item Price" name="itemPrice" value="" />
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Stock Alert Below (in item measurement)</label>
                                    <input type="text" class="form-control form-control-solid" placeholder="Stock Alert" name="stockAlertBelow" value="" />
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Expiry Alert Before (in days)</label>
                                    <input type="number" class="form-control form-control-solid" placeholder="Expiry Alert" name="expiryAlertBefore" value="" />
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Item Status</label>
                                    <div class="form-check form-switch form-check-custom form-check-solid">
                                        <input class="form-check-input" type="checkbox" value="Active" id="itemStatus" name="itemStatus" checked="checked">
                                        <label class="form-check-label fw-semibold text-gray-400 ms-3" for="itemStatus">
                                            Active
                                        </label>
                                    </div>
                                </div>

                            </div>

                            <div class="modal-footer">
                                <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>

            <div class="modal fade" tabindex="-1" id="itemContactGroupsModal">
                <div class="modal-dialog mw-1000px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title">Item Contact Groups</h3>
                            <!--begin::Close-->
                            <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                            </div>
                            <!--end::Close-->
                        </div>

                        <div class="modal-body">
                            <div class="card-body categories-div pt-0">
                                <div class="justify-content-between">
                                    <i
                                        class="ki-duotone ki-magnifier fs-3 mt-4 position-absolute ms-5"
                                    ><span class="path1"></span><span class="path2"></span
                                        ></i>
                                    <input
                                        type="text"
                                        data-kt-customer-table-filter="searchitemcontactgroups"
                                        class="form-control mb-5 form-control-solid w-250px ps-12"
                                        placeholder="Search Item Contact Groups"
                                    />
                                </div>
                                <table class="table align-middle table-row-dashed fs-6 gy-5" id="itemContactGroupsTable">
                                    <thead>
                                    <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                        <th class="min-w-200px">Contact Group Name</th>
                                        <th class="text-end min-w-150px">Item Price</th>
                                    </tr>
                                    </thead>
                                    <tbody class="fw-semibold text-gray-600">
            
                                    </tbody>
                                </table>
                            </div>
                            <div class="card-body-loader" style="text-align: center">
                                <!-- Progress enabled state -->
                                <button type="button" class="btn btn-primary" data-kt-indicator="on">
                                    <span class="indicator-label">
                                        Submit
                                    </span>
                                    <span class="indicator-progress">
                                        Please wait...
                                    <span class="spinner-border spinner-border-sm align-middle ms-2"></span>
                                    </span>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
        <!--end::Post-->
    </div>
    <!--end::Container-->

<?php $__env->stopSection(); ?>

<?php $__env->startSection("footer-links"); ?>

    <script>
        $(document).ready(function() {

            let item_id, item_measurement;

            var datatable_item_measurements = $("#itemMeasurementsTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 100,
                "ajax": {
                    "url": "item_measurements?itemId=" + item_id,
                    "type": "GET",
                    "data": function ( d ) {
                        $(".card-body-loader").hide();
                        return $.extend( {}, d, {
                        } );
                    },
                    error: function(xhr, errorType, exception) {
                        console.log('An error occurred while fetching data:', exception);
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "error": function (xhr, errorType, exception) {
                    console.log('An error occurred while fetching data:', exception);
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });
            
            var datatable_item_categories = $("#itemCategoriesTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 100,
                "ajax": {
                    "url": "item_categories",
                    "type": "GET",
                    "data": function ( d ) {
                        $(".card-body-loader").hide();
                        return $.extend( {}, d, {
                        } );
                    },
                    error: function(xhr, errorType, exception) {
                        console.log('An error occurred while fetching data:', exception);
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "error": function (xhr, errorType, exception) {
                    console.log('An error occurred while fetching data:', exception);
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });

            var datatable_item_contact_groups = $("#itemContactGroupsTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 100,
                "ajax": {
                    "url": "item_contact_groups?itemId="+item_id,
                    "type": "GET",
                    "data": function ( d ) {
                        $(".card-body-loader").hide();
                        return $.extend( {}, d, {
                        } );
                    },
                    error: function(xhr, errorType, exception) {
                        console.log('An error occurred while fetching data:', exception);
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "error": function (xhr, errorType, exception) {
                    console.log('An error occurred while fetching data:', exception);
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });

            $(document).on('keyup', '[data-kt-customer-table-filter="searchitemcontactgroups"]', function (e) {
                datatable_item_contact_groups.search(e.target.value).draw();
            });

            $(document).on("click", ".itemContactGroups", function(e){
                $(".card-body-loader").show();
                item_id = $(this).data("id");
                datatable_item_contact_groups.ajax.url("item_contact_groups?itemId=" + item_id).load();
            })

            $(document).on("click", ".itemMeasurements", function(e){
                $(".card-body-loader").show();
                item_id = $(this).data("id");
                item_measurement = $(this).data("measurement");
                $(".itemId").val(item_id);
                $(".measurement").text("(in "+item_measurement+")");
                datatable_item_measurements.ajax.url("item_measurements?itemId=" + item_id).load();
            })
            
            $(document).on('keyup', '[data-kt-customer-table-filter="searchitemmeasurements"]', function (e) {
                datatable_item_measurements.search(e.target.value).draw();
            });

            $(document).on("click", ".itemCategories", function(e){
                $(".card-body-loader").show();
                datatable_item_categories.ajax.url("item_categories").load();
            })
            
            $(document).on('keyup', '[data-kt-customer-table-filter="searchitemcategories"]', function (e) {
                datatable_item_categories.search(e.target.value).draw();
            });

            var datatable = $("#itemsTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 100,
                'layout': {
                    'topStart': {
                        'buttons': ['copyHtml5', 'excelHtml5', 'csvHtml5', 'pdfHtml5']
                    },
                },
                "ajax": {
                    "url": "ajax_items",
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                
                dom: 'Bfrtip',
                scrollX: true,
                buttons: [
                    {
                        extend: 'print',
                        text: '<i class="fa fa-print me-2"></i> Print',
                        customize: function(win) {
                            $(win.document.body).find("h1").css({
                                "text-align": "center",
                                "font-size": "16px",
                                "margin-bottom": "15px"
                            }).text("Store Items");

                            $(win.document.body).find("table").css({
                                "font-size": "10px",
                                "border-collapse": "collapse",
                                "border": "1px solid black",
                                "width": "100%",
                                "table-layout": "fixed"
                            });
                            $(win.document).find("html").css("background", "#ffffff");
                            $(win.document).find("body").css({
                                "background": "#ffffff",
                                "font-size": "10px"
                            });

                            var lastThreeHeaders = $(win.document.body).find("tr th:nth-last-child(-n+3)");
                            $(lastThreeHeaders[2]).text("");
                            $(win.document.body).find("thead tr").prepend("<th>No</th>")
                            var tableBody = $(win.document.body).find("tbody");
                            $(tableBody).find("tr").each(function(index) {
                                $(this).prepend("<td></td>");
                                $(this).find("td:first-child").text(index + 1);
                            });

                            $(win.document.body).find("tr").each(function() {
                                $(this).find("th:first-child, td:first-child").css({
                                    "width": "7%",
                                    "white-space": "wrap","overflow": "hidden",
                                });
                                $(this).find("th:nth-child(2), td:nth-child(2)").css({
                                    "width": "20%",
                                    "white-space": "wrap","overflow": "hidden",
                                });
                                $(this).find("th:nth-child(3), td:nth-child(3), th:nth-child(6), td:nth-child(6)").css({
                                    "width": "20%",
                                    "white-space": "wrap","overflow": "hidden",
                                });
                                $(this).find("th:nth-child(5), td:nth-child(5)").css({
                                    "width": "10%",
                                    "white-space": "wrap","overflow": "hidden",
                                });
                                $(this).find("th:eq(6), td:eq(6)").remove();
                            });

                            $(win.document.body).find("td").css({
                                "border": ".5px solid black",
                                "padding": "5px",
                                "font-size": "9.5px",
                            });

                            $(win.document.body).find("th").css({
                                "border": ".5px solid black",
                                "font-size": "12px",
                                "font-weight": "900",
                                "padding": "5px"
                            });
                        }
                    },
                    {
                        extend: 'excelHtml5',
                        text: 'Excel',
                    }
                ],
                
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                    $("#itemsTable_filter").hide();
                    $('.buttons-print').removeClass("btn-secondary").addClass("btn-dark rounded-1 mt-3");
                }
            });

            $(document).on('keyup', '[data-kt-customer-table-filter="search"]', function (e) {
                datatable.search(e.target.value).draw();
            });

            itemsSummary();

            function itemsSummary(){
                $.ajax({
                    url: 'items_summary',
                    method: 'GET',
                    success: function(response) {
                        $(".itemCategoryCount").text(response.itemCategoryCount);
                        $(".itemCount").text(response.itemCount);
                    },
                    error: function() {
                        itemsSummary();
                    }
                });
            }

            $(document).on("click", ".editItem", function (e){
                e.preventDefault();
                var item_id = $(this).data("id");
                emptyModalOpen();
                $.ajax({
                    type: "GET",
                    url: "edit_item_form",
                    dataType: "json",
                    data:{
                        itemId: item_id,
                    },
                    success: function (response) {
                        if (response.status === "success") {
                            emptyModalFill(response)
                            $(".itemCategoryId").selectpicker();
                            $(".itemMeasurement").selectpicker();
                        } else {
                            Swal.fire("Cancelled!", response.message, "error");
                        }
                        Swal.hideLoading();
                    },
                    error: function (response) {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        emptyModalClose();
                    }
                });

            });

            $(document).on("submit", "#editItemForm", function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Item will be updated!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#editItemForm").ajaxSubmit({
                                    type: "POST",
                                    url: "edit_item",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.ajax.reload();
                                            itemsSummary();
                                            close_modal()
                                            Swal.fire("Done!", "Item Updated", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }

                                });
                            });
                        },
                    })
                }
            });

            $(document).on("click", ".deleteItem", function (e){
                e.preventDefault();
                var item_id = $(this).data("id");
                var tr = $(this).parents("tr");
                var error = false;

                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: " Item will be deleted!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $.ajax({
                                    type: "DELETE",
                                    url: "delete_item",
                                    dataType: "json",
                                    data:{
                                        itemId: item_id,
                                    },
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.row(tr).remove().draw(false);
                                            itemsSummary();
                                            Swal.fire("Done!", " Item Deleted", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $("#addItemForm").submit(function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Item will be created!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#addItemForm").ajaxSubmit({
                                    type: "POST",
                                    url: "create_item",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.ajax.reload();
                                            $(".itemName").val("");
                                            itemsSummary();
                                            Swal.fire("Done!", "Item Created", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $("#addItemCategoryForm").submit(function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Item Category will be created!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#addItemCategoryForm").ajaxSubmit({
                                    type: "POST",
                                    url: "create_item_category",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable_item_categories.ajax.reload();
                                            $("#addItemCategoryForm").resetForm();
                                            itemsSummary();
                                            Swal.fire("Done!", "Item Category Created", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $("#addItemMeasurementForm").submit(function(e) {
                e.preventDefault();
                var error = false;
                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Item Measurement will be created!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#addItemMeasurementForm").ajaxSubmit({
                                    type: "POST",
                                    url: "create_item_measurement",
                                    dataType: "json",
                                    data: {
                                        itemId: item_id
                                    },
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable_item_measurements.ajax.reload();
                                            $("#addItemMeasurementForm").resetForm();
                                            Swal.fire("Done!", "Item Measurement Created", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });
        });
    </script>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/zeonpos/resources/views/items.blade.php ENDPATH**/ ?>