<!DOCTYPE html>
<html lang="en">
<meta http-equiv="content-type" content="text/html;charset=UTF-8" />
<head>
    <title><?php echo e(env("APP_NAME")); ?></title>
    <meta charset="utf-8" />
    <meta name="description" content="" />
    <meta name="keywords" content="" />
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta property="og:locale" content="en_US" />
    <meta property="og:type" content="article" />
    <meta property="og:title" content="" />
    <link rel="shortcut icon" href="<?php echo e(asset("zeonpos.png")); ?>"/>
    <link rel="stylesheet" href="<?php echo e(asset("fonts")); ?>"/>
    <link href="<?php echo e(url("pos/plugins/custom/datatables/datatables.bundle.css")); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(url("pos/plugins/global/plugins.bundle.css")); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(url("pos/css/style.bundle.css")); ?>" rel="stylesheet" type="text/css" />

    <link rel="stylesheet" href="<?php echo e(url("pos/css/bootstrap-select.min.css")); ?>" integrity="sha512-g2SduJKxa4Lbn3GW+Q7rNz+pKP9AWMR++Ta8fgwsZRCUsawjPvF/BxSMkGS61VsR9yinGoEgrHPGPn2mrj8+4w==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="<?php echo e(url("pos/css/keyboard-basic.min.css")); ?>" integrity="sha512-2bVDVxlsH8oY3RrNeI1uJOAXWmjfEwQ9/dfJ/XM4dG5w8R3W3vSTQccpkzJWndrRo2HNXkiM4tjikPCp111sQg==" crossorigin="anonymous" referrerpolicy="no-referrer" />
</head>

<?php if (isset($component)) { $__componentOriginal24014f37caeeb14a678973be9b71c564 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal24014f37caeeb14a678973be9b71c564 = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.empty-modal','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('empty-modal'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal24014f37caeeb14a678973be9b71c564)): ?>
<?php $attributes = $__attributesOriginal24014f37caeeb14a678973be9b71c564; ?>
<?php unset($__attributesOriginal24014f37caeeb14a678973be9b71c564); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal24014f37caeeb14a678973be9b71c564)): ?>
<?php $component = $__componentOriginal24014f37caeeb14a678973be9b71c564; ?>
<?php unset($__componentOriginal24014f37caeeb14a678973be9b71c564); ?>
<?php endif; ?>

<!--begin::Body-->
<body id="kt_body" style="background-image: url('#')" class="">
<style>
    .z-depth-1 {
        box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12); }
    .z-depth-1-half {
        box-shadow: 0 5px 11px 0 rgba(0, 0, 0, 0.18), 0 4px 15px 0 rgba(0, 0, 0, 0.15); }
    .z-depth-2 {
        box-shadow: 0 8px 17px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19); }
    .z-depth-3 {
        box-shadow: 0 12px 15px 0 rgba(0, 0, 0, 0.24), 0 17px 50px 0 rgba(0, 0, 0, 0.19); }
    .z-depth-4 {
        box-shadow: 0 16px 28px 0 rgba(0, 0, 0, 0.22), 0 25px 55px 0 rgba(0, 0, 0, 0.21); }
    .z-depth-5 {
        box-shadow: 0 27px 24px 0 rgba(0, 0, 0, 0.2), 0 40px 77px 0 rgba(0, 0, 0, 0.22); }
    .center_me {
        justify-content: center;
        align-items: center;
    }
    div[data-repeater-item=""] {
        padding: 20px;
        border: 1px solid #eee;
        border-radius: 10px;
        box-shadow: 0px 4px 7px 4px #eee;
    }
</style>

<!--begin::Main-->
<!--begin::Root-->
<div class="d-flex flex-column flex-root">
    <!--begin::Wrapper-->
    <div class="wrapper d-flex flex-column flex-row-fluid" id="kt_wrapper">
        <!--begin::Header-->
        <div id="kt_header" class="header " data-kt-sticky="true" data-kt-sticky-name="header" data-kt-sticky-offset="{default: '200px', lg: '300px'}">
            <!--begin::Container-->
            <div class=" container-xxl  d-flex align-items-center justify-content-between" id="kt_header_container">
                <!--begin::Page title-->
                <div class="page-title d-flex flex-column align-items-start justify-content-center flex-wrap mt-n5 mt-lg-0 me-lg-2 pb-2 pb-lg-0" data-kt-swapper="true" data-kt-swapper-mode="prepend" data-kt-swapper-parent="{default: '#kt_content_container', lg: '#kt_header_container'}">
                    <!--begin::Heading-->
                    <h1 class="text-dark fw-bolder my-0 fs-1"> Thank you for choosing Meditox!💕</h1>
                    <!--end::Heading-->

                </div>
                <!--end::Page title--->
                <!--begin::Wrapper-->
                <div class="d-flex d-lg-none align-items-center ms-n4 me-2">
                    <!--begin::Aside mobile toggle-->
                    <div class="btn btn-icon btn-active-icon-primary" id="kt_aside_mobile_toggle">
                        <i class="ki-duotone ki-abstract-14 fs-1">
                            <span class="path1"></span>
                            <span class="path2"></span>
                        </i>
                    </div>
                    <!--end::Aside mobile toggle-->
                    <!--begin::Logo-->
                    <a href="<?php echo e(url("#")); ?>" class="d-flex align-items-center">
                        <img alt="Logo" src="<?php echo e(url("zeonpos.png")); ?>" class="h-50px z-depth-1" />
                    </a>
                    <!--end::Logo-->
                </div>
                <!--end::Wrapper-->
                <!--begin::Toolbar wrapper-->
                <div class="d-flex flex-shrink-0"  id="pageButtons">
                    <a href="<?php echo e(url("#")); ?>" class="btn  ms-0 me-0 mt-1 btn-icon btn-color-white bg-info w-40px h-40px w-lg-40px h-lg-40px enterFullScreen">
                        <i class="bi bi-arrows-fullscreen fs-1"><span class="path1"></span><span class="path2"></span></i>
                    </a>
                </div>
                <!--end::Toolbar wrapper-->
            </div>
            <!--end::Container-->
        </div>
        <!--end::Header-->
        <!--begin::Content-->
        <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
            <!--begin::Container-->
            <div class=" container-xxl " id="kt_content_container">
                <!--begin::Layout-->
                <div class="d-flex flex-column flex-xl-row">
                    <!--begin::Content-->
                    <div class="d-flex flex-row-fluid me-xl-9 mb-10 mb-xl-0">
                        <!--begin::Pos food-->
                        <div class="card card-flush card-p-10  border-0" style="width: 100%;" id="currentOrder">

                        </div>
                        <!--end::Pos food-->
                    </div>
                    <!--end::Content-->
                    <!--begin::Sidebar-->
                    <div class="flex-row-auto w-xl-425px" id="orderSummary">

                    </div>
                    <!--end::Sidebar-->
                </div>
                <!--end::Layout-->
            </div>
            <!--end::Container-->
        </div>
        <!--end::Content-->
        <!--begin::Footer-->
        <div class="footer py-4 d-flex flex-lg-column " id="kt_footer">
            <!--begin::Container-->
            <div class=" container-xxl  d-flex flex-column flex-md-row flex-stack">
                <!--begin::Copyright-->
                <div class="text-dark order-2 order-md-1">
                    <span class="text-gray-400 fw-semibold me-1">Created by</span>
                    <a href="https://zeonglobal.com" target="_blank" class="text-muted text-hover-primary fw-semibold me-2 fs-6">ZEON GLOBAL TECH</a>
                </div>
                <!--end::Copyright-->
                <!--begin::Menu-->
                <ul class="menu menu-gray-600 menu-hover-primary fw-semibold order-1 d-none">
                    <li class="menu-item">
                        <a href="https://zeonglobal.com" target="_blank" class="menu-link px-2">About</a>
                    </li>
                    <li class="menu-item">
                        <a href="https://zeonglobal.com" target="_blank" class="menu-link px-2">Support</a>
                </ul>
                <!--end::Menu-->
            </div>
            <!--end::Container-->
        </div>
        <!--end::Footer-->
    </div>
    <!--end::Wrapper-->
</div>
<!--end::Root-->
<!--end::Main-->

<!--begin::Scrolltop-->
<div id="kt_scrolltop" class="scrolltop" data-kt-scrolltop="true">
    <i class="ki-duotone ki-arrow-up">
        <span class="path1"></span>
        <span class="path2"></span>
    </i>
</div>
<!--end::Scrolltop-->

<!--begin::Modals-->

<button
    type="button"
    class="btn btn-danger d-none emptyModal"
    data-bs-toggle="modal"
    data-bs-target="#emptyModal"
    style="margin-right: 10px;"
>
</button>

<!--end::Modals-->
<!--begin::Javascript-->
<script>
    var hostUrl = "pos/index.php";
    var optionFormat = function(item) {
        if ( !item.id ) {
            return item.text;
        }
        var span = document.createElement('span');
        var imgUrl = item.element.getAttribute('data-kt-select2-user');
        var template = '';

        template += '<img src="' + imgUrl + '" class="rounded-circle h-20px me-2" alt="image"/>';
        template += item.text;

        span.innerHTML = template;
        return $(span);
    }

</script>
<script src="<?php echo e(url("pos/plugins/global/plugins.bundle.js")); ?>"></script>
<script src="<?php echo e(url("pos/js/scripts.bundle.js")); ?>"></script>
<script src="<?php echo e(url("pos/js/bootstrap-select.min.js")); ?>" integrity="sha512-yrOmjPdp8qH8hgLfWpSFhC/+R9Cj9USL8uJxYIveJZGAiedxyIxwNw4RsLDlcjNlIRR4kkHaDHSmNHAkxFTmgg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="<?php echo e(url("pos/plugins/custom/datatables/datatables.bundle.js")); ?>"></script>
<script src="<?php echo e(url("pos/js/custom/pages/general/pos.js")); ?>"></script>
<script src="<?php echo e(url("pos/js/widgets.bundle.js")); ?>"></script>
<script src="<?php echo e(url("pos/js/custom/widgets.js")); ?>"></script>
<script src="<?php echo e(url("pos/js/custom/apps/chat/chat.js")); ?>"></script>

<script src="<?php echo e(url("assets/plugins/custom/formrepeater/formrepeater.bundle.js")); ?>"></script>
<script src="<?php echo e(url("pos/js/custom/utilities/modals/upgrade-plan.js")); ?>"></script>
<script src="<?php echo e(url("pos/js/custom/utilities/modals/create-app.js")); ?>"></script>
<script src="<?php echo e(url("pos/js/custom/utilities/modals/users-search.js")); ?>"></script>
<script src="<?php echo e(url("pos/js/jquery.form.min.js")); ?>" integrity="sha384-qlmct0AOBiA2VPZkMY3+2WqkHtIQ9lSdAsAn5RUJD/3vA5MKDgSGcdmIv4ycVxyn" crossorigin="anonymous"></script>
<script src="<?php echo e(url("pos/js/jquery.keyboard.min.js")); ?>" integrity="sha512-bnF44HiiJPFa0Kzr+pxQktiT6MnrdSWn/jSkZcJY9Lsw2TRIWZfkI1zo6uNfKEvK0QK2AsJuvf7AIxUmCDOOmw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

<script>
    $(document).ready(function() {

        var computer_id = "<?php echo $computerId; ?>";

        var target = document.querySelector("#overlayTarget");
        var blockUI = new KTBlockUI(target, {
            overlayClass: "bg-secondary bg-opacity-75",
            zIndex: 100000
        });

        $(document).on("click", ".enterFullScreen", function (e) {
            if (!document.fullscreenElement) {
                document.documentElement.requestFullscreen();
            }
            else if (document.exitFullscreen) {
                document.exitFullscreen();
            }
        })

        function currentOrderDiv(){
            $.ajax({
                url: 'customer_current_order_div',
                type: 'GET',
                dataType: 'json',
                data:{
                  computerId: computer_id
                },
                success: function(response) {
                    if (response.status === 'success') {
                        var newContent = response.body;
                        $('#currentOrder').html(newContent);
                        setTimeout(currentOrderDiv, 2000);
                    } else {
                        currentOrderDiv();
                    }
                },
                error: function(xhr, status, error) {
                    currentOrderDiv();
                }
            });
        }

        function orderSummaryDiv(){
            $.ajax({
                url: 'customer_order_summary_div',
                type: 'GET',
                dataType: 'json',
                data:{
                    computerId: computer_id
                },
                success: function(response) {
                    if (response.status === 'success') {
                        var newContent = response.body;
                        $('#orderSummary').html(newContent);
                        setTimeout(orderSummaryDiv, 2000);
                    } else {
                        orderSummaryDiv();
                    }
                },
                error: function(xhr, status, error) {
                    orderSummaryDiv();
                }
            });
        }

        currentOrderDiv();
        orderSummaryDiv();
    });
</script>
</body>
</html>
<?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/zeonpos/resources/views/customer_view.blade.php ENDPATH**/ ?>