<?php

namespace App\Http\Controllers;

use App\Models\ContactGroup;
use App\Models\ItemContactGroup;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;

class ItemContactGroupController extends Controller
{
    public function itemContactGroups(Request $request){
        $contactGroups = ContactGroup::all();
        $main_json = [];
        $i = 0;
        foreach($contactGroups as $contactGroup){
            $itemContactGroup = ItemContactGroup::where("item_id", $request->itemId)->where("contact_group_id", $contactGroup->id)->first();
            $contactGroupPrice = isset($itemContactGroup) ? $itemContactGroup->item_price : null;
            $v = 0;
            $main_json[$i][$v++] = $contactGroup->contact_group_name;
            $main_json[$i][$v++] = '<input type="text" name="contactGroup[' . $contactGroup->id . '][itemPrice]" value="' . $contactGroupPrice . '" class="form-control mb-1 mb-md-0" placeholder="Enter contact group price" />';
            $i++;
        }
        return response()->json(["returned_data" => $main_json]);
    }

    public function updateItemContactGroups(Request $request){

    }
}
