<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class PriceReviewController extends Controller
{
    public function index(){
    $data = [
        'contactId' => 1,
            'invoiceNumber' => '22-02-2025',
            'discountAmount' => 0,
            'purchaseDate' => '2025-02-22',
            'itemPurchases' => [
                [
                    'expiryDate' => '2025-04-30',
                    'itemName' => 'RYCIN ERYTHROMYCIN TABLETS (500 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 31,
                    'barcode' => '8901040250078',
                    'costPrice' => 1400,
                    'itemPrice' => 2000,
                ],
                [
                    'expiryDate' => '2025-06-30',
                    'itemName' => 'ERYFAST-500 ERYTHROMYCIN TABLETS (500 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 28,
                    'barcode' => '8904185704147',
                    'costPrice' => 570,
                    'itemPrice' => 850,
                ],
                [
                    'expiryDate' => '2026-08-31',
                    'itemName' => 'EMBACEF (250 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 7,
                    'barcode' => '08906045943826',
                    'costPrice' => 1880,
                    'itemPrice' => 2800,
                ],
                [
                    'expiryDate' => '2027-03-31',
                    'itemName' => 'TAB ZANEF CEFUROXIME (500 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 9,
                    'barcode' => null,
                    'costPrice' => 2530,
                    'itemPrice' => 3800,
                ],
                [
                    'expiryDate' => '2026-09-30',
                    'itemName' => 'EZCEF-400 CEFIXIME TABLETS (400 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 7,
                    'barcode' => '8904181402252',
                    'costPrice' => 2600,
                    'itemPrice' => 3800,
                ],
                [
                    'expiryDate' => '2026-08-31',
                    'itemName' => 'EZCEF-200 CEFIXIME TABLETS (200 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 3,
                    'barcode' => '8904181402238',
                    'costPrice' => 1800,
                    'itemPrice' => 2800,
                ],
                [
                    'expiryDate' => '2026-10-31',
                    'itemName' => 'DALACAP-300 CLINDAMYCIN CAPSULES (300 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 5,
                    'barcode' => null,
                    'costPrice' => 850,
                    'itemPrice' => 1500,
                ],
                [
                    'expiryDate' => '2025-09-30',
                    'itemName' => 'SPORIDEX 500 CEFALEXIN CAPSULES (500 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 9,
                    'barcode' => '8901296110867',
                    'costPrice' => 1600,
                    'itemPrice' => 2500,
                ],
                [
                    'expiryDate' => '2025-11-30',
                    'itemName' => 'NOVAMENTINE-625 (625 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 7,
                    'barcode' => null,
                    'costPrice' => 2580,
                    'itemPrice' => 3800,
                ],
                [
                    'expiryDate' => '2027-01-31',
                    'itemName' => 'OCEFIX CEFIXIME 400 (400 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 8,
                    'barcode' => '8906035499210',
                    'costPrice' => 4630,
                    'itemPrice' => 6500,
                ],
                [
                    'itemName' => 'FLEMING TAB (625 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 6,
                    'barcode' => '8901040300025',
                    'costPrice' => 6530,
                    'itemPrice' => 9200,
                ],
                [
                    'expiryDate' => '2025-11-30',
                    'itemName' => 'NOVAMENTINE-1000 (1000 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 8,
                    'barcode' => null,
                    'costPrice' => 3150,
                    'itemPrice' => 5800,
                ],
                [
                    'expiryDate' => '2026-10-31',
                    'itemName' => 'AUGMENTIN TABLETS (375 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 6,
                    'barcode' => null,
                    'costPrice' => 8830,
                    'itemPrice' => 12500,
                ],
                [
                    'expiryDate' => '2027-01-31',
                    'itemName' => 'AUGMENTIN TABLETS (625 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 5,
                    'barcode' => null,
                    'costPrice' => 10830,
                    'itemPrice' => 16200,
                ],
                [
                    'expiryDate' => '2026-04-30',
                    'itemName' => 'CLARITHROMYCIN POCCO TABLETS (500 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 3,
                    'barcode' => '8904159400907',
                    'costPrice' => 3150,
                    'itemPrice' => 4750,
                ],
                [
                    'expiryDate' => '2026-09-30',
                    'itemName' => 'FIDSON CIPROTAB-TN',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 20,
                    'barcode' => '8906001822035',
                    'costPrice' => 3030,
                    'itemPrice' => 4400,
                ],
                [
                    'expiryDate' => '2026-10-31',
                    'itemName' => 'FIDSON CIPROTAB - 10 TABLETS (500 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 17,
                    'barcode' => '8906001825258',
                    'costPrice' => 2530,
                    'itemPrice' => 3700,
                ],
                [
                    'expiryDate' => '2026-10-31',
                    'itemName' => 'FIDSON CIPROTAB - 14 TABLETS (500 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 24,
                    'barcode' => '8906001825265',
                    'costPrice' => 3330,
                    'itemPrice' => 4900,
                ],
                [
                    'expiryDate' => '2027-03-31',
                    'itemName' => 'KRISHAT CIPROFLOXACIN CAPLETS (500 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 12,
                    'barcode' => '634753387288',
                    'costPrice' => 530,
                    'itemPrice' => 1000,
                ],
                [
                    'expiryDate' => '2025-08-31',
                    'itemName' => 'TABASIL TERBINAFINE TABLETS (250 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 8,
                    'barcode' => '8902502113955',
                    'costPrice' => 3130,
                    'itemPrice' => 4500,
                ],
                [
                    'expiryDate' => '2026-08-31',
                    'itemName' => 'CEFDOXIM CEFPODOXIME TABLETS (200 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 4,
                    'barcode' => '8902502106766',
                    'costPrice' => 2850,
                    'itemPrice' => 4200,
                ],
                [
                    'expiryDate' => '2026-02-28',
                    'itemName' => 'LEMED LEVOFLOXACIN TABLETS (500 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 2,
                    'barcode' => null,
                    'costPrice' => 1120,
                    'itemPrice' => 1600,
                ],
                [
                    'expiryDate' => '2026-02-28',
                    'itemName' => 'LEVOXIN LEVOFLOXACIN TABLETS (750 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 19,
                    'barcode' => null,
                    'costPrice' => 3200,
                    'itemPrice' => 4500,
                ],
                [
                    'expiryDate' => '2026-02-28',
                    'itemName' => 'RUMAFLOX LEVOFLOXACIN TABLETS (500 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 5,
                    'barcode' => '8964001244769',
                    'costPrice' => 1600,
                    'itemPrice' => 2500,
                ],
                [
                    'expiryDate' => '2026-02-28',
                    'itemName' => 'TARIVID OFLOXACIN TABLETS (200 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 11,
                    'barcode' => '3582910029250',
                    'costPrice' => 8030,
                    'itemPrice' => 11800,
                ],
                [
                    'expiryDate' => '2025-06-30',
                    'itemName' => 'NKOYO OFLOXACIN TABLETS (200 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 10,
                    'barcode' => '8904185707308',
                    'costPrice' => 330,
                    'itemPrice' => 900,
                ],
                [
                    'expiryDate' => '2026-10-31',
                    'itemName' => 'SAMJONES LEVOFLOXACIN TABLETS (500 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 20,
                    'barcode' => '8906045625395',
                    'costPrice' => 1330,
                    'itemPrice' => 2000,
                ],
                [
                    'expiryDate' => '2026-08-31',
                    'itemName' => 'ORIFLOX OFLOXACIN & ORNIDAZOLE TABLETS',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 15,
                    'barcode' => '8906041272593',
                    'costPrice' => 2430,
                    'itemPrice' => 3800,
                ],
                [
                    'expiryDate' => '2027-04-30',
                    'itemName' => 'PFIZER ZITHROMAX AZITHROMYCIN (250 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 4,
                    'barcode' => '51732070',
                    'costPrice' => 8530,
                    'itemPrice' => 12000,
                ],
                [
                    'expiryDate' => '2026-03-31',
                    'itemName' => 'CETROXOL AZITHROMYCIN (500 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 25,
                    'barcode' => null,
                    'costPrice' => 3200,
                    'itemPrice' => 4500,
                ],
                [
                    'expiryDate' => '2027-05-31',
                    'itemName' => 'REICHAMOX AMOXICILLIN (500 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 20,
                    'barcode' => '5036853000602',
                    'costPrice' => 1710,
                    'itemPrice' => 2400,
                ],
                [
                    'expiryDate' => '2027-02-28',
                    'itemName' => 'GSK AMPICLOX (500 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 25,
                    'barcode' => null,
                    'costPrice' => 2100,
                    'itemPrice' => 3500,
                ],
                [
                    'expiryDate' => '2025-10-31',
                    'itemName' => 'VITAMOX (250 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 22,
                    'barcode' => '6154000136062',
                    'costPrice' => 250,
                    'itemPrice' => 400,
                ],
                [
                    'expiryDate' => '2029-02-28',
                    'itemName' => 'GSK AMOXIL (500 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 8,
                    'barcode' => '8901040105231',
                    'costPrice' => 1830,
                    'itemPrice' => 2850,
                ],
                [
                    'expiryDate' => '2026-10-31',
                    'itemName' => 'SWIPHA OCEFIX CEFIXIME (200 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 4,
                    'barcode' => '8906035499203',
                    'costPrice' => 2820,
                    'itemPrice' => 3950,
                ],
                [
                    'expiryDate' => '2026-01-30',
                    'itemName' => 'UNBRANDED AMPICLOX (500 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 240,
                    'barcode' => null,
                    'costPrice' => 460,
                    'itemPrice' => 800,
                ],
                [
                    'expiryDate' => '2026-02-28',
                    'itemName' => 'UNBRANDED AMPICILLIN (250 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 150,
                    'barcode' => '6156000852195',
                    'costPrice' => 133,
                    'itemPrice' => 500,
                ],
                [
                    'expiryDate' => '2026-03-31',
                    'itemName' => 'KENAZOL KETOCONAZOLE TABLETS (200 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 53,
                    'barcode' => '5655677782794',
                    'costPrice' => 500,
                    'itemPrice' => 1500,
                ],
                [
                    'expiryDate' => '2025-11-30',
                    'itemName' => 'ZIBAZOLE KETOCONAZOLE (200 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 10,
                    'barcode' => '8902297007590',
                    'costPrice' => 320,
                    'itemPrice' => 1500,
                ],
                [
                    'expiryDate' => '2025-10-31',
                    'itemName' => 'ADAY KIT TABLETS',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 1,
                    'barcode' => null,
                    'costPrice' => 1880,
                    'itemPrice' => 3000,
                ],
                [
                    'expiryDate' => '2025-10-31',
                    'itemName' => 'MAY AND BAKER SECWID (500 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 16,
                    'barcode' => '6151006000335',
                    'costPrice' => 600,
                    'itemPrice' => 900,
                ],
                [
                    'expiryDate' => '2027-01-31',
                    'itemName' => 'COTOZAL-TZ PLUS',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 17,
                    'barcode' => '8906036360663',
                    'costPrice' => 3220,
                    'itemPrice' => 4800,
                ],
                [
                    'expiryDate' => '2026-04-30',
                    'itemName' => 'EMCIN GRISEOFULVIN (500 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 24,
                    'barcode' => null,
                    'costPrice' => 1030,
                    'itemPrice' => 1500,
                ],
                [
                    'expiryDate' => '2026-05-31',
                    'itemName' => 'HOVID VIREST 200 ACICLOVIR TABLETS (200 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 20,
                    'barcode' => 'UVIR36',
                    'costPrice' => 1330,
                    'itemPrice' => 2100,
                ],
                [
                    'expiryDate' => '2025-08-31',
                    'itemName' => 'HOVID VIREST 400 ACICLOVIR TABLETS (400 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 18,
                    'barcode' => 'UVIR38',
                    'costPrice' => 2150,
                    'itemPrice' => 3250,
                ],
                [
                    'expiryDate' => '2027-04-30',
                    'itemName' => 'NEW DIVINE CHLORAMPHENICOL CAPSULES (250 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 153,
                    'barcode' => null,
                    'costPrice' => 230,
                    'itemPrice' => 350,
                ],
                [
                    'expiryDate' => '2026-06-30',
                    'itemName' => 'FIDSON CHLORAMPHENICOL (250 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 9,
                    'barcode' => '6154000077280',
                    'costPrice' => 230,
                    'itemPrice' => 500,
                ],
                [
                    'expiryDate' => '2027-01-31',
                    'itemName' => 'FIDSON TETRACYCLINE CAPSULES (250 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 49,
                    'barcode' => '6154000077303',
                    'costPrice' => 124,
                    'itemPrice' => 450,
                ],
                [
                    'expiryDate' => '2027-03-31',
                    'itemName' => 'TETRAKRIS TETRACYCLINE CAPSULE (250 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 13,
                    'barcode' => '653468571706',
                    'costPrice' => 124,
                    'itemPrice' => 450,
                ],
                [
                    'expiryDate' => '2026-08-31',
                    'itemName' => 'ITACARE ITRACONAZOLE CAPSULE (100 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 6,
                    'barcode' => null,
                    'costPrice' => 2500,
                    'itemPrice' => 3750,
                ],
                [
                    'expiryDate' => '2027-01-31',
                    'itemName' => 'FIDSON DOXYCYCLINE CAPSULE (100 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 28,
                    'barcode' => '6154000077297',
                    'costPrice' => 245,
                    'itemPrice' => 500,
                ],
                [
                    'expiryDate' => '2026-04-30',
                    'itemName' => 'HOVID DOXYCAP DOXYCYCLINE (100 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 10,
                    'barcode' => 'UDOX26',
                    'costPrice' => 660,
                    'itemPrice' => 1000,
                ],
                [
                    'expiryDate' => '2029-10-31',
                    'itemName' => 'SKG PRIMPEX DS C0-TRIMOXAZOLE CAPSULES (960 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 9,
                    'barcode' => '608887011258',
                    'costPrice' => 620,
                    'itemPrice' => 900,
                ],
                [
                    'expiryDate' => '2029-10-31',
                    'itemName' => 'SKG PRIMPEX C0-TRIMOXAZOLE CAPSULES (480 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 21,
                    'barcode' => '608887011241',
                    'costPrice' => 260,
                    'itemPrice' => 450,
                ],
                [
                    'expiryDate' => null,
                    'itemName' => 'UNBRANDED METRONIDAZOLE TABLETS (200 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 179,
                    'barcode' => null,
                    'costPrice' => 103,
                    'itemPrice' => 250,
                ],
                [
                    'expiryDate' => null,
                    'itemName' => 'UNBRANDED METRONIDAZOLE TABLETS (400 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 201,
                    'barcode' => null,
                    'costPrice' => 145,
                    'itemPrice' => 300,
                ],
                [
                    'expiryDate' => '2027-04-30',
                    'itemName' => 'PFIZER DIFLUCAN FLUCONAZOLE (50 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 3,
                    'barcode' => null,
                    'costPrice' => 4250,
                    'itemPrice' => 6200,
                ],
                [
                    'expiryDate' => '2026-05-31',
                    'itemName' => 'DONYFLU FLUCONAZOLE TABLETS (200 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 12,
                    'barcode' => '8904181402245',
                    'costPrice' => 1010,
                    'itemPrice' => 1600,
                ],
                [
                    'expiryDate' => '2026-01-31',
                    'itemName' => 'MOXIGET MOXIFLOXACIN TABLETS (400 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 8,
                    'barcode' => null,
                    'costPrice' => 3650,
                    'itemPrice' => 5400,
                ],
                [
                    'expiryDate' => '2026-08-31',
                    'itemName' => 'TEVA NITROFURANTOIN TABLETS (100 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 5,
                    'barcode' => '8906009315553',
                    'costPrice' => 460,
                    'itemPrice' => 800,
                ],
                [
                    'expiryDate' => '2025-08-31',
                    'itemName' => 'LINCODON LINCOMYCIN CAPSULES (500 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 13,
                    'barcode' => '8904185704161',
                    'costPrice' => 580,
                    'itemPrice' => 1000,
                ],
                [
                    'expiryDate' => '2026-12-31',
                    'itemName' => 'SHALINA TINIZOL TINIDAZOLE (500 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 13,
                    'barcode' => '8902292001692',
                    'costPrice' => 170,
                    'itemPrice' => 350,
                ],
                [
                    'expiryDate' => '2027-08-31',
                    'itemName' => 'DGF FLUCAMED CAPSULES (200 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 6,
                    'barcode' => '6156000127576',
                    'costPrice' => 3370,
                    'itemPrice' => 4900,
                ],
                [
                    'expiryDate' => '2027-05-31',
                    'itemName' => 'DGF FLUCAMED CAPSULES (50 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 17,
                    'barcode' => '6156000127569',
                    'costPrice' => 1750,
                    'itemPrice' => 2650,
                ],
                [
                    'expiryDate' => '2028-06-30',
                    'itemName' => 'BIOCINE LINOCOMYCIN CAPSULES (500 MG)',
                    'itemCategoryId' => 1,
                    'itemMeasurement' => 'UNIT',
                    'stockQuantity' => 10,
                    'barcode' => '6156000127651',
                    'costPrice' => 2980,
                    'itemPrice' => 4300,
                ],
                [
                    "expiryDate" => "2026-12-31",
                    "itemName" => "NYSTATINE ORAL SUSPENSION (30 ML)",
                    "itemCategoryId" => 1,
                    "itemMeasurement" => "UNIT",
                    "stockQuantity" => 8,
                    "barcode" => null,
                    "costPrice" => 830,
                    "itemPrice" => 1500
                ],
                [
                    "expiryDate" => "2027-02-28",
                    "itemName" => "DE-SHALOM NITROFURANTOIN TABLETS (100 MG)",
                    "itemCategoryId" => 1,
                    "itemMeasurement" => "UNIT",
                    "stockQuantity" => 1,
                    "barcode" => null,
                    "costPrice" => 480,
                    "itemPrice" => 800
                ],
                [
                    "expiryDate" => "2026-07-21",
                    "itemName" => "TUYIL ERYTHROMYCIN (125MG / 5ML)",
                    "itemCategoryId" => 1,
                    "itemMeasurement" => "UNIT",
                    "stockQuantity" => 14,
                    "barcode" => null,
                    "costPrice" => 370,
                    "itemPrice" => 550
                ],
                [
                    "expiryDate" => "2026-10-31",
                    "itemName" => "EMZOR EMTRIM SUSPENSION (240MG/5ML)",
                    "itemCategoryId" => 1,
                    "itemMeasurement" => "UNIT",
                    "stockQuantity" => 8,
                    "barcode" => "6154000034405",
                    "costPrice" => 630,
                    "itemPrice" => 950
                ],
                [
                    "expiryDate" => "2026-10-31",
                    "itemName" => "SUN PHARMA RANOXYL SUSPENSION (100 ML)",
                    "itemCategoryId" => 1,
                    "itemMeasurement" => "UNIT",
                    "stockQuantity" => 4,
                    "barcode" => "8901296107607",
                    "costPrice" => 1880,
                    "itemPrice" => 2800
                ],
                [
                    "expiryDate" => "2027-02-28",
                    "itemName" => "GSK AMPICLOX (250 MG/ 5 ML)",
                    "itemCategoryId" => 1,
                    "itemMeasurement" => "UNIT",
                    "stockQuantity" => 6,
                    "barcode" => null,
                    "costPrice" => 4530,
                    "itemPrice" => 6800
                ],
                [
                    "expiryDate" => "2026-05-31",
                    "itemName" => "SANOFI FLEMING 457 SUSPENSION",
                    "itemCategoryId" => 1,
                    "itemMeasurement" => "UNIT",
                    "stockQuantity" => 6,
                    "barcode" => "8901040256056",
                    "costPrice" => 6630,
                    "itemPrice" => 9300
                  ],
                  [
                    "expiryDate" => "2026-06-30",
                    "itemName" => "GRAMOCEF-0-100 SUSPENSION (100 ML)",
                    "itemCategoryId" => 1,
                    "itemMeasurement" => "UNIT",
                    "stockQuantity" => 4,
                    "barcode" => null,
                    "costPrice" => 2300,
                    "itemPrice" => 3450
                  ],
                  [
                    "expiryDate" => "2026-07-31",
                    "itemName" => "POCCOZITH AZITHROMYCIN SUSPENSION",
                    "itemCategoryId" => 1,
                    "itemMeasurement" => "UNIT",
                    "stockQuantity" => 9,
                    "barcode" => "8904159402444",
                    "costPrice" => 1130,
                    "itemPrice" => 1950
                  ],
                  [
                    "expiryDate" => "2025-11-30",
                    "itemName" => "NEIMETH CEFUROXIME ORAL SUSPENSION (125 MG)",
                    "itemCategoryId" => 1,
                    "itemMeasurement" => "UNIT",
                    "stockQuantity" => 10,
                    "barcode" => "8908004126707",
                    "costPrice" => 2530,
                    "itemPrice" => 3800
                  ],
                  [
                    "expiryDate" => "2025-11-30",
                    "itemName" => "SANOFI FLEMING 228.5",
                    "itemCategoryId" => 1,
                    "itemMeasurement" => "UNIT",
                    "stockQuantity" => 1,
                    "barcode" => "8901040256063",
                    "costPrice" => 3730,
                    "itemPrice" => 5300
                  ],
                  [
                    "expiryDate" => "2025-10-31",
                    "itemName" => "DGF DRUGFIELD FLUCAMED SUSPENSION (50 MG / 5 ML)",
                    "itemCategoryId" => 1,
                    "itemMeasurement" => "UNIT",
                    "stockQuantity" => 4,
                    "barcode" => "6156000127637",
                    "costPrice" => 906,
                    "itemPrice" => 1800
                  ],
                  [
                    "expiryDate" => "2027-02-28",
                    "itemName" => "GRISEOVAL ORAL SUSPENSION",
                    "itemCategoryId" => 1,
                    "itemMeasurement" => "UNIT",
                    "stockQuantity" => 9,
                    "barcode" => "6151100290007",
                    "costPrice" => 980,
                    "itemPrice" => 1500
                  ],
                  [
                    "expiryDate" => "2027-05-31",
                    "itemName" => "SWIPHA OCEFIX SYRUP (100 ML)",
                    "itemCategoryId" => 1,
                    "itemMeasurement" => "UNIT",
                    "stockQuantity" => 10,
                    "barcode" => "8906035499234",
                    "costPrice" => 2830,
                    "itemPrice" => 4200
                  ],
                  [
                    "expiryDate" => "2027-07-31",
                    "itemName" => "ASTARCLOX SUSPENSION (125 MG / 5 ML)",
                    "itemCategoryId" => 1,
                    "itemMeasurement" => "UNIT",
                    "stockQuantity" => 1,
                    "barcode" => null,
                    "costPrice" => 480,
                    "itemPrice" => 1000
                  ],
                  [
                    "expiryDate" => "2026-07-31",
                    "itemName" => "CETROXOL AZITHROMYCIN SUSPENSION (100 MG)",
                    "itemCategoryId" => 1,
                    "itemMeasurement" => "UNIT",
                    "stockQuantity" => 27,
                    "barcode" => null,
                    "costPrice" => 1700,
                    "itemPrice" => 2500
                  ],
                  [
                    "expiryDate" => "2026-09-30",
                    "itemName" => "ERYTHROKID ERYTHOMYCIN SUSPENSION (250 MG / 5 ML)",
                    "itemCategoryId" => 1,
                    "itemMeasurement" => "UNIT",
                    "stockQuantity" => 4,
                    "barcode" => "6034000140576",
                    "costPrice" => 1250,
                    "itemPrice" => 1900
                  ],
                  [
                    "expiryDate" => "2026-06-30",
                    "itemName" => "SKG PRIMPEX PAEDIATRIC SUSPENSION (50 ML)",
                    "itemCategoryId" => 1,
                    "itemMeasurement" => "UNIT",
                    "stockQuantity" => 11,
                    "barcode" => "608887011234",
                    "costPrice" => 360,
                    "itemPrice" => 1200
                  ],
                  [
                    "expiryDate" => "2026-05-31",
                    "itemName" => "SWIPHA OCEFIX CEFIXIME SUSPENSION (60 ML)",
                    "itemCategoryId" => 1,
                    "itemMeasurement" => "UNIT",
                    "stockQuantity" => 2,
                    "barcode" => "8906035499227",
                    "costPrice" => 2070,
                    "itemPrice" => 3500
                  ],
                  [
                    "expiryDate" => "2026-01-31",
                    "itemName" => "DGF DRUGFIELD BIOCINE SYRUP (250 MG / 5 ML)",
                    "itemCategoryId" => 1,
                    "itemMeasurement" => "UNIT",
                    "stockQuantity" => 9,
                    "barcode" => "6156000127545",
                    "costPrice" => 1800,
                    "itemPrice" => 4500
                  ],
                  [
                    "expiryDate" => "2026-01-09",
                    "itemName" => "TUYIL TUCLOX ORAL DROPS (90 MG / 0.6 ML)",
                    "itemCategoryId" => 1,
                    "itemMeasurement" => "UNIT",
                    "stockQuantity" => 3,
                    "barcode" => null,
                    "costPrice" => 185,
                    "itemPrice" => 270
                  ],
                  [
                    "expiryDate" => null,
                    "itemName" => "UNBRANDED AMOXYCILLIN CAPSULES (500 MG)",
                    "itemCategoryId" => 1,
                    "itemMeasurement" => "UNIT",
                    "stockQuantity" => 4,
                    "barcode" => null,
                    "costPrice" => 450,
                    "itemPrice" => 800
                  ]
            ],
        ];
    }
}
