<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Item extends Model
{
    public function itemPurchases()
    {
        return $this->hasMany(ItemPurchase::class);
    }

    public function itemMeasurements()
    {
        return $this->hasMany(ItemMeasurement::class);
    }

    public function itemCategory()
    {
        return $this->belongsTo(ItemCategory::class);
    }

    public function itemChecks()
    {
        return $this->hasMany(ItemCheck::class);
    }

    public function priceReviews()
    {
        return $this->hasMany(PriceReview::class);
    }

    public function itemWastes()
    {
        return $this->hasMany(ItemWaste::class);
    }

}
