<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ItemPurchase extends Model
{
    public function item()
    {
        return $this->belongsTo(Item::class);
    }

    public function purchase()
    {
        return $this->belongsTo(Purchase::class);
    }

    public function itemOrders()
    {
        return $this->hasMany(ItemOrder::class);
    }

    public function itemWastes()
    {
        return $this->hasMany(ItemWaste::class);
    }
}
