<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('branches', function (Blueprint $table) {
            $table->id();
            $table->string("branch_name");
            $table->longText("branch_logo")->nullable();
            $table->string("branch_email")->nullable();
            $table->longText("branch_phone_number")->nullable();
            $table->longText("branch_address")->nullable();
            $table->string("branch_website")->nullable();
            $table->string("branch_status")->default("Active");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('branches');
    }
};
