<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('item_checks', function (Blueprint $table) {
            $table->id();
            $table->integer("item_id");
            $table->date("start_date");
            $table->date("end_date")->nullable();
            $table->double("opening_quantity", 10000000000000000, 2);
            $table->double("closing_quantity", 10000000000000000, 2)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('item_checks');
    }
};
