
<section class="panel-space"></section>
<!-- panel-space end -->

<audio id="beepAudio">
    <source src="{{asset("order-alarm.mp3")}}" type="audio/mpeg">
</audio>

<a
    class="btn btn-danger d-none emptyModal"
    data-bs-toggle="modal"
    style="margin-right: 10px;"
    href="#emptyModal"
>
</a>


<a
    class="btn btn-danger d-none emptyOffCanvas"
    data-bs-toggle="offcanvas"
    style="margin-right: 10px;"
    href="#emptyOffCanvas"
>
</a>

@yield('nav-links')
<script src="waiter/assets/js/jquery.repeater.min.js" integrity="sha512-foIijUdV0fR0Zew7vmw98E6mOWd9gkGWQBWaoA1EOFAx+pY+N8FmmtIYAVj64R98KeD2wzZh1aHK0JSpKmRH8w==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script type="text/javascript" src="{{url("waiter/assets/js/moment.min.js")}}"></script>
<script type="text/javascript" src="{{url("waiter/assets/js/daterangepicker.min.js")}}"></script>
<script src="waiter/assets/js/popper.min.js" integrity="sha512-ubuT8Z88WxezgSqf3RLuNi5lmjstiJcyezx34yIU2gAHonIi27Na7atqzUZCOoY4CExaoFumzOsFQ2Ch+I/HCw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="{{url("waiter/assets/js/bootstrap.min.js")}}"></script>
<!-- Include DataTables JS -->
<script type="text/javascript" charset="utf8" src="{{url("waiter/assets/js/jquery.dataTables.min.js")}}"></script>

<!-- Latest compiled and minified JavaScript -->
<script src="{{url("waiter/assets/js/bootstrap-select.min.js")}}"></script>

<!-- swiper js -->
<script src="{{url("waiter/assets/js/swiper-bundle.min.js")}}"></script>
<script src="{{url("waiter/assets/js/custom-swiper.js")}}"></script>

<!-- bootstrap js -->

<script>

    $(document).on('click', '.card-header button', function() {
        var arrowIcon = $(this).find('i');
        arrowIcon.toggleClass('ri-arrow-up-s-line ri-arrow-down-s-line');
    });

    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $(document).on('click', '.removeOrderItem', function() {
        var order_item_id = $(this).data("id");
        $.ajax({
            url: 'remove_order_cart_item',
            type: 'POST',
            dataType: "json",
            data:{
                orderItemId: order_item_id,
            },
            success: function(response) {
                if(response.status === "success"){
                    var removeEle = ".cartItem"+order_item_id;
                    $(removeEle).remove();
                }
            },
            error: function(xhr, status, error) {
                console.error('Error:', error);
            }
        });
    });

    function emptyModalOpen(){
        $("#emptyModal").modal("show");
        $(".emptyModalHeaderTitle").text("");
        $(".emptyModalBody").html("");
        $(".emptyModalHeader").hide();
        $(".emptyForm").attr("id", "");
        $(".emptyModalFooter").html("");
        $(".emptyModalLoader").show();
    }

    function showLoadingModal(){
        $("#loadingModal").modal("show");
        $(".loadingModalLoader").show();
        setTimeout(function () {
            $("#loadingModal").modal("hide");
            $(".loadingModalLoader").hide();
        }, 3000);
    }

    function hideLoadingModal(){
        $(".loadingModalLoader").hide();
        $("#loadingModal").modal("hide");
    }

    $(document).on("click", ".showLoader", function (e) {
        showLoadingModal();
    })

    function emptyModalFill(response){
        $(".emptyModalHeaderTitle").text(response.title);
        $(".emptyModalBody").html(response.body);
        $(".emptyModalFooter").html(response.footer);
        $(".emptyForm").attr("id", response.form);
        $(".emptyModalHeader").show();
        $(".emptyModalLoader").hide();
    }

    function emptyOffCanvasOpen(){
        $("#emptyOffCanvas").offcanvas("show");
        $(".emptyOffCanvasBody").html("");
        $(".emptyOffCanvasImg").html("");
        $(".emptyOffCanvasLoader").show();
    }

    function emptyOffCanvasFill(response){
        $(".emptyOffCanvasBody").html(response.body);
        $(".emptyOffCanvasImg").html(response.img);
        $(".emptyOffCanvasLoader").hide();
    }
    function emptyModalClose(){
        $(".modal_close").click();
    }

    let isRunning = false;

    function checkPreparedItems(){
        if (!isRunning) {
            isRunning = true;
            emptyModalClose();
            $.ajax({
                url: 'check_prepared_items',
                type: 'GET',
                success: function (response) {
                    if (response.preparedItemsCount > 0) {
                        emptyModalOpen();
                        emptyModalFill(response);
                        var audio = document.getElementById('beepAudio');
                        audio.play();
                    }
                    isRunning = false;
                },
                error: function (xhr, status, error) {
                    isRunning = false;
                    console.error('Error:', error);
                }
            });
        }
        else{
            setTimeout(checkPreparedItems, 1000);
        }
    }

    // checkPreparedItems();

    function getSalesAlerts(){
        if (!isRunning) {
            isRunning = true;
            emptyModalClose();
            $.ajax({
                url: 'sales_alerts',
                type: 'GET',
                success: function(response) {
                    if(response.alerts > 0){
                        emptyModalOpen();
                        emptyModalFill(response);
                        var audio = document.getElementById('beepAudio');
                        audio.play();
                    }
                    isRunning = false;
                },
                error: function(xhr, status, error) {
                    isRunning = false;
                    console.error('Error:', error);
                }
            });
        } else {
            setTimeout(getSalesAlerts, 1000);
        }
    }

    // getSalesAlerts();

    // setInterval(checkPreparedItems, 10000);
    // setInterval(getSalesAlerts, 22000);

    function toggleFullScreen() {
        if (!document.fullscreenElement) {
            document.documentElement.requestFullscreen();
        }
        // else if (document.exitFullscreen) {
        //     document.exitFullscreen();
        // }
    }

    // document.documentElement.requestFullscreen();

    // toggleFullScreen();

    // setInterval(toggleFullScreen, 1000);

    $(document).on("click", ".markSeen", function (e) {
        var id = $(this).data("order_id");
        var section = $('#checkPreparedItemsForm'+id);
        var formData = new FormData();
        section.find('input').each(function() {
            formData.append($(this).attr('name'), $(this).val());
        });
        Swal.fire({
            title: 'Are you sure?',
            html: "Prepared Item(s) will be marked as Seen!",
            icon: 'info',
            buttonsStyling: false,
            showCancelButton: true,
            allowOutsideClick: false,
            allowEscapeKey: false,
            allowEnterKey: false,
            showLoaderOnConfirm: true,
            confirmButtonText: 'Yes, submit it!',
            cancelButtonText: 'No, cancel it',
            customClass: {
                confirmButton: 'btn btn-primary me-2',
                cancelButton: 'btn btn-danger'
            },
            preConfirm: () => {
                return new Promise(() => {
                    $.ajax({
                        url: 'mark_all_seen',
                        type: 'POST',
                        data: formData,
                        dataType: "json",
                        contentType: false,
                        processData: false,
                        success: function (response) {
                            if (response.status === "success") {
                                $('.orderAccordion'+id).addClass("d-none");
                                Swal.fire("Done!", "Prepared Item(s) marked as seen", "success");
                            } else {
                                Swal.fire("Cancelled!", response.message, "error");
                            }
                            Swal.hideLoading();
                        },
                        error: function (response) {
                            if(response.status !== 200){
                                Swal.fire("Error!", response.responseJSON.message, "error");
                                Swal.hideLoading();
                            }
                        }
                    });
                });
            },
        })
    })

    $(document).on("click", ".markAllSeen", function (e) {
        Swal.fire({
            title: 'Are you sure?',
            html: "All Prepared Item(s) will be marked as Seen!",
            icon: 'info',
            buttonsStyling: false,
            showCancelButton: true,
            allowOutsideClick: false,
            allowEscapeKey: false,
            allowEnterKey: false,
            showLoaderOnConfirm: true,
            confirmButtonText: 'Yes, submit it!',
            cancelButtonText: 'No, cancel it',
            customClass: {
                confirmButton: 'btn btn-primary me-2',
                cancelButton: 'btn btn-danger'
            },
            preConfirm: () => {
                return new Promise(() => {
                    $("#checkPreparedItemsForm").ajaxSubmit({
                        type: "POST",
                        url: "mark_all_seen",
                        dataType: "json",
                        success: function (response) {
                            if (response.status === "success") {
                                close_modal()
                                Swal.fire("Done!", "All Prepared Item(s) marked as seen", "success");
                            } else {
                                Swal.fire("Cancelled!", response.message, "error");
                            }
                            Swal.hideLoading();
                        },
                        error: function (response) {
                            if(response.status !== 200){
                                Swal.fire("Error!", response.responseJSON.message, "error");
                                Swal.hideLoading();
                            }
                        }
                    });
                });
            },
        })
    })

    $(document).on("click", ".viewOrder", function (e) {
        var order_id = $(this).data("id");
        emptyModalOpen();
        $.ajax({
            url: 'view_order',
            method: 'GET',
            data: {
                orderId: order_id,
            },
            success: function(response) {
                if(response.status === "failed"){
                    Swal.fire("Cancelled!", response.message, "error");
                    Swal.hideLoading();
                    $("#emptyModal").click();
                    $("body").click();
                    close_modal();
                    emptyModalClose();
                }
                else{
                    emptyModalFill(response);
                }
            },
            error: function(response) {
                if(response.status !== 200){
                    Swal.fire("Error!", response.responseJSON.message, "error");
                    Swal.hideLoading();
                    close_modal();
                    emptyModalClose();
                }
            }
        });
    })

    $(document).on("click", ".printKitchensOrder", function (e) {
        close_modal();
        var url = $(this).data("url");
        if(url !== null){
            window.open("print_bill?orderId="+url);
        }
    });

    $(document).on("click", ".printOrder", function (e) {
        close_modal();
        var url = $(this).data("url");
        var obp = $(this).data("obp");
        if(url !== null){
            if(parseInt(obp) > 0){
                window.open("print_customer_bill?orderId="+url);
            }
            else{
                window.open("print_customer_bill?orderId="+url);
            }
        }
    })

    function getPlaceOrderItemsCount(){
        $(".notifyWaiter").removeClass("d-none");
        $.ajax({
            url: 'place_order_items_count',
            type: 'GET',
            success: function(response) {
                if(response.status === "success"){
                    $(".placeOrderCount").text(response.placeOrderCount);
                    if(parseInt(response.placeOrderCount) > 0){
                        $(".notifyWaiter").removeClass("d-none");
                    }
                }
            },
            error: function(xhr, status, error) {
                $(".notifyWaiter").addClass("d-none");
                console.error('Error:', error);
            }
        });
    }

    $(document).on("click", ".placeOrder", function (e) {
        var order_id = $(this).data("id");
        emptyModalOpen();
        $.ajax({
            url: 'view_place_order_items',
            method: 'GET',
            data: {
                orderId: order_id,
            },
            success: function(response) {
                if(response.status === "failed"){
                    Swal.fire("Cancelled!", response.message, "error");
                    Swal.hideLoading();
                    $("#emptyModal").click();
                    $("body").click();
                    close_modal();
                    emptyModalClose();
                }
                else{
                    emptyModalFill(response);
                }
            },
            error: function(response) {
                if(response.status !== 200){
                    Swal.fire("Error!", response.responseJSON.message, "error");
                    Swal.hideLoading();
                    close_modal();
                    emptyModalClose();
                }
            }
        });
    })

    $(document).on("click", ".markAllAlertSeen", function (e) {
        var alert_ids = $(this).data("alert_ids");
        Swal.fire({
            title: 'Are you sure?',
            html: "Sales Alert(s) will be marked as seen!",
            icon: 'info',
            buttonsStyling: false,
            showCancelButton: true,
            allowOutsideClick: false,
            allowEscapeKey: false,
            allowEnterKey: false,
            showLoaderOnConfirm: true,
            confirmButtonText: 'Yes, submit it!',
            cancelButtonText: 'No, cancel it',
            customClass: {
                confirmButton: 'btn btn-primary me-2',
                cancelButton: 'btn btn-danger'
            },
            preConfirm: () => {
                return new Promise(() => {
                    $.ajax({
                        url: 'mark_sales_alert',
                        method: 'POST',
                        data: {alertIds: alert_ids, alertGroup: "Yes"},
                        success: function (response) {
                            if (response.status === "success") {
                                close_modal();
                                Swal.fire("Done!", "Sales Alert(s) marked as seen!", "success");
                            } else {
                                Swal.fire("Cancelled!", response.message, "error");
                            }
                            Swal.hideLoading();
                        },
                        error: function (response) {
                            Swal.fire("Error!", response.responseJSON.message, "error");
                            Swal.hideLoading();
                        }
                    });
                });
            },
        })
    })

    $(document).on("click", ".markAlertSeen", function (e) {
        var alert_id = $(this).data("alert_id");
        Swal.fire({
            title: 'Are you sure?',
            html: "Sales Alert will be marked as seen!",
            icon: 'info',
            buttonsStyling: false,
            showCancelButton: true,
            allowOutsideClick: false,
            allowEscapeKey: false,
            allowEnterKey: false,
            showLoaderOnConfirm: true,
            confirmButtonText: 'Yes, submit it!',
            cancelButtonText: 'No, cancel it',
            customClass: {
                confirmButton: 'btn btn-primary me-2',
                cancelButton: 'btn btn-danger'
            },
            preConfirm: () => {
                return new Promise(() => {
                    $.ajax({
                        url: 'mark_sales_alert',
                        method: 'POST',
                        data: {alertId: alert_id, alertGroup: "No"},
                        success: function (response) {
                            if (response.status === "success") {
                                close_modal();
                                Swal.fire("Done!", "Sales Alert marked as seen!", "success");
                            } else {
                                Swal.fire("Cancelled!", response.message, "error");
                            }
                            Swal.hideLoading();
                        },
                        error: function (response) {
                            Swal.fire("Error!", response.responseJSON.message, "error");
                            Swal.hideLoading();
                        }
                    });
                });
            },
        })
    })

    function close_modal(){
        $(".modal").modal('hide');
        $("#emptyModal").modal('hide');
    }

</script>

@yield('footer-links')
</body>

</html>
