<head>

    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="{{env("APP_NAME")}}" />
    <meta name="keywords" content="{{env("APP_NAME")}}" />
    <meta name="author" content="{{env("APP_NAME")}}" />
    <title>{{env("APP_NAME")}}</title>
    <link rel="icon" href="{{asset("setup/favicon.png")}}" type="image/x-icon" />
    <link rel="apple-touch-icon" href="{{asset("setup/favicon.png")}}" />
    <meta name="theme-color" content="#ff8d2f" />
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <meta name="apple-mobile-web-app-status-bar-style" content="black" />
    <meta name="apple-moobile-web-app-title" content="{{env("APP_NAME")}}" />
    <meta name="msapplication-TileImage" content="{{asset("setup/favicon.png")}}" />
    <meta name="msapplication-TileColor" content="#FFFFFF" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />

    <link rel="stylesheet" href="{{url("waiter/assets/css/vendors/metropolis.min.css")}}" />
    <!-- remixicon css -->
    <link rel="stylesheet" type="text/css" href="{{url("waiter/assets/css/vendors/remixicon.css")}}" />
    <!-- swiper css -->
    <link rel="stylesheet" type="text/css" href="{{url("waiter/assets/css/vendors/swiper-bundle.min.css")}}" />
    <!-- bootstrap css -->
    <link rel="stylesheet" id="rtl-link" type="text/css" href="{{url("waiter/assets/css/vendors/bootstrap.min.css")}}" />
    <!-- Theme css -->
    <link rel="stylesheet" id="change-link" type="text/css" href="{{url("waiter/assets/css/style.css")}}" />
    <!-- Include DataTables CSS -->
    <link rel="stylesheet" type="text/css" href="{{url("waiter/assets/css/jquery.dataTables.min.css")}}">

    <link href="{{url("waiter/assets/css/jost.css")}}" rel="stylesheet">

    <link rel="stylesheet" type="text/css" href="{{url("waiter/assets/css/daterangepicker.css")}}" />
    <link rel="stylesheet" href="{{url("waiter/assets/css/bootstrap-select.min.css")}}">
    <script src="{{url("waiter/assets/js/jquery-3.7.1.js")}}" integrity="sha256-eKhayi8LEQwp4NKxN+CfCh+3qOVUtJn3QNZ0TciWLP4=" crossorigin="anonymous"></script>
    <script src="{{url("waiter/assets/js/sweetalert2@11.js")}}"></script>
    <script src="{{url("waiter/assets/js/jquery.form.min.js")}}"></script>

</head>
<body>
<style>
    body {
        font-family: "Jost", sans-serif;
        background: #fdfdfd1f;
    }
    /* Center the search input horizontally and vertically */
    div.center-search {
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .dataTables_wrapper .dataTables_filter input {
        border: 1px solid #dee2e6;
        border-radius: 3px;
        padding: 10px;
        background-color: transparent;
        margin-left: 3px;
    }

    /* Adjust the search input width if needed */
    .dataTables_filter input {
        width: 100%;
    }
    table.dataTable {
        border-collapse: collapse;
    }

    tr.even,
    table.dataTable.display tbody tr.odd {
        background-color: transparent; /* Set the background color to match your table background */
    }

    th.even {
        background-color: transparent; /* Set the background color to match your table background */
    }

    .cus-container {
        padding: 20px 20px;
        background-color: rgba(255, 255, 255, 0.9);
        border-radius: 10px;
        box-shadow: 0px 2px 11px rgba(0, 0, 0, 0.06);
    }
    .custom-container {
        padding: 20px;
        border-radius: 20px;
    }

    .food-accordion .accordion-item {
        padding: 0px 10px;
        background: #FFFFFF;
        border: 1px solid rgba(0, 0, 0, 0.05);
        box-shadow: 0px 2px 12px rgba(0, 0, 0, 0.06);
        border-radius: 8px;
    }
    table.dataTable tbody th, table.dataTable tbody td {
        padding: 10px 0px;
    }
    .restaurant-details-box {
        padding: 0 12px;
        margin-top: -50px;
    }
    table.dataTable.no-footer {
        border-bottom: 1px solid #fff;
    }
    table.dataTable thead th, table.dataTable thead td {
        padding: 10px 0px;
        border-bottom: 1px solid #fff;
    }
    table.dataTable.row-border tbody th, table.dataTable.row-border tbody td, table.dataTable.display tbody th, table.dataTable.display tbody td {
        border-top: 1px solid #ddd;
        background: white !important;
    }
    .product-box2 {
        border: 1px solid #f8f9fa;
        padding: 10px 0px 25px 10px;
        border-radius: 15px;
    }
    .product-box2 .product-img {
        position: relative;
        text-align: center;
        width: 80px;
        height: 80px;
    }
    section, .section-t-space {
        padding-top: 10px;
    }
    .bootstrap-select .dropdown-menu li {
        width: 100%;
    }
</style>

<style>
    .navbar-menu ul li {
        width: 30%;
    }
    .navbar-menu ul a.icon span {
        display: block;
    }
    .navbar-menu ul a.icon img {
        width: 35px;
        height: 35px;
        margin-bottom: 8px;
    }
</style>
<!-- panel-space start -->

<x-processing-modal></x-processing-modal>
<x-waiter-empty-modal></x-waiter-empty-modal>
<x-waiter-empty-offcanvas></x-waiter-empty-offcanvas>

