<?php $__env->startSection('title', env('APP_NAME')); ?>

<?php $__env->startSection('content'); ?>

    <!--begin::Toolbar-->
    <div class="toolbar mb-n1 pt-3 mb-lg-n3 pt-lg-6" id="kt_toolbar">
        <!--begin::Container-->
        <div
            id="kt_toolbar_container"
            class="container-xxl d-flex flex-stack flex-wrap gap-2"
        >
            <!--begin::Page title-->
            <div
                class="page-title d-flex flex-column align-items-start me-3 py-2 py-lg-0 gap-2"
            >
                <!--begin::Title-->
                <h1 class="d-flex text-dark fw-bold m-0 fs-3">Purchases</h1>
                <!--end::Title-->

                <!--begin::Breadcrumb-->
                <ul
                    class="breadcrumb breadcrumb-dot fw-semibold text-gray-600 fs-7"
                >
                    <li class="breadcrumb-item text-gray-600">
                        <a href="<?php echo e(url("/")); ?>" class="text-gray-600 text-hover-primary">
                            Home
                        </a>
                    </li>
                    <li class="breadcrumb-item text-gray-600">Purchases</li>
                </ul>
                <!--end::Breadcrumb-->
            </div>
            <!--end::Page title-->
            <!--begin::Actions-->
            <div class="d-flex align-items-center">
                <!--begin::Daterange-->
                <a
                    href="#"
                    class="btn btn-flex bg-body h-35px h-lg-40px px-5"
                    id="date"
                    data-bs-toggle="tooltip"
                    data-bs-dismiss="click"
                    data-bs-trigger="hover"
                    title="Select Date"
                >
                    <span class="me-4">
                        <span
                            class="text-muted fw-semibold me-1"
                            id="kt_dashboard_daterangepicker_title"
                        >Select Date:</span
                        >
                        <span
                            class="text-primary fw-bold"
                            id="dateText"
                        >
                            Apr 23
                        </span>
                    </span>
                    <i class="ki-duotone ki-down fs-4 m-0"></i>
                </a>
                <!--end::Daterange-->
            </div>
            <!--end::Actions-->
        </div>
        <!--end::Container-->
    </div>
    <!--end::Toolbar-->

    <!--begin::Container-->
    <div id="kt_content_container" class="d-flex flex-column-fluid align-items-start container-xxl" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
            <div class="row g-5 g-lg-10">

                <div class="col-xl-3 mb-xl-10 col-12">
                    <div class="card bgi-no-repeat bgi-position-y-top bgi-position-x-end statistics-widget-3 h-xl-100">
                        <div class="card-body">
                            <a href="#" class="card-title fw-bold text-muted text-hover-primary fs-4">Purchase Amount (<span class="totalPurchases">0</span>)</a>
                            <div class="fw-bold text-primary my-6"></div>
                            <a href="#" class="btn btn-lg btn-outline btn-outline-dashed btn-outline-primary btn-active-light-primary">₦<span id="totalPurchaseAmount">0.00</span></a>
                        </div>
                    </div>
                </div>

                <div class="col-xl-3 mb-xl-10 col-6">
                    <div class="card bgi-no-repeat bgi-position-y-top bgi-position-x-end statistics-widget-3 h-xl-100">
                        <div class="card-body">
                            <a href="#" class="card-title fw-bold text-muted text-hover-info fs-4">Discount Amount</a>
                            <div class="fw-bold text-primary my-6"></div>
                            <a href="#" class="btn btn-lg btn-outline btn-outline-dashed btn-outline-info btn-active-light-info">₦<span id="totalDiscountAmount">0.00</span></a>
                        </div>
                    </div>
                </div>

                <div class="col-xl-3 mb-xl-10 col-6">
                    <div class="card bgi-no-repeat bgi-position-y-top bgi-position-x-end statistics-widget-3 h-xl-100">
                        <div class="card-body">
                            <a href="#" class="card-title fw-bold text-muted text-hover-success fs-4">Payment Amount</a>
                            <div class="fw-bold text-primary my-6"></div>
                            <a href="#" class="btn btn-lg btn-outline btn-outline-dashed btn-outline-success btn-active-light-success">₦<span id="totalPaymentAmount">0.00</span></a>
                        </div>
                    </div>
                </div>

                <div class="col-xl-3 mb-xl-10 col-6">
                    <div class="card bgi-no-repeat bgi-position-y-top bgi-position-x-end statistics-widget-3 h-xl-100">
                        <div class="card-body">
                            <a href="#" class="card-title fw-bold text-muted text-hover-danger fs-4">Balance Amount</a>
                            <div class="fw-bold text-primary my-6"></div>
                            <a href="#" class="btn btn-lg btn-outline btn-outline-dashed btn-outline-danger btn-active-light-danger">₦<span id="totalBalanceAmount">0.00</span></a>
                        </div>
                    </div>
                </div>


            </div>
        </div>
    </div>

    <!--begin::Container-->
    <div id="kt_content_container" class="d-flex flex-column-fluid align-items-start container-xxl" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
            <!--begin::Card-->
            <div class="card z-depth-1">
                <div class="card-header border-0 pt-6">
                    <div class="card-title">
                        <div
                            class="d-flex align-items-center position-relative my-1"
                        >
                            <i
                                class="ki-duotone ki-magnifier fs-3 position-absolute ms-5"
                            ><span class="path1"></span><span class="path2"></span
                                ></i>
                            <input
                                type="text"
                                data-kt-customer-table-filter="search"
                                class="form-control form-control-solid w-250px ps-12"
                                placeholder="Search Purchases"
                            />
                        </div>
                        <!--end::Search-->
                    </div>
                    <!--begin::Card title-->

                    <div class="card-toolbar">

                        <div
                            class="d-flex justify-content-end"
                            data-kt-customer-table-toolbar="base"
                        >
                            <button
                                type="button"
                                class="btn btn-info addPurchase"
                                data-bs-toggle="modal"
                                data-bs-target="#addPurchaseModal"
                            >
                                Add Stock
                            </button>
                        </div>
                    </div>
                    <!--end::Card toolbar-->
                </div>
                <!--end::Card header-->

                <!--begin::Card body-->
                <div class="card-body pt-0">
                    <!--begin::Table-->
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="purchasesTable">
                        <thead>
                        <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                            <th class="min-w-125px">Purchase No</th>
                            <th class="min-w-75px">Invoice No</th>
                            <th class="min-w-100px">Suppliers Info</th>
                            <th class="min-w-125px">Total Amount</th>
                            <th class="min-w-125px">Discount Amount</th>
                            <th class="min-w-125px">Paid Amount</th>
                            <th class="min-w-125px">Balance</th>
                            <th class="min-w-175px">Items</th>
                            <th class="min-w-125px">Purchase Date</th>
                            <th class="text-end min-w-70px">Action</th>
                            <th class="text-end min-w-70px">Items</th>
                        </tr>
                        </thead>
                        <tbody class="fw-semibold text-gray-600">
                        </tbody>
                    </table>
                </div>
            </div>


            <div id="scan_toast_container" class="toast-container position-fixed top-0 end-0 p-3 z-index-10000">
                
            </div>

            <div class="modal fade" tabindex="-1" id="viewPurchasePaymentsModal">
                <div class="modal-dialog mw-1000px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title">Purchase Payments</h3>
                            <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                            </div>
                        </div>

                        <div class="modal-body py-10 px-lg-17">

                            <form id="addPurchasePaymentForm">
                                <input class="d-none purchaseId" name="purchaseId" value="">
                                <div class="form-group row">
                                    <div class="col-md-3">
                                        <label class="form-label">Amount Paid</label>
                                        <input tpe="text" name="paymentAmount" class="form-control mb-2 mb-md-0 paymentAmount" placeholder="Payment Amount" />
                                    </div>
                                    <div class="col-md-4">
                                        <label class="required fs-6 fw-semibold mb-1">Select Payment Method</label>
                                        <select class="paymentMethodId" name="paymentMethodId" data-dropdown-parent="#viewPurchasePaymentsModal">
                                            <?php $__currentLoopData = $paymentMethods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $paymentMethod): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($paymentMethod->id); ?>"><?php echo e($paymentMethod->payment_method_name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                    <div class="col-md-3">
                                        <label class="form-label">Payment Date</label>
                                        <input type="date" class="form-control form-control-solid paymentDate" placeholder="Payment Date" name="paymentDate" value="<?php echo e(\Illuminate\Support\Carbon::now()->format("Y-m-d")); ?>" />
                                    </div>
                                    <div class="col-md-2 mt-md-7">
                                        <button type="button"
                                            class="btn btn-primary mt-1 rounded-1 addPurchasePayment">
                                            Save
                                        </button>
                                    </div>
                                </div>
                                <hr/>
                                <div class="mt-3">
                                    <div class="justify-content-between">
                                        <i
                                            class="ki-duotone ki-magnifier fs-3 mt-4 position-absolute ms-5"
                                        ><span class="path1"></span><span class="path2"></span
                                            ></i>
                                        <input
                                            id="searchInput"
                                            type="text"
                                            data-kt-customer-table-filter="searchpayments"
                                            class="form-control mb-5 form-control-solid w-250px ps-12"
                                            placeholder="Search Payments"
                                        />
                                    </div>
                                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="paymentsTable">
                                        <thead>
                                        <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                            <th class="min-w-125px">Amount Paid</th>
                                            <th class="min-w-150px">Payment Method</th>
                                            <th class="min-w-150px">Date Paid</th>
                                            <th class="min-w-150px">Created By</th>
                                            <th class="min-w-100px text-end">Actions</th>
                                        </tr>
                                        </thead>
                                        <tbody class="fw-semibold text-gray-600">

                                        </tbody>
                                    </table>
                                </div>
                            </form>
                        </div>

                    </div>
                </div>
            </div>

            <div class="modal fade" tabindex="-1" id="viewStoreItemsModal">
                <div class="modal-dialog mw-1000px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title">Store Items</h3>

                            <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                            </div>
                        </div>

                        <div class="modal-body py-10 px-lg-17">
                            <div class="justify-content-between">
                                <i
                                    class="ki-duotone ki-magnifier fs-3 mt-4 position-absolute ms-5"
                                ><span class="path1"></span><span class="path2"></span
                                    ></i>
                                <input
                                    id="searchInput"
                                    type="text"
                                    data-kt-customer-table-filter="searchitems"
                                    class="form-control mb-5 form-control-solid w-250px ps-12"
                                    placeholder="Search Items"
                                />
                            </div>
                            <table class="table align-middle table-row-dashed fs-6 gy-5" id="storeItemsTable">
                                 <thead>
                                    <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                        <th class="min-w-125px">Item Image</th>
                                        <th class="min-w-125px">Item Name</th>
                                        <th class="min-w-125px">Category Name</th>
                                        <th class="min-w-125px">Quantity Alert</th>
                                        <th class="min-w-125px">Status</th>
                                        <th class="text-end min-w-70px">Actions</th>
                                    </tr>
                                 </thead>
                                 <tbody class="fw-semibold text-gray-600">
                                 </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>

            <div class="modal fade" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"id="addPurchaseModal">
                <div class="modal-dialog mw-1000px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title">Add Stock</h3>
                            <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                            </div>
                        </div>
                        <form id="addPurchaseForm">
                            <div class="modal-body px-lg-13">
                                <div class="card p-5">

                                    <div class="fv-row mb-5 supplierDiv">
                                        <label class="required fs-6 fw-semibold mb-2">Select Supplier</label>
                                        <select class="select mb-1 contactId" name="contactId" data-width="100%" data-live-search="true" data-placeholder="Select Supplier" data-dropdown-parent="#addPurchaseModal">
                                            <?php $__currentLoopData = $contacts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $contact): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($contact->id); ?>"><?php echo e($contact->contact_name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>

                                    <div class="fv-row mb-7">
                                        <label class="required fs-6 fw-semibold mb-2">Invoice Number</label>
                                        <input type="text" class="form-control" placeholder="Enter Invoice Number" name="invoiceNumber" value="" />
                                    </div>

                                    <div class="fv-row mb-7">
                                        <label class="required fs-6 fw-semibold mb-2">Discount Amount</label>
                                        <input type="text" class="form-control" placeholder="Enter Discount Amount" name="discountAmount" value="" />
                                    </div>

                                    <div class="fv-row mb-1">
                                        <label class="required fs-6 fw-semibold mb-2">Purchase Date</label>
                                        <input type="date" class="form-control" placeholder="Purchase Date" name="purchaseDate" value="<?php echo e(\Illuminate\Support\Carbon::now()->format("Y-m-d")); ?>" />
                                    </div>
                                </div>

                                <div class="separator separator-content my-14"><span class="w-125px text-gray-500 fw-semibold fs-8">ITEM PURCHASES</span></div>

                                <div class="fv-row mb-7">
                                    <div id="itemPurchases">
                                        <div class="form-group">
                                            <div data-repeater-list="itemPurchases">
                                                <div data-repeater-item class="mb-5">
                                                    <div class="form-group row mb-2">

                                                        <div class="col-md-3">
                                                            <label class="form-label">Expiry Date</label>
                                                            <input type="date" class="form-control" placeholder="Expiry Date" name="expiryDate" value="" />
                                                        </div>
                                                        
                                                        <div class="col-md-3">
                                                            <label class="form-label">Item</label>
                                                            <input type="text" name="itemName" class="itemName form-control mb-2 mb-md-0" placeholder="Item Name"/>
                                                        </div>
                                                        <div class="col-md-3">
                                                            <label class="form-label">Select Category</label>
                                                            <select class="mb-2 itemCategoryId" data-width="100%" data-live-search="true" name="itemCategoryId" data-placeholder="Select Category" data-dropdown-parent="#addPurchaseModal">
                                                                <?php $__currentLoopData = $itemCategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $itemCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <option value="<?php echo e($itemCategory->id); ?>"><?php echo e($itemCategory->item_category_name); ?></option>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            </select>
                                                        </div>
                                                        <div class="col-md-3">
                                                            <label class="form-label">Select Measurement</label>
                                                            <select class="mb-2 itemMeasurement" name="itemMeasurement" data-placeholder="Select Measurement" data-live-search="true" data-width="100%" data-dropdown-parent="#addPurchaseModal">
                                                                <option value="UNIT" selected> UNIT (UNIT)</option>
                                                                <option value="KILOGRAM"> KILOGRAM (KG)</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="form-group row">
                                                        <div class="col-md-2">
                                                            <label class="form-label">Stock Qty</label>
                                                            <input type="text" name="stockQuantity" class="form-control mb-2" placeholder="Stock Qty"/>
                                                        </div>
                                                        <div class="col-md-3">
                                                            <label class="form-label">Barcode</label>
                                                            <input type="text" class="form-control form-control-solid barcode" placeholder="Barcode" name="barcode" value="" />
                                                        </div>
                                                        <div class="col-md-3">
                                                            <label class="form-label">Cost Price</label>
                                                            <input type="text" name="costPrice" class="form-control mb-2" placeholder="Cost Price"/>
                                                        </div>
                                                        <div class="col-md-3">
                                                            <label class="form-label">Sale Price</label>
                                                            <input type="text" name="itemPrice" class="form-control mb-2" placeholder="Sale Price"/>
                                                        </div>
                                                        <div class="col-md-1 mt-md-8">
                                                            <a href="javascript:;" data-repeater-delete class="btn btn-light-danger">
                                                                <i class="ki-duotone ki-trash fs-5"><span class="path1"></span><span class="path2"></span><span class="path3"></span><span class="path4"></span><span class="path5"></span></i>
                                                            </a>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group mt-5">
                                            <a href="javascript:;" data-repeater-create class="btn btn-light-primary addItemPurchase">
                                                <i class="ki-duotone ki-plus fs-3"></i>
                                                Add Item Stock
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                                <button type="submit" class="btn btn-primary">Save changes</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

        </div>
        <!--end::Post-->

    </div>
    <!--end::Container-->

<?php $__env->stopSection(); ?>

<?php $__env->startSection("footer-links"); ?>
    <script type="text/javascript" src="<?php echo e(url("assets/js/jquery.scannerdetection.js")); ?>"></script>
    <script>
        const scanToastContainer = document.getElementById('scan_toast_container');

        function showToast(message, type = 'success', icon = 'ki-outline-info') {
            const toastElement = document.createElement('div');
            toastElement.className = `toast text-bg-${type} rounded-m`;
            toastElement.role = 'alert';
            toastElement.ariaLive = 'assertive';
            toastElement.ariaAtomic = 'true';

            toastElement.innerHTML = `
                    <div class="toast-header">
                        <i class="ki-duotone ${icon} fs-3 text-${type}"><span class="path1"></span><span class="path2"></span></i>
                        <strong class="me-auto">Scan Alert!</strong>
                        <small>1 second ago</small>
                        <button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
                    </div>
                    <div class="toast-body fw-semibold text-white">
                        ${message}
                    </div>
            `;

            scanToastContainer.append(toastElement);

            const toast = bootstrap.Toast.getOrCreateInstance(toastElement);
            toast.show();

            toastElement.addEventListener('hidden.bs.toast', () => {
                toastElement.remove();
            });
        }

        let purchase_items = "No";

        $(".addPurchase").on("click", function() {
            purchase_items = "Yes";
        })

        $(document).ready(function() {

            $(document).scannerDetection({
                timeBeforeScanTest: 200,
                avgTimeByChar: 100,
                onComplete: function(barcode, qty){
                    let barcodeExists = $(".barcode").filter(function() {
                        return $(this).val() === barcode;
                    }).length > 0;
                    if (barcodeExists) {
                        let barcodeInput = $(".barcode").filter(function() {
                            return $(this).val() === barcode;
                        });
                        if (barcodeInput.length > 0) {
                            showToast('Item Already in Purchase', 'warning');
                            let parentItemId = barcodeInput.closest("div[data-repeater-item]").find(".itemId").selectpicker("val");
                        }
                    } else {
                        $(".addItemPurchase").click();
                        $(".barcode").last().val(barcode);
                        showToast('Item Added to Purchase', 'success', 'ki-bold-check-1'); 
                    }
                }
            });

            $(".paymentMethodId").selectpicker();
            // $('.itemCategoryId').selectpicker();

            let purchase_id;
            
            var datatable_payments = $("#paymentsTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 100,
                "ajax": {
                    "url": "view_payments?purchaseId=" + purchase_id,
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    error: function(xhr, errorType, exception) {
                        console.log('An error occurred while fetching data:', exception);
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "error": function (xhr, errorType, exception) {
                    console.log('An error occurred while fetching data:', exception);
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });
            
            $(document).on("click", ".viewPurchasePayments", function(e){
                purchase_id = $(this).data("id");
                $(".purchaseId").val(purchase_id);
                datatable_payments.ajax.url("view_payments?purchaseId=" + purchase_id).load();
            })
            
            $(document).on('keyup', '[data-kt-customer-table-filter="searchpayments"]', function (e) {
                datatable_payments.search(e.target.value).draw();
            });

            var start = moment("<?php echo $startDate; ?>", "YYYY-MM-DD");
            var end = moment("<?php echo $endDate; ?>", "YYYY-MM-DD");

            var from = "<?php echo $startDate; ?>";
            var to = "<?php echo $endDate; ?>";

            "use strict";
            var datatable = $("#purchasesTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 50,
                "columnDefs": [
                    {
                        "targets": [ 10 ],
                        "visible": false
                    }
                ],
                "ajax": {
                    "url": "ajax_purchases?startDate="+from+"&endDate="+to,
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });

            function cb(start, end) {
                from = start.format('YYYY-MM-DD')
                to = end.format('YYYY-MM-DD')
                $("#dateText").html(start.format("ddd, MMM D, YYYY") + " - " + end.format("ddd, MMM D, YYYY"));
                datatable.ajax.url("ajax_purchases?startDate=" + from + "&endDate=" + to).load();
                purchasesSummary();
            }

            cb(start, end);

            purchasesSummary();

            $(document).on("click", ".addPurchasePayment", function (e) {
                e.preventDefault();
                var purchase_id = $(".purchaseId").val();
                var payment_method_id = $(".paymentMethodId").selectpicker("val");
                var payment_date = $(".paymentDate").val();
                var payment_amount = $(".paymentAmount").val();
                var error = false;
                if(payment_amount){
                    datatable_dispense_store_item_id = purchase_id;
                    $.ajax({
                        url: 'add_purchase_payment',
                        method: 'POST',
                        data: {paymentMethodId: payment_method_id, 
                            purchaseId: purchase_id, 
                            paymentDate: payment_date,
                            paymentAmount: payment_amount
                        },
                        success: function(response) {
                            datatable_payments.ajax.url("view_payments?purchaseId=" + purchase_id).load();
                            datatable.ajax.url("ajax_purchases?startDate=" + from + "&endDate=" + to).load();
                        },
                        error: function() {

                        }
                    });
                }
            });

            $("#date").daterangepicker({
                startDate: start,
                endDate: end,
                ranges: {
                    "Today": [moment(), moment()],
                    "Yesterday": [moment().subtract(1, "days"), moment().subtract(1, "days")],
                    "Last 7 Days": [moment().subtract(6, "days"), moment()],
                    "Last 30 Days": [moment().subtract(29, "days"), moment()],
                    "This Month": [moment().startOf("month"), moment().endOf("month")],
                    "Last Month": [moment().subtract(1, "month").startOf("month"), moment().subtract(1, "month").endOf("month")]
                }
            }, function(start, end) {
                cb(start, end);
            });

            $(document).on("click", ".deletePurchasePayment", function (e) {
                var purchase_payment_id = $(this).data("id");
                var tr = $(this).parents("tr");
                if(purchase_payment_id){
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Stock Item Payment will be reversed!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $.ajax({
                                    url: "delete_purchase_payment",
                                    type: "DELETE",
                                    data: {
                                        purchasePaymentId: purchase_payment_id,
                                    },
                                    dataType: "json",
                                    success: function (response){
                                        if(response.status === "failed"){
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }else{
                                            datatable_payments.row(tr).remove().draw(false);
                                            datatable.ajax.url("ajax_purchases?startDate=" + from + "&endDate=" + to).load();
                                            purchasesSummary();
                                            Swal.fire("Removed!","Stock Item Payment reversed", "success");
                                        }
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            })

            $("#addStoreItemForm").submit(function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Store Item will be created!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#addStoreItemForm").ajaxSubmit({
                                    type: "POST",
                                    url: "create_store_item",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable_store_items.ajax.reload();
                                            Swal.fire("Done!", "Store Item Created", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $(document).on('click', '.supplierDiv button', function() {
                var selectedItemId = $('select.supplierId').val();
                var supplierDiv = $(this).closest('.supplierDiv');
                var supplierSelect = supplierDiv.find('select.supplierId');
                supplierSelect.hide();
                var parentDiv = supplierSelect.closest('.dropdown');
                var newSupplierSelect = $('<select></select>').addClass('mb-2 supplierId');
                var attributesToCopy = ['data-width', 'data-live-search', 'name', 'data-placeholder', 'data-dropdown-parent'];
                $.each(attributesToCopy, function(index, attributeName) {
                    var attributeValue = supplierSelect.attr(attributeName);
                    if (attributeValue !== undefined) {
                        newSupplierSelect.attr(attributeName, attributeValue);
                    }
                });
                parentDiv.replaceWith(newSupplierSelect);
                $.ajax({
                    url: 'get_suppliers',
                    method: 'GET',
                    success: function(response) {
                        newSupplierSelect.empty();
                        $.each(response.suppliers, function(index, option) {
                            newSupplierSelect.append($('<option></option>').attr('value', option.id).text(option.supplier_name));
                        });
                        newSupplierSelect.selectpicker();
                        newSupplierSelect.selectpicker("val", selectedItemId);
                        newSupplierSelect.selectpicker('toggle');
                    },
                    error: function() {

                    }
                });
            });

            $(document).on('click', '.supplierDiv button', function() {
                var selectedItemId = $('select.supplierId').val();
                var supplierDiv = $(this).closest('.supplierDiv');
                var supplierSelect = supplierDiv.find('select.supplierId');
                supplierSelect.hide();
                var parentDiv = supplierSelect.closest('.dropdown');
                var newSupplierSelect = $('<select></select>').addClass('mb-2 supplierId');
                var attributesToCopy = ['data-width', 'data-live-search', 'name', 'data-placeholder', 'data-dropdown-parent'];
                $.each(attributesToCopy, function(index, attributeName) {
                    var attributeValue = supplierSelect.attr(attributeName);
                    if (attributeValue !== undefined) {
                        newSupplierSelect.attr(attributeName, attributeValue);
                    }
                });
                parentDiv.replaceWith(newSupplierSelect);
                $.ajax({
                    url: 'get_suppliers',
                    method: 'GET',
                    success: function(response) {
                        newSupplierSelect.empty();
                        $.each(response.suppliers, function(index, option) {
                            newSupplierSelect.append($('<option></option>').attr('value', option.id).text(option.supplier_name));
                        });
                        newSupplierSelect.selectpicker();
                        newSupplierSelect.selectpicker("val", selectedItemId);
                        newSupplierSelect.selectpicker('toggle');
                    },
                    error: function() {

                    }
                });
            });

            function purchasesSummary(){
                $.ajax({
                    url: 'purchases_summary',
                    method: 'GET',
                    data: {startDate: from, endDate: to},
                    success: function(response) {
                        $("#totalCostPrice").text(response.totalCostPrice);
                        $(".totalPurchases").text(response.totalPurchases);
                        $("#totalPurchaseAmount").text(response.totalPurchaseAmount);
                        $("#totalPaymentAmount").text(response.totalPaymentAmount);
                        $("#totalDiscountAmount").text(response.totalDiscountAmount);
                        $("#totalBalanceAmount").text(response.totalBalanceAmount);
                    },
                    error: function() {
                        purchasesSummary();
                    }
                });
            }

            $(document).on('keyup', '[data-kt-customer-table-filter="search"]', function (e) {
                datatable.search(e.target.value).draw();
            });

            function fillItemQty(index){
                let measurementIdName = `itemPurchases[${index}][measurementId]`;
                let measurementQuantityName = `itemPurchases[${index}][measurementQuantity]`;
                let itemQuantityName = `itemPurchases[${index}][purchaseQuantity]`;
                let selectedRate = $(`select[name='${measurementIdName}'] option:selected`).data("rate");
                let measurementQuantity = $(`input[name='${measurementQuantityName}']`).val();
                var itemQuantity = selectedRate * measurementQuantity;
                $(`input[name='${itemQuantityName}']`).val(itemQuantity);
            }

            $(document).on('change', 'select.measurementId', function() {
                let name = $(this).attr('name');
                let index = name.match(/itemPurchases\[(\d+)]\[measurementId]/)[1];
                fillItemQty(index);
            });

            $(document).on('change', 'input.measurementQuantity', function() {
                let name = $(this).attr('name');
                let index = name.match(/itemPurchases\[(\d+)]\[measurementQuantity]/)[1];
                fillItemQty(index);
            });

            $(document).on('change', 'select.itemId', function() {
                let name = $(this).attr('name');
                let index = name.match(/itemPurchases\[(\d+)]\[itemId]/)[1];
                var selectedItemId = $(this).val();
                var baseMeasurement = $(this).find('option:selected').data('measurement');
                var repeaterItem = $(this).closest('[data-repeater-item]');
                var measurementSelect = repeaterItem.find('select.measurementId');
                var measurementNameSelect = repeaterItem.find('.measurementName');
                measurementSelect.hide();
                var parentDiv = measurementSelect.closest('.dropdown');
                var newMeasurementSelect = $('<select></select>').addClass('mb-2 measurementId');
                var attributesToCopy = ['data-width', 'data-live-search', 'name', 'data-placeholder', 'data-dropdown-parent'];
                $.each(attributesToCopy, function(index, attributeName) {
                    var attributeValue = measurementSelect.attr(attributeName);
                    if (attributeValue !== undefined) {
                        newMeasurementSelect.attr(attributeName, attributeValue);
                    }
                });
                parentDiv.replaceWith(newMeasurementSelect);
                $.ajax({
                    url: 'item_measurements',
                    method: 'GET',
                    data: {itemId: selectedItemId},
                    success: function(response) {
                        measurementNameSelect.val(response.measurementName);
                        newMeasurementSelect.empty();
                        newMeasurementSelect.append($('<option></option>').attr('value', "0").data('rate', 1).text(baseMeasurement));
                        $.each(response.itemMeasurements, function(index, option) {
                            newMeasurementSelect.append($('<option></option>').attr('value', String(option.id)).data('rate', option.quantity).text(option.measurement_name));
                        });
                        newMeasurementSelect.selectpicker("val", "0");
                        newMeasurementSelect.trigger('change');
                        fillItemQty(index);
                    },
                    error: function() {

                    }
                });
            });

            $('#itemPurchases').repeater({
                initEmpty: true,
                show: function () {
                    $(this).slideDown();
                    $(this).find('.itemCategoryId').val(String($(this).find('.itemCategoryId option:first').val()));
                    $(this).find('.itemMeasurement').val($(this).find('.itemMeasurement option:first').val());

                    $(this).find('.expiryDate').flatpickr();
                    $(this).find('.itemCategoryId').selectpicker();
                    $(this).find('.itemMeasurement').selectpicker();
                },
                hide: function (deleteElement) {
                    $(this).slideUp(deleteElement);
                },
                ready: function () {
                    $('.itemCategoryId').selectpicker();
                    $('.itemMeasurement').selectpicker();
                    $('.expiryDate').flatpickr();
                }
            });

            $("#purchaseDate").flatpickr();

            $("#addPurchaseForm").submit(function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Stock will be added!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#addPurchaseForm").ajaxSubmit({
                                    type: "POST",
                                    url: "add_stock",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            purchasesSummary();
                                            $("#addPurchaseForm").resetForm();
                                            datatable.ajax.url("ajax_purchases?startDate=" + from + "&endDate=" + to).load();
                                            Swal.fire("Done!", "Purchase Added", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });
			
			$(document).on("click", ".purchasePayments", function (e){
                e.preventDefault();
                var purchase_id = $(this).data("id");
                emptyModalOpen();
                $.ajax({
                    type: "GET",
                    url: "purchase_payments",
                    dataType: "json",
                    data:{
                        purchaseId: purchase_id,
                    },
                    success: function (response) {
                        if (response.status === "success") {
                            emptyModalFill(response)
							//$(".paymentMethodId").selectpicker();
                        } else {
                            Swal.fire("Cancelled!", response.message, "error");
                        }
                        Swal.hideLoading();
                        $('#purchasePayments').repeater({
                            show: function () {
                                $(this).slideDown();
                                $(this).find('.paymentMethodId').selectpicker();
								$(this).find(".stockStoreItemListId").val("");
                                $(this).find(".purchasePaymentId").data("id", "");
                                $(this).find(".deletePurchasePayment").data("id", "");
                            },
                            hide: function (deleteElement) {
                                var purchase_payment_id = $(this).find(".purchasePaymentId").data("id");
                                if(purchase_payment_id){
                                    Swal.fire({
                                        title: 'Are you sure?',
                                        html: "Stock Item Payment will be removed!",
                                        icon: 'info',
                                        buttonsStyling: false,
                                        showCancelButton: true,
                                        allowOutsideClick: false,
                                        allowEscapeKey: false,
                                        allowEnterKey: false,
                                        showLoaderOnConfirm: true,
                                        confirmButtonText: 'Yes, submit it!',
                                        cancelButtonText: 'No, cancel it',
                                        customClass: {
                                            confirmButton: 'btn btn-primary',
                                            cancelButton: 'btn btn-danger'
                                        },
                                        preConfirm: () => {
                                            return new Promise(() => {
                                                $.ajax({
                                                    url: "delete_purchase_payment",
                                                    type: "DELETE",
                                                    data: {
                                                        purchasePaymentId: purchase_payment_id,
                                                    },
                                                    dataType: "json",
                                                    success: function (response){
                                                        if(response.status === "failed"){
                                                            Swal.fire("Cancelled!", response.message, "error");
                                                        }else{
                                                            Swal.fire("Removed!","Stock Item Payment Removed", "success");
                                                            datatable.ajax.url("ajax_purchases?startDate=" + from + "&endDate=" + to).load();
                                                            $(this).slideUp(deleteElement);
                                                        }
                                                    },
                                                    error: function (response) {
                                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                                        Swal.hideLoading();
                                                    }
                                                });
                                            });
                                        },
                                    })
                                }else{
                                    $(this).slideUp(deleteElement);
                                }
                            },
                            ready: function () {
                                $('.paymentMethodId').selectpicker();
                            }
                        });

                    },
                    error: function (response) {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        emptyModalClose();
                    }
                });
            });

            $(document).on("click", ".editPurchase", function (e){
                e.preventDefault();
                var purchase_id = $(this).data("id");
                emptyModalOpen();
                $.ajax({
                    type: "GET",
                    url: "edit_purchase_form",
                    dataType: "json",
                    data:{
                        purchaseId: purchase_id,
                    },
                    success: function (response) {
                        if (response.status === "success") {
                            emptyModalFill(response)
                            $(".purchaseId").selectpicker();
                            $(".purchaseDate").flatpickr();
                        } else {
                            Swal.fire("Cancelled!", response.message, "error");
                        }
                        Swal.hideLoading();
                        $('#editPurchases').repeater({
                            show: function () {
                                $(this).slideDown();
                                $(this).find('.storeItemId').selectpicker();
                                $(this).find('.measurementId').selectpicker();
                                $(this).find('.expiryDate').flatpickr();
                                $(this).find(".stockStoreItemListId").val("");
                                $(this).find(".stockStoreItemListId").data("id", "");
                                $(this).find(".purchaseListId").data("id", "");
                                $(this).find(".deletePurchaseList").data("id", "");
                            },
                            hide: function (deleteElement) {
                                var purchase_list_id = $(this).find(".purchaseListId").data("id");
                                if(purchase_list_id){
                                    Swal.fire({
                                        title: 'Are you sure?',
                                        html: "Store Item will be removed!",
                                        icon: 'info',
                                        buttonsStyling: false,
                                        showCancelButton: true,
                                        allowOutsideClick: false,
                                        allowEscapeKey: false,
                                        allowEnterKey: false,
                                        showLoaderOnConfirm: true,
                                        confirmButtonText: 'Yes, submit it!',
                                        cancelButtonText: 'No, cancel it',
                                        customClass: {
                                            confirmButton: 'btn btn-primary',
                                            cancelButton: 'btn btn-danger'
                                        },
                                        preConfirm: () => {
                                            return new Promise(() => {
                                                $.ajax({
                                                    url: "delete_purchase_list",
                                                    type: "DELETE",
                                                    data: {
                                                        purchaseListId: purchase_list_id,
                                                    },
                                                    dataType: "json",
                                                    success: function (response){
                                                        if(response.status === "failed"){
                                                            Swal.fire("Cancelled!", response.message, "error");
                                                        }else{
                                                            Swal.fire("Removed!","Store Item Removed", "success");
                                                            datatable.ajax.url("ajax_purchases?startDate=" + from + "&endDate=" + to).load();
                                                            $(this).slideUp(deleteElement);
                                                        }
                                                    },
                                                    error: function (response) {
                                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                                        Swal.hideLoading();
                                                    }
                                                });
                                            });
                                        },
                                    })
                                }else{
                                    $(this).slideUp(deleteElement);
                                }
                            },
                            ready: function () {
                                $('.storeItemId').selectpicker();
                                $('.supplierId').selectpicker();
                                $('.measurementId').selectpicker();
                                $('.expiryDate').flatpickr();
                            }
                        });

                    },
                    error: function (response) {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        emptyModalClose();
                    }
                });
            });

            function createRepeater(number) {
                for (var i = 1; i <= number; i++) {
                    var elementId = '#editPurchases' + i;
                    $(elementId).repeater({
                        initEmpty: false,
                        show: function () {
                            $(this).slideDown();
                            $(this).find('.storeId').selectpicker();
                        },
                        hide: function (deleteElement) {
                            var stock_store_item_list_id = $(this).find('.stockStoreItemListId').val();
                            if(stock_store_item_list_id){
                                Swal.fire({
                                    title: 'Are you sure?',
                                    html: "Stock Store Item List will be removed!",
                                    icon: 'info',
                                    buttonsStyling: false,
                                    showCancelButton: true,
                                    allowOutsideClick: false,
                                    allowEscapeKey: false,
                                    allowEnterKey: false,
                                    showLoaderOnConfirm: true,
                                    confirmButtonText: 'Yes, submit it!',
                                    cancelButtonText: 'No, cancel it',
                                    customClass: {
                                        confirmButton: 'btn btn-primary',
                                        cancelButton: 'btn btn-danger'
                                    },
                                    preConfirm: () => {
                                        return new Promise(() => {
                                            $.ajax({
                                                url: "delete_stock_store_item_list",
                                                type: "DELETE",
                                                data: {
                                                    stockStoreItemListId: stock_store_item_list_id,
                                                },
                                                dataType: "json",
                                                success: function (response){
                                                    if(response.status === "failed"){
                                                        Swal.fire("Cancelled!", response.message, "error");
                                                    }else{
                                                        Swal.fire("Removed!","Stock Store Item Removed", "success");purchasesSummary();
                                                        datatable.ajax.url("ajax_purchases?startDate=" + from + "&endDate=" + to).load();
                                                        $('.totalStockAmount').html(response.totalStockAmount);
                                                        $('.totalStock').html(response.totalStock);
                                                        $('.unStoredStocks').html(response.unStoredStocks);
                                                        $(this).slideUp(deleteElement);
                                                    }
                                                },
                                                error: function (response) {
                                                    Swal.fire("Error!", response.responseJSON.message, "error");
                                                    Swal.hideLoading();
                                                }
                                            });
                                        });
                                    },
                                })
                            }
                            else{
                                $(this).slideUp(deleteElement);
                            }
                        },
                        ready: function () {

                        }
                    });
                }
            }

            $("#addItemForm").submit(function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Item will be created!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#addItemForm").ajaxSubmit({
                                    type: "POST",
                                    url: "create_item",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            Swal.fire("Done!", "Item Created", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $("#addContactForm").submit(function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Contact will be created!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#addContactForm").ajaxSubmit({
                                    type: "POST",
                                    url: "create_contact",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            Swal.fire("Done!", "Contact Created", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $(document).on("click", ".deletePurchase", function (e){
                e.preventDefault();
                var purchase_id = $(this).data("id");
                var error = false;
                var tr = $(this).parents("tr");

                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Purchase will be deleted!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $.ajax({
                                    type: "DELETE",
                                    url: "delete_purchase",
                                    dataType: "json",
                                    data:{
                                        purchaseId: purchase_id,
                                    },
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.row(tr).remove().draw(false);
                                            Swal.fire("Done!", "Purchase Deleted", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

        });
    </script>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/zeonpos/resources/views/stocks.blade.php ENDPATH**/ ?>