<title><?php echo e(env("APP_NAME")); ?></title>
<meta http-equiv="content-type" content="text/html;charset=UTF-8"/>
<meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
<meta charset="utf-8" />
<meta name="description" content="<?php echo e(env("APP_NAME")); ?>"/>
<meta name="keywords" content="<?php echo e(env("APP_NAME")); ?>"/>
<meta name="viewport" content="width=device-width, initial-scale=1" />
<meta property="og:locale" content="en_US" />
<meta property="og:type" content="article" />
<meta property="og:title" content="" />
<meta property="og:url" content="" />
<meta property="og:site_name" content="<?php echo e(env("APP_NAME")); ?>" />
<link rel="canonical" href="" />
<link rel="shortcut icon" href="<?php echo e(asset("zeonpos.png")); ?>"/>

<link rel="stylesheet" href="<?php echo e(asset("assets/css/inter.css")); ?>"/>

<!--begin::Vendor Stylesheets(used for this page only)-->
<link href="<?php echo e(url("assets/plugins/custom/datatables/datatables.bundle.css")); ?>" rel="stylesheet" type="text/css"/>
<!--end::Vendor Stylesheets-->

<!--begin::Global Stylesheets Bundle(mandatory for all pages)-->
<link href="<?php echo e(url("assets/plugins/global/plugins.bundle.css")); ?>" rel="stylesheet" type="text/css"/>
<link href="<?php echo e(url("assets/css/style.bundle.css")); ?>" rel="stylesheet" type="text/css"/>
<link rel="stylesheet" href="<?php echo e(url("assets/css/bootstrap-select.min.css")); ?>" integrity="sha512-g2SduJKxa4Lbn3GW+Q7rNz+pKP9AWMR++Ta8fgwsZRCUsawjPvF/BxSMkGS61VsR9yinGoEgrHPGPn2mrj8+4w==" crossorigin="anonymous" referrerpolicy="no-referrer" />
<!--end::Global Stylesheets Bundle-->

</head>
<!--end::Head-->

<!--begin::Body-->
<body id="kt_body" class="header-extended header-fixed header-tablet-and-mobile-fixed d-none">
  <style>
    div[data-repeater-item=""] {
      padding: 20px;
      border: 1px solid #eee;
      border-radius: 10px;
      box-shadow: 0px 4px 7px 4px #eee;
    }
    .modal-fullscreen {
      width: 100vw;
      max-width: none;
      height: 100%;
      margin: 0;
    }
    a.nav-link{
        color: black !important;
    }
    .card {
      /*border: 1px solid #eee !important;*/
    }
    .mb-2 {
      margin-bottom: 1.25rem !important;
    }
    .z-depth-1 {
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12); }
    .z-depth-1-half {
    box-shadow: 0 5px 11px 0 rgba(0, 0, 0, 0.18), 0 4px 15px 0 rgba(0, 0, 0, 0.15); }
    .z-depth-2 {
    box-shadow: 0 8px 17px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19); }
    .z-depth-3 {
    box-shadow: 0 12px 15px 0 rgba(0, 0, 0, 0.24), 0 17px 50px 0 rgba(0, 0, 0, 0.19); }
    .z-depth-4 {
    box-shadow: 0 16px 28px 0 rgba(0, 0, 0, 0.22), 0 25px 55px 0 rgba(0, 0, 0, 0.21); }
    .z-depth-5 {
    box-shadow: 0 27px 24px 0 rgba(0, 0, 0, 0.2), 0 40px 77px 0 rgba(0, 0, 0, 0.22); }
    .my-14 {
        margin-top: 2.5rem !important;
        margin-bottom: 2.5rem !important;
    }
    .statistics-widget-2 {
        background-image: url('assets/media/svg/shapes/abstract-1.svg');
        background-size: 30% auto;
    }

    [data-bs-theme="dark"] .statistics-widget-2 {
        background-image: url('assets/media/svg/shapes/abstract-1-dark.svg');
        background-size: 30% auto;
    }
    .statistics-widget-1 {
        background-image: url('assets/media/svg/shapes/abstract-1.svg');
        background-size: 30% auto;
    }

    [data-bs-theme="dark"] .statistics-widget-1 {
        background-image: url('assets/media/svg/shapes/abstract-1-dark.svg');
        background-size: 30% auto;
    }
    .statistics-widget-3 {
        background-image: url('assets/media/svg/shapes/abstract-1.svg');
        background-size: 30% auto;
    }

    [data-bs-theme="dark"] .statistics-widget-3 {
        background-image: url('assets/media/svg/shapes/abstract-1-dark.svg');
        background-size: 30% auto;
    }
  </style>
<!--begin::Theme mode setup on page load-->

<!--end::Theme mode setup on page load-->

<!--begin::Main-->
<!--begin::Root-->
 <div class="d-flex flex-column flex-root" >
  <!--begin::Page-->
  <div class="page d-flex flex-row flex-column-fluid">
    <!--begin::Wrapper-->
    <div class="wrapper d-flex flex-column flex-row-fluid" id="kt_wrapper">
      <!--begin::Header-->
      <div id="kt_header" class="header <?php echo e(request()->is('kitchen_printer', 'sync_db') ? 'd-none' : ''); ?>">
        <!--begin::Header top-->
        <div class="header-top d-flex align-items-stretch flex-grow-1" style="background: #f2f2f2;!important;">
          <!--begin::Container-->
          <div class="d-flex container-xxl align-items-stretch">
            <!--begin::Brand-->
            <div
              class="d-flex align-items-center align-items-lg-stretch me-5 flex-row-fluid"
            >
              <!--begin::Header navs toggle-->
              <button
                class="d-lg-none btn btn-icon btn-color-dark bg-hover-dark bg-hover-opacity-10 w-35px h-35px h-md-40px w-md-40px ms-n3 me-2"
                id="kt_header_navs_toggle"
              >
                <i class="ki-duotone ki-abstract-14 fs-2"
                  ><span class="path1"></span><span class="path2"></span
                ></i>
              </button>
              <!--end::Header navs toggle-->

              <!--begin::Logo-->
              <a href="<?php echo e(url("#")); ?>" class="d-flex align-items-center">
                <img
                  alt="Logo"
                  src="<?php echo e(url("zeonpos_logo.png")); ?>"
                  class=""
                  style="width:130px;"
                />
              </a>
              <!--end::Logo-->

              <!--begin::Tabs wrapper-->
              <div class="align-self-end overflow-auto" id="kt_brand_tabs">
                <!--begin::Header tabs wrapper-->
                <div
                  class="header-tabs overflow-auto mx-4 ms-lg-10 mb-5 mb-lg-0"
                  id="kt_header_tabs"
                  data-kt-swapper="true"
                  data-kt-swapper-mode="prepend"
                  data-kt-swapper-parent="{default: '#kt_header_navs_wrapper', lg: '#kt_brand_tabs'}"
                >
                  <!--begin::Header tabs-->
                  <ul class="nav flex-nowrap text-nowrap">

                    <li class="nav-item">
                      <a
                        class="nav-link <?php echo e(request()->is('dashboard', 'daily_reports', 'sales_report', 'orders',  'purchases_report', 'stock_report', 'accounts_report') ? ' active' : ''); ?>"
                        data-bs-toggle="tab"
                        href="#reports-tab"
                        >Reports</a
                      >
                    </li>  

                    <li class="nav-item">
                      <a
                        class="nav-link <?php echo e(request()->is('purchases', 'stocks', 'transactions', 'finance_reports', 'sales_audit') ? ' active' : ''); ?>"
                        data-bs-toggle="tab"
                        href="#accountant-tab"
                        >Accountant</a
                      >
                    </li>  

                    <li class="nav-item">
                      <a
                        class="nav-link <?php echo e(request()->is('item_wastes', 'item_checks', 'general_reports') ? ' active' : ''); ?>"
                        data-bs-toggle="tab"
                        href="#manager-tab"
                        >Manager</a
                      >
                    </li>  

                    <li class="nav-item">
                      <a
                        class="nav-link <?php echo e(request()->is('items', 'pricing_items', 'branches', 'measurements', 'contacts', 'users', 'payment_methods', 'stations', 'delivery_locations', 'medication_plans') ? ' active' : ''); ?>"
                        data-bs-toggle="tab"
                        href="#settings-tab"
                        >Settings</a
                      >
                    </li>  
                      
                  </ul>
                  <!--begin::Header tabs-->
                </div>
                <!--end::Header tabs wrapper-->
              </div>
              <!--end::Tabs wrapper-->
            </div>
            <!--end::Brand-->

            <!--begin::Topbar-->
            <div class="d-flex align-items-center flex-row-auto">

              <div
                class="d-flex align-items-center ms-1"
                id="kt_header_user_menu_toggle"
              >
                <!--begin::User info-->
                <div
                  class="btn btn-flex align-items-center bg-hover-white bg-hover-opacity-10 py-2 ps-2 pe-2 me-n2"
                  data-kt-menu-trigger="click"
                  data-kt-menu-attach="parent"
                  data-kt-menu-placement="bottom-end"
                >
                  <!--begin::Name-->
                  <div
                    class="d-none d-md-flex flex-column align-items-end justify-content-center me-2 me-md-4"
                  >
                    <span
                      class="text-dark fs-8 fw-bold lh-1 mb-1"
                      ><?php echo e(Auth::user()->name); ?></span
                    >
                    <span class="text-black fs-8 fw-bold lh-1"
                      ><?php echo e(Auth::user()->role); ?></span
                    >
                  </div>
                  <!--end::Name-->

                  <!--begin::Symbol-->
                  <div class="symbol symbol-30px symbol-md-40px">
                    <img
                        src="<?php echo e(url("zeonpos.png")); ?>"
                      alt="image"
                    />
                  </div>
                  <!--end::Symbol-->
                </div>
                <!--end::User info-->

                <!--begin::User account menu-->
                <div
                  class="menu menu-sub menu-sub-dropdown menu-column menu-rounded menu-gray-800 menu-state-bg menu-state-color fw-semibold py-4 fs-6 w-275px"
                  data-kt-menu="true"
                >
                  <!--begin::Menu item-->
                  <div class="menu-item px-3">
                    <div
                      class="menu-content d-flex align-items-center px-3"
                    >
                      <!--begin::Avatar-->
                      <div class="symbol symbol-50px me-5">
                        <img
                          alt="Logo"
                          src="<?php echo e(url("zeonpos.png")); ?>"
                        />
                      </div>
                      <!--end::Avatar-->
                      <!--begin::Username-->
                      <div class="d-flex flex-column">
                        <div class="fw-bold d-flex align-items-center fs-5">
                            <?php echo e(Auth::user()->name); ?>

                          <span
                            class="badge badge-light-success fw-bold fs-8 px-2 py-1 ms-2"
                            ><?php echo e(Auth::user()->role); ?></span
                          >
                        </div>
                        <a
                          href="#"
                          class="fw-semibold text-muted text-hover-primary fs-7"
                        >
                            <?php echo e(Auth::user()->email); ?>

                        </a>
                      </div>
                      <!--end::Username-->
                    </div>
                  </div>
                  <!--end::Menu item-->

                  <!--begin::Menu separator-->
                  <div class="separator my-2"></div>
                  <!--end::Menu separator-->

                  <!--begin::Menu item-->
                  <div class="menu-item px-5">
                    <a
                      href="<?php echo e(url("#")); ?>"
                      class="menu-link px-5"
                    >
                      My Profile
                    </a>
                  </div>
                  <!--end::Menu item-->

                  <!--begin::Menu item-->
                  <div class="menu-item px-5">
                    <a
                      href="<?php echo e(url("login?computerId=1")); ?>"
                      class="menu-link px-5"
                    >
                      Sign Out
                    </a>

                      <form id="logout-form" action="<?php echo e(url('signout')); ?>" method="POST" style="display: none;">
                          <?php echo csrf_field(); ?>
                      </form>
                  </div>
                  <!--end::Menu item-->
                </div>
                <!--end::User account menu-->
              </div>
              <!--end::User -->
            </div>
            <!--end::Topbar-->
          </div>
          <!--end::Container-->
        </div>
        <!--end::Header top-->

        <!--begin::Header navs-->
        <div
          class="header-navs d-flex align-items-stretch flex-stack h-lg-70px w-100 py-5 py-lg-0 overflow-hidden overflow-lg-visible"
          id="kt_header_navs"
          data-kt-drawer="true"
          data-kt-drawer-name="header-menu"
          data-kt-drawer-activate="{default: true, lg: false}"
          data-kt-drawer-overlay="true"
          data-kt-drawer-width="{default:'200px', '300px': '250px'}"
          data-kt-drawer-direction="start"
          data-kt-drawer-toggle="#kt_header_navs_toggle"
          data-kt-swapper="true"
          data-kt-swapper-mode="append"
          data-kt-swapper-parent="{default: '#kt_body', lg: '#kt_header'}"
        >
          <!--begin::Container-->
          <div class="d-lg-flex container-xxl w-100">
            <!--begin::Wrapper-->
            <div
              class="d-lg-flex flex-column justify-content-lg-center w-100"
              id="kt_header_navs_wrapper"
            >
              <!--begin::Header tab content-->
              <div
                class="tab-content"
                data-kt-scroll="true"
                data-kt-scroll-activate="{default: true, lg: false}"
                data-kt-scroll-height="auto"
                data-kt-scroll-offset="70px"
              >

                <!--begin::Tab panel-->
                <div class="tab-pane fade <?php echo e(request()->is('dashboard', 'sales_report', 'orders',  'purchases_report', 'stock_report', 'accounts_report') ? 'show active' : ''); ?>" id="reports-tab">
                  <!--begin::Wrapper-->
                  <div
                    class="d-flex flex-column flex-lg-row flex-lg-stack flex-wrap gap-2 px-4 px-lg-0"
                  >
                    <div class="d-flex flex-column flex-lg-row gap-2">

                      <a
                            class="btn btn-sm <?php echo e(request()->is('dashboard') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold"
                            href="<?php echo e(url("dashboard")); ?>"
                        >Dashboard</a
                        >
                        <a
                            class="btn btn-sm <?php echo e(request()->is('sales_report') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold"
                            href="<?php echo e(url("sales_report")); ?>"
                        >Sales</a>

                        <a
                            class="btn btn-sm <?php echo e(request()->is('orders') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold "
                            href="<?php echo e(url("orders")); ?>"
                        >Orders</a>

                        <a
                            class="btn btn-sm d-none <?php echo e(request()->is('accounts_report') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold"
                            href="<?php echo e(url("accounts_report")); ?>"
                        >Accounts</a>

                        <a
                            class="btn btn-sm <?php echo e(request()->is('purchases_report') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold"
                            href="<?php echo e(url("purchases_report")); ?>"
                        >Purchases</a>
                        <a
                            class="btn btn-sm <?php echo e(request()->is('stock_report') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold"
                            href="<?php echo e(url("stock_report")); ?>"
                        >Stock</a>
                    </div>
                  </div>
                  <!--end::Wrapper-->
                </div>
                <!--end::Tab panel-->

                <!--begin::Tab panel-->
                <div class="tab-pane fade <?php echo e(request()->is('items', 'pricing_items', 'branches', 'measurements', 'contacts', 'users', 'payment_methods', 'stations', 'delivery_locations', 'medication_plans') ? 'show active' : ''); ?>" id="settings-tab">
                  <!--begin::Wrapper-->
                  <div
                    class="d-flex flex-column flex-lg-row flex-lg-stack flex-wrap gap-2 px-4 px-lg-0"
                  >
                    <div class="d-flex flex-column flex-lg-row gap-2">
                        <a
                            class="btn btn-sm <?php echo e(request()->is('items') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold"
                            href="<?php echo e(url("items")); ?>"
                        >Items</a>
                        <a
                            class="btn btn-sm <?php echo e(request()->is('pricing_items') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold"
                            href="<?php echo e(url("pricing_items")); ?>"
                        >Pricing Items</a>
                        <a
                            class="btn btn-sm <?php echo e(request()->is('branches') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold"
                            href="<?php echo e(url("branches")); ?>"
                        >Branches</a>
                        <a
                            class="btn btn-sm <?php echo e(request()->is('measurements') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold"
                            href="<?php echo e(url("measurements")); ?>"
                        >Measurements</a>
                        <a
                            class="btn btn-sm <?php echo e(request()->is('contacts') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold"
                            href="<?php echo e(url("contacts")); ?>"
                        >Contacts</a>
                        <a
                            class="btn btn-sm <?php echo e(request()->is('users') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold"
                            href="<?php echo e(url("users")); ?>"
                        >Users</a>
                        <a
                            class="btn btn-sm <?php echo e(request()->is('stations') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold"
                            href="<?php echo e(url("stations")); ?>"
                        >Stations</a>
                        <a
                            class="btn btn-sm <?php echo e(request()->is('delivery_locations') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold"
                            href="<?php echo e(url("delivery_locations")); ?>"
                        >Delivery Locations</a>
                        <a
                            class="btn btn-sm <?php echo e(request()->is('medication_plans') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold"
                            href="<?php echo e(url("medication_plans")); ?>"
                        >Medication Plans</a>

                    </div>
                  </div>
                  <!--end::Wrapper-->
                </div>
                <!--end::Tab panel-->

                <!--begin::Tab panel-->
                <div class="tab-pane fade <?php echo e(request()->is( 'purchases', 'stocks', 'transactions', 'sales_audit', 'finance_reports') ? 'show active' : ''); ?>" id="accountant-tab">
                  <!--begin::Wrapper-->
                  <div
                    class="d-flex flex-column flex-lg-row flex-lg-stack flex-wrap gap-2 px-4 px-lg-0"
                  >
                    <div class="d-flex flex-column flex-lg-row gap-2">
                        <a
                            class="btn btn-sm <?php echo e(request()->is('purchases') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold"
                            href="<?php echo e(url("purchases")); ?>"
                        >Purchases</a>
                        <a
                        class="btn btn-sm <?php echo e(request()->is('stocks') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold"
                          href="<?php echo e(url("stocks")); ?>"
                          >Stocks</a>
                        <a
                            class="btn btn-sm <?php echo e(request()->is('sales_audit') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold"
                            href="<?php echo e(url("sales_audit")); ?>"
                        >Sales Audit</a>
                        <a
                            class="btn btn-sm <?php echo e(request()->is('transactions') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold"
                            href="<?php echo e(url("transactions")); ?>"
                        >Transactions</a>
                        <a
                            class="btn btn-sm <?php echo e(request()->is('finance_reports') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold"
                            href="<?php echo e(url("finance_reports")); ?>"
                        >Reports</a>

                    </div>
                  </div>
                  <!--end::Wrapper-->
                </div>
                <!--end::Tab panel-->

                <!--begin::Tab panel-->
                <div class="tab-pane fade <?php echo e(request()->is('item_wastes', 'item_checks', 'general_reports') ? 'show active' : ''); ?>" id="manager-tab">
                  <!--begin::Wrapper-->
                  <div
                    class="d-flex flex-column flex-lg-row flex-lg-stack flex-wrap gap-2 px-4 px-lg-0"
                  >
                    <div class="d-flex flex-column flex-lg-row gap-2">
                        <a
                            class="btn btn-sm <?php echo e(request()->is('item_wastes') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold"
                            href="<?php echo e(url("item_wastes")); ?>"
                        >Item Waste</a>

                        <a
                            class="btn btn-sm <?php echo e(request()->is('item_checks') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold"
                            href="<?php echo e(url("item_checks")); ?>"
                        >Item Check</a>
                        <a
                            class="btn btn-sm <?php echo e(request()->is('general_reports') ? 'btn-primary' : 'btn-light-primary'); ?> fw-bold"
                            href="<?php echo e(url("general_reports")); ?>"
                        >Reports</a>

                    </div>
                  </div>
                  <!--end::Wrapper-->
                </div>
                <!--end::Tab panel-->
                 
              </div>
              <!--end::Header tab content-->
            </div>
            <!--end::Wrapper-->
          </div>
          <!--end::Container-->
        </div>
        <!--end::Header navs-->
      </div>
      <!--end::Header-->

 <?php if (isset($component)) { $__componentOriginal24014f37caeeb14a678973be9b71c564 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal24014f37caeeb14a678973be9b71c564 = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.empty-modal','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('empty-modal'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal24014f37caeeb14a678973be9b71c564)): ?>
<?php $attributes = $__attributesOriginal24014f37caeeb14a678973be9b71c564; ?>
<?php unset($__attributesOriginal24014f37caeeb14a678973be9b71c564); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal24014f37caeeb14a678973be9b71c564)): ?>
<?php $component = $__componentOriginal24014f37caeeb14a678973be9b71c564; ?>
<?php unset($__componentOriginal24014f37caeeb14a678973be9b71c564); ?>
<?php endif; ?>
<?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/zeonpos/resources/views/layouts/header.blade.php ENDPATH**/ ?>