<?php $__env->startSection('title', env('APP_NAME')); ?>

<?php $__env->startSection('content'); ?>

    <!--begin::Toolbar-->
    <div class="toolbar mb-n1 pt-3 mb-lg-n3 pt-lg-6" id="kt_toolbar">
        <!--begin::Container-->
        <div
            id="kt_toolbar_container"
            class="container-xxl d-flex flex-stack flex-wrap gap-2"
        >
            <!--begin::Page title-->
            <div
                class="page-title d-flex flex-column align-items-start me-3 py-2 py-lg-0 gap-2"
            >
                <!--begin::Title-->
                <h1 class="d-flex text-dark fw-bold m-0 fs-3">Reports</h1>
                <!--end::Title-->

                <!--begin::Breadcrumb-->
                <ul
                    class="breadcrumb breadcrumb-dot fw-semibold text-gray-600 fs-7"
                >
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">
                        <a
                            href="<?php echo e(url("/")); ?>"
                            class="text-gray-600 text-hover-primary"
                        >
                            Home
                        </a>
                    </li>
                    <!--end::Item-->
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">Sales Report</li>
                    <!--end::Item-->
                    <!--begin::Item-->
                </ul>
                <!--end::Breadcrumb-->
            </div>
            <!--end::Page title-->
            <!--begin::Actions-->
            <div class="d-flex align-items-center">
                <!--begin::Daterange-->

                <!--end::Daterange-->
            </div>
            <!--end::Actions-->
        </div>
        <!--end::Container-->
    </div>
    <!--end::Toolbar-->


    <div id="kt_content_container" class=" container-xxl" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
                <div class="card z-depth-1">
                    <div class="row px-5 py-5">
                        <div class="col-lg-4 col-12">
                            <div class=" border rounded-3 form-solid">
                            <a
                            href="javascript:;"
                            class="btn btn-flex bg-body h-35px h-lg-40px px-5"
                            id="date"
                            data-bs-toggle="tooltip"
                            data-bs-dismiss="click"
                            data-bs-trigger="hover"
                            title="Select Date"
                        >
                            <span class="me-2">
                                <span
                                    class="text-primary fw-bold"
                                    id="dateText"
                                >
                                </span>
                            </span>
                            <i class="ki-duotone ki-down fs-4 m-0"></i>
                        </a>
                    </div>
                        </div>
                        <div class="col-lg-4 col-12">
                            <select class="select itemCategoryId" name="itemCategoryId" data-placeholder="ALL CATEGORIES" data-live-search="true" data-width="100%" data-dropdown-parent="#addItemModal">
                                <option value="">ALL CATEGORIES</option>
                                <?php $__currentLoopData = $itemCategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $itemCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($itemCategory->id); ?>"><?php echo e($itemCategory->item_category_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="col-lg-4 col-12 text-end">
                            <a href="javascript:;" class="btn btn-m btn-outline btn-outline-dashed btn-outline-primary btn-active-light-primary p-3 z-depth-1 totalSalesAmount">₦<?php echo e(number_format(0.00, 2)); ?></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>


    <!--begin::Container-->
    <div id="kt_content_container" class="d-flex flex-column-fluid align-items-start container-xxl" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
            <!--begin::Card-->
            <div class="card z-depth-1">
                <!--begin::Card header-->
                <div class="card-header border-0 pt-6">
                    <!--begin::Card title-->
                    <div class="card-title">
                        <!--begin::Search-->
                        <div
                            class="d-flex align-items-center position-relative my-1"
                        >
                            <i
                                class="ki-duotone ki-magnifier fs-3 position-absolute ms-5"
                            ><span class="path1"></span><span class="path2"></span
                                ></i>
                            <input
                                type="text"
                                data-kt-customer-table-filter="search"
                                class="form-control form-control-solid w-250px ps-12"
                                placeholder="Search Items"
                            />
                        </div>
                        <!--end::Search-->
                    </div>
                    <!--begin::Card title-->

                </div>
                <!--end::Card header-->

                <!--begin::Card body-->
                <div class="card-body pt-0">
                    <!--begin::Table-->
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="salesReportTable">
                        <thead>
                        <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                            <th class="min-w-175px">Item Name</th>
                            <th class="min-w-125px">Category Name</th>
                            <th class="min-w-75px">Total Sales</th>
                            <th class="min-w-125px">Measurements</th>
                            <th class="min-w-125px">Total Amount</th>
                            <th class="text-end min-w-70px">Actions</th>
                        </tr>
                        </thead>
                        <tbody class="fw-semibold text-gray-600">
                        </tbody>
                    </table>
                    <!--end::Table-->
                </div>
                <!--end::Card body-->
            </div>
            <!--end::Card-->
        </div>
        <!--end::Post-->
    </div>
    <!--end::Container-->

    <div class="modal fade" tabindex="-1" id="viewSalesReportModal">
        <div class="modal-dialog mw-1000px">
            <div class="modal-content">
                <div class="modal-header">
                    <h3 class="modal-title">Order Items</h3>

                    <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                        <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                    </div>
                </div>

                <div class="modal-body py-10 px-lg-17">
                    <div class="justify-content-between">
                        <i
                            class="ki-duotone ki-magnifier fs-3 mt-4 position-absolute ms-5"
                        ><span class="path1"></span><span class="path2"></span
                            ></i>
                        <input
                            type="text"
                            data-kt-customer-table-filter="searchorderitems"
                            class="form-control mb-5 form-control-solid w-250px ps-12"
                            placeholder="Search Items"
                        />
                    </div>
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="orderItemsTable">
                        <thead>
                        <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                            <th class="min-w-200px">Order Number</th>
                            <th class="min-w-200px">Cashier</th>
                            <th class="min-w-200px">Customer</th>
                            <th class="min-w-200px">Order Date</th>
                            <th class="min-w-200px">Item Quantity</th>
                            <th class="min-w-200px">Measurement Quantity</th>
                            <th class="min-w-150px text-end">Item Amount</th>
                        </tr>
                        </thead>
                        <tbody class="fw-semibold text-gray-600">

                        </tbody>
                    </table>
                </div>

            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection("footer-links"); ?>

    <script>
        $(document).ready(function() {

            var start = moment("<?php echo $startDate; ?>", "YYYY-MM-DD");
            var end = moment("<?php echo $endDate; ?>", "YYYY-MM-DD");

            var from = "<?php echo $startDate; ?>";
            var to = "<?php echo $endDate; ?>";

            var initFrom = moment().startOf('month').format('YYYY-MM-DD');
            var initTo = moment().endOf('month').format('YYYY-MM-DD');

            let itemCategoryId = "<?php echo $itemCategoryId; ?>";

            let item_id;

            var datatable = $("#salesReportTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 100,
                "ajax": {
                    "url": "ajax_sales_report?startDate="+from+"&endDate="+to+"&itemCategoryId="+itemCategoryId,
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    "dataSrc": function (response){
                        $(".totalSalesAmount").text(response.totalSalesAmount);
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                scrollX: true,
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });

            function cb(start, end) {
                from = start.format('YYYY-MM-DD')
                to = end.format('YYYY-MM-DD')
                itemCategoryId = $(".itemCategoryId").selectpicker("val");
                $("#dateText").html(start.format("ddd, MMM D, YYYY") + " - " + end.format("ddd, MMM D, YYYY"));
                datatable.ajax.url("ajax_sales_report?startDate="+from+"&endDate="+to+"&itemCategoryId="+itemCategoryId).load();
            }

            cb(start, end);
        
            $("#date").daterangepicker({
                startDate: start,
                endDate: end,
                ranges: {
                    "Today": [moment(), moment()],
                    "Yesterday": [moment().subtract(1, "days"), moment().subtract(1, "days")],
                    "Last 7 Days": [moment().subtract(6, "days"), moment()],
                    "Last 30 Days": [moment().subtract(29, "days"), moment()],
                    "This Month": [moment().startOf("month"), moment().endOf("month")],
                    "Last Month": [moment().subtract(1, "month").startOf("month"), moment().subtract(1, "month").endOf("month")]
                }
            }, function(start, end) {
                cb(start, end);
            });

            var datatable_order_items = $("#orderItemsTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 100,
                "ajax": {
                    "url": "view_sales_report?itemId="+item_id+"&startDate="+from+"&endDate="+to,
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    error: function(xhr, errorType, exception) {
                        console.log('An error occurred while fetching data:', exception);
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "error": function (xhr, errorType, exception) {
                    console.log('An error occurred while fetching data:', exception);
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });

            $(document).on("click", ".viewSalesReport", function (e){
                e.preventDefault();
                item_id = $(this).data("id");
                var start_date = $(this).data("start_date");
                var end_date = $(this).data("end_date");
                datatable_order_items.ajax.url("view_sales_report?itemId="+item_id+"&startDate="+start_date+"&endDate="+end_date).load();
            });

            $(document).on("change", ".itemCategoryId", function (e){
                itemCategoryId = $(".itemCategoryId").selectpicker("val");
                datatable.ajax.url("ajax_sales_report?startDate="+from+"&endDate="+to+"&itemCategoryId="+itemCategoryId).load();
            });

            $(document).on('keyup', '[data-kt-customer-table-filter="search"]', function (e) {
                datatable.search(e.target.value).draw();
            });

            $(document).on('keyup', '[data-kt-customer-table-filter="searchorderitems"]', function (e) {
                datatable_order_items.search(e.target.value).draw();
            });

        });
    </script>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/zeonpos/resources/views/sales_report.blade.php ENDPATH**/ ?>