<?php $__env->startSection('title', env('APP_NAME')); ?>

<?php $__env->startSection('content'); ?>

    <!--begin::Toolbar-->
    <div class="toolbar mb-n1 pt-3 mb-lg-n3 pt-lg-6" id="kt_toolbar">
        <!--begin::Container-->
        <div
            id="kt_toolbar_container"
            class="container-xxl d-flex flex-stack flex-wrap gap-2"
        >
            <!--begin::Page title-->
            <div
                class="page-title d-flex flex-column align-items-start me-3 py-2 py-lg-0 gap-2"
            >
                <!--begin::Title-->
                <h1 class="d-flex text-dark fw-bold m-0 fs-3">Manager</h1>
                <!--end::Title-->

                <!--begin::Breadcrumb-->
                <ul
                    class="breadcrumb breadcrumb-dot fw-semibold text-gray-600 fs-7"
                >
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">
                        <a
                            href="<?php echo e(url("/")); ?>"
                            class="text-gray-600 text-hover-primary"
                        >
                            Home
                        </a>
                    </li>
                    <!--end::Item-->
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">Item Wastes</li>
                    <!--end::Item-->
                    <!--begin::Item-->
                </ul>
                <!--end::Breadcrumb-->
            </div>
            <!--end::Page title-->
            <!--begin::Actions-->
            <div class="d-flex align-items-center">
                <!--begin::Daterange-->

                <!--end::Daterange-->
            </div>
            <!--end::Actions-->
        </div>
        <!--end::Container-->
    </div>
    <!--end::Toolbar-->


    <div id="kt_content_container" class=" container-xxl" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
                <div class="card z-depth-1">
                    <div class="row px-5 py-5">
                        <div class="col-lg-2 col-12">
                            <a href="#" data-bs-target="#addWasteModal" data-bs-toggle="modal" class="btn btn-m btn-dark"><i class="bi bi-plus-circle-fill fs-4 me-2 pe-0"></i> ADD WASTE</a>
                        </div>
                        <div class="col-lg-4 col-12">
                            <div class=" border rounded-3 form-solid">
                            <a
                            href="#"
                            class="btn btn-flex bg-body h-35px h-lg-40px px-5"
                            id="date"
                            data-bs-toggle="tooltip"
                            data-bs-dismiss="click"
                            data-bs-trigger="hover"
                            title="Select Date"
                        >
                            <span class="me-2">
                                <span
                                    class="text-primary fw-bold"
                                    id="dateText"
                                >
                                </span>
                            </span>
                            <i class="ki-duotone ki-down fs-4 m-0"></i>
                        </a>
                    </div>
                        </div>
                        <div class="col-lg-3 col-12">
                            <select class="select itemCategoryId" name="itemCategoryId" data-placeholder="ALL CATEGORIES" data-live-search="true" data-width="100%" data-dropdown-parent="#addItemModal">
                                <option>ALL CATEGORIES</option>
                                <?php $__currentLoopData = $itemCategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $itemCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($itemCategory->id); ?>"><?php echo e($itemCategory->item_category_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="col-lg-3 col-12 text-end">
                            <a href="#" class="btn btn-m btn-outline btn-outline-dashed btn-outline-primary btn-active-light-primary p-3 z-depth-1 wasteAmount">₦<?php echo e(number_format(0.00, 2)); ?></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>


    <!--begin::Container-->
    <div id="kt_content_container" class="d-flex flex-column-fluid align-items-start container-xxl" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
            <!--begin::Card-->
            <div class="card z-depth-1">
                <!--begin::Card header-->
                <div class="card-header border-0 pt-6">
                    <!--begin::Card title-->
                    <div class="card-title">
                        <!--begin::Search-->
                        <div
                            class="d-flex align-items-center position-relative my-1"
                        >
                            <i
                                class="ki-duotone ki-magnifier fs-3 position-absolute ms-5"
                            ><span class="path1"></span><span class="path2"></span
                                ></i>
                            <input
                                type="text"
                                data-kt-customer-table-filter="search"
                                class="form-control form-control-solid w-250px ps-12"
                                placeholder="Search Items"
                            />
                        </div>
                        <!--end::Search-->
                    </div>
                    <!--begin::Card title-->

                </div>
                <!--end::Card header-->

                <!--begin::Card body-->
                <div class="card-body pt-0">
                    <!--begin::Table-->
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="itemWastesTable">
                        <thead>
                        <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                            <th class="min-w-175px">Item Name</th>
                            <th class="min-w-125px">Category Name</th>
                            <th class="min-w-75px">Total Waste</th>
                            <th class="min-w-125px">Measurements</th>
                            <th class="min-w-125px">Total Amount</th>
                            <th class="text-end min-w-70px">Actions</th>
                        </tr>
                        </thead>
                        <tbody class="fw-semibold text-gray-600">
                        </tbody>
                    </table>
                    <!--end::Table-->
                </div>
                <!--end::Card body-->
            </div>
            <!--end::Card-->
        </div>
        <!--end::Post-->
    </div>
    <!--end::Container-->

    <div class="modal fade" tabindex="-1" id="viewItemWastesModal">
        <div class="modal-dialog mw-1000px">
            <div class="modal-content">
                <div class="modal-header">
                    <h3 class="modal-title">Item Waste</h3>

                    <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                        <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                    </div>
                </div>

                <div class="modal-body py-10 px-lg-17">
                    <div class="justify-content-between">
                        <i
                            class="ki-duotone ki-magnifier fs-3 mt-4 position-absolute ms-5"
                        ><span class="path1"></span><span class="path2"></span
                            ></i>
                        <input
                            type="text"
                            data-kt-customer-table-filter="searchitems"
                            class="form-control mb-5 form-control-solid w-250px ps-12"
                            placeholder="Search Items"
                        />
                    </div>
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="wastesTable">
                        <thead>
                        <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                            <th class="min-w-200px">Item Name</th>
                            <th class="min-w-200px">Item Stock</th>
                            <th class="min-w-200px">Waste Quantity</th>
                            <th class="min-w-150px">Waste Amount</th>
                            <th class="min-w-150px text-end">Waste Date</th>
                        </tr>
                        </thead>
                        <tbody class="fw-semibold text-gray-600">

                        </tbody>
                    </table>
                </div>

            </div>

        </div>
    </div>

    <div class="modal fade" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"id="addWasteModal">
        <div class="modal-dialog mw-1000px">
            <div class="modal-content">
                <div class="modal-header">
                    <h3 class="modal-title">Add Waste</h3>
                    <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                        <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                    </div>
                </div>
                <form id="addWasteForm">
                    <div class="modal-body px-lg-13">
                        <div class="card p-5">
                            <div class="fv-row mb-7">
                                <label class="required fs-6 fw-semibold mb-2">Waste Name</label>
                                <input type="text" class="form-control" placeholder="Enter waste name" name="wasteName" value="" />
                            </div>
                            <div class="fv-row mb-1">
                                <label class="required fs-6 fw-semibold mb-2">Waste Date</label>
                                <input type="date" class="form-control" placeholder="Waste Date" name="wasteDate" value="<?php echo e(\Illuminate\Support\Carbon::now()->format("Y-m-d")); ?>" />
                            </div>
                        </div>

                        <div class="separator separator-content my-14"><span class="w-125px text-gray-500 fw-semibold fs-8">ITEM WASTES</span></div>

                        <div class="fv-row mb-7">
                            <div id="itemWastes">
                                <div class="form-group">
                                    <div data-repeater-list="itemWastes">
                                        <div class="col-md-1 mt-md-8 d-none">
                                            <a href="#" name="barcodeCheck" class="btn btn-sm btn-warning h-lg-40px barcodeCheck"><i class="bi bi-eye-fill pt-1 fs-4 me-0 pe-0"></i></a>
                                        </div>
                                        <div class="col-md-4 d-none">
                                            <label class="form-label">Barcode</label>
                                            <input type="text" class="form-control form-control-solid barcode" placeholder="Barcode" name="barcode" value="" />
                                        </div>
                                        <div data-repeater-item class="mb-5">
                                            <div class="form-group row mb-2">
                                                <div class="col-md-5">
                                                    <label class="form-label">Item</label>
                                                    <select class="mb-2 itemId" data-width="100%" data-live-search="true" name="itemId" data-placeholder="Select Item" data-dropdown-parent="#addWasteModal">
                                                        <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($item->id); ?>" data-measurement="<?php echo e($item->item_measurement); ?>"><?php echo e($item->item_name); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                </div>
                                                <div class="col-md-5">
                                                    <label class="form-label">Item Purchase</label>
                                                    <select class="mb-2 itemPurchaseId" data-width="100%" data-live-search="true" name="itemPurchaseId" data-placeholder="Select Item Purchase" data-dropdown-parent="#addWasteModal">
                                                        
                                                    </select>
                                                </div>
                                                <div class="col-md-2 mt-md-8">
                                                    <a href="javascript:;" data-repeater-delete class="btn btn-light-danger">
                                                        <i class="ki-duotone ki-trash fs-5"><span class="path1"></span><span class="path2"></span><span class="path3"></span><span class="path4"></span><span class="path5"></span></i>Delete
                                                    </a>
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-md-4">
                                                    <label class="form-label">Measurement</label>
                                                    <select class="mb-2 measurementId" data-width="100%" data-live-search="true" name="measurementId" data-placeholder="Measurement" data-dropdown-parent="#addWasteModal">
                                                    </select>
                                                </div>
                                                <div class="col-md-4">
                                                    <label class="form-label">Quantity</label>
                                                    <input type="text" name="measurementQuantity" class="measurementQuantity form-control mb-2 mb-md-0" placeholder="Qty"/>
                                                </div>
                                                <div class="col-md-4">
                                                    <label class="form-label">Item Quantity <span class="itemQuantityLabel"></span></label>
                                                    <input type="text" readOnly name="wasteQuantity" class="form-control form-control-solid mb-2 mb-md-0" placeholder="Item Qty"/>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group mt-5">
                                    <a href="javascript:;" data-repeater-create class="btn btn-light-primary addItemWaste">
                                        <i class="ki-duotone ki-plus fs-3"></i>
                                        Add Item Waste
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Save changes</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div id="scan_toast_container" class="toast-container position-fixed top-0 end-0 p-3 z-index-10000">
        
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection("footer-links"); ?>

<script type="text/javascript" src="<?php echo e(url("assets/js/jquery.scannerdetection.js")); ?>"></script>
    <script>


        var start = moment("<?php echo $startDate; ?>", "YYYY-MM-DD");
        var end = moment("<?php echo $endDate; ?>", "YYYY-MM-DD");

        var from = "<?php echo $startDate; ?>";
        var to = "<?php echo $endDate; ?>";

        var initFrom = moment().startOf('month').format('YYYY-MM-DD');
        var initTo = moment().endOf('month').format('YYYY-MM-DD');

        var itemCategoryId = "<?php echo $itemCategoryId; ?>";

        
        const scanToastContainer = document.getElementById('scan_toast_container');

        function showToast(message, type = 'success', icon = 'ki-outline-info') {
            const toastElement = document.createElement('div');
            toastElement.className = `toast text-bg-${type} rounded-m`;
            toastElement.role = 'alert';
            toastElement.ariaLive = 'assertive';
            toastElement.ariaAtomic = 'true';

            toastElement.innerHTML = `
                    <div class="toast-header">
                        <i class="ki-duotone ${icon} fs-3 text-${type}"><span class="path1"></span><span class="path2"></span></i>
                        <strong class="me-auto">Scan Alert!</strong>
                        <small>1 second ago</small>
                        <button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
                    </div>
                    <div class="toast-body fw-semibold text-white">
                        ${message}
                    </div>
            `;

            scanToastContainer.append(toastElement);

            const toast = bootstrap.Toast.getOrCreateInstance(toastElement);
            toast.show();

            toastElement.addEventListener('hidden.bs.toast', () => {
                toastElement.remove();
            });
        }

        let waste_items = "No";

        $(".addWaste").on("click", function() {
            waste_items = "Yes";
        })

        $(document).ready(function() {

            $(".itemPurchaseId").selectpicker({});

            $(document).scannerDetection({
                timeBeforeScanTest: 200,
                avgTimeByChar: 100,
                onComplete: function(barcode, qty){
                    let barcodeExists = $(".barcode").filter(function() {
                        return $(this).val() === barcode;
                    }).length > 0;
                    if (barcodeExists) {
                        let barcodeInput = $(".barcode").filter(function() {
                            return $(this).val() === barcode;
                        });
                        if (barcodeInput.length > 0) {
                            showToast('Item Already in Waste', 'warning');
                            let parentItemId = barcodeInput.closest("div[data-repeater-item]").find(".itemId").selectpicker("val");
                        }
                    } else {
                        $(".addItemWaste").click();
                        $(".barcode").last().val(barcode);
                        showToast('Item Added to Waste', 'success', 'ki-bold-check-1'); 
                    }
                }
            });

            $(".paymentMethodId").selectpicker();
            $('.itemCategoryId').selectpicker();

            let waste_id, item_id;
            
            var datatable_payments = $("#paymentsTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 100,
                "ajax": {
                    "url": "view_payments?wasteId=" + waste_id,
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    error: function(xhr, errorType, exception) {
                        console.log('An error occurred while fetching data:', exception);
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "error": function (xhr, errorType, exception) {
                    console.log('An error occurred while fetching data:', exception);
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });
            
            $(document).on("click", ".viewWastePayments", function(e){
                waste_id = $(this).data("id");
                $(".wasteId").val(waste_id);
                datatable_payments.ajax.url("view_payments?wasteId=" + waste_id).load();
            })
            
            $(document).on('keyup', '[data-kt-customer-table-filter="searchpayments"]', function (e) {
                datatable_payments.search(e.target.value).draw();
            });

            var start = moment("<?php echo $startDate; ?>", "YYYY-MM-DD");
            var end = moment("<?php echo $endDate; ?>", "YYYY-MM-DD");

            var from = "<?php echo $startDate; ?>";
            var to = "<?php echo $endDate; ?>";

            "use strict";
            
            var datatable = $("#itemWastesTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 50,
                "columnDefs": [
                ],
                "ajax": {
                    "url": "ajax_item_wastes?startDate="+from+"&endDate="+to,
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    "dataSrc": function (response){
                        $(".wasteAmount").text(response.wasteAmount);
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });

            var datatable_item_wastes = $("#wastesTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 100,
                "ajax": {
                    "url": "view_item_wastes?itemId=" + item_id +"&startDate="+from+"&endDate=" + to,
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    error: function(xhr, errorType, exception) {
                        console.log('An error occurred while fetching data:', exception);
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "error": function (xhr, errorType, exception) {
                    console.log('An error occurred while fetching data:', exception);
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });
            
            function cb(start, end) {
                from = start.format('YYYY-MM-DD')
                to = end.format('YYYY-MM-DD')
                $("#dateText").html(start.format("ddd, MMM D, YYYY") + " - " + end.format("ddd, MMM D, YYYY"));
                datatable.ajax.url("ajax_item_wastes?startDate=" + from + "&endDate=" + to).load();
                wastesSummary();
            }

            cb(start, end);

            wastesSummary();

            $(document).on("click", ".addWastePayment", function (e) {
                e.preventDefault();
                var waste_id = $(".wasteId").val();
                var payment_method_id = $(".paymentMethodId").selectpicker("val");
                var payment_date = $(".paymentDate").val();
                var payment_amount = $(".paymentAmount").val();
                var error = false;
                if(payment_amount){
                    datatable_dispense_store_item_id = waste_id;
                    $.ajax({
                        url: 'add_waste_payment',
                        method: 'POST',
                        data: {paymentMethodId: payment_method_id, 
                            wasteId: waste_id, 
                            paymentDate: payment_date,
                            paymentAmount: payment_amount
                        },
                        success: function(response) {
                            datatable_payments.ajax.url("view_payments?wasteId=" + waste_id).load();
                            datatable.ajax.url("ajax_item_wastes?startDate=" + from + "&endDate=" + to).load();
                        },
                        error: function() {

                        }
                    });
                }
            });

            $("#date").daterangepicker({
                startDate: start,
                endDate: end,
                ranges: {
                    "Today": [moment(), moment()],
                    "Yesterday": [moment().subtract(1, "days"), moment().subtract(1, "days")],
                    "Last 7 Days": [moment().subtract(6, "days"), moment()],
                    "Last 30 Days": [moment().subtract(29, "days"), moment()],
                    "This Month": [moment().startOf("month"), moment().endOf("month")],
                    "Last Month": [moment().subtract(1, "month").startOf("month"), moment().subtract(1, "month").endOf("month")]
                }
            }, function(start, end) {
                cb(start, end);
            });

            $(document).on("click", ".deleteWastePayment", function (e) {
                var waste_payment_id = $(this).data("id");
                var tr = $(this).parents("tr");
                if(waste_payment_id){
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Stock Item Payment will be reversed!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $.ajax({
                                    url: "delete_waste_payment",
                                    type: "DELETE",
                                    data: {
                                        wastePaymentId: waste_payment_id,
                                    },
                                    dataType: "json",
                                    success: function (response){
                                        if(response.status === "failed"){
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }else{
                                            datatable_payments.row(tr).remove().draw(false);
                                            datatable.ajax.url("ajax_item_wastes?startDate=" + from + "&endDate=" + to).load();
                                            wastesSummary();
                                            Swal.fire("Removed!","Stock Item Payment reversed", "success");
                                        }
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            })

            function wastesSummary(){
                $.ajax({
                    url: 'wastes_summary',
                    method: 'GET',
                    data: {startDate: from, endDate: to},
                    success: function(response) {
                        $("#totalCostPrice").text(response.totalCostPrice);
                        $(".totalWastes").text(response.totalWastes);
                        $("#totalWasteAmount").text(response.totalWasteAmount);
                        $("#totalPaymentAmount").text(response.totalPaymentAmount);
                        $("#totalDiscountAmount").text(response.totalDiscountAmount);
                        $("#totalBalanceAmount").text(response.totalBalanceAmount);
                    },
                    error: function() {
                        wastesSummary();
                    }
                });
            }

            $(document).on('keyup', '[data-kt-customer-table-filter="search"]', function (e) {
                datatable.search(e.target.value).draw();
            });

            $(document).on("click", ".viewItemWaste", function(e){
                var item_id = $(this).data("id");
                var start_date = $(this).data("start_date");
                var end_date = $(this).data("end_date");
                datatable_item_wastes.ajax.url("view_item_wastes?itemId=" + item_id +"&startDate="+from+"&endDate=" + to).load();
            })

            function fillItemQty(index){
                let measurementIdName = `itemWastes[${index}][measurementId]`;
                let measurementQuantityName = `itemWastes[${index}][measurementQuantity]`;
                let itemQuantityName = `itemWastes[${index}][wasteQuantity]`;
                let selectedRate = $(`select[name='${measurementIdName}'] option:selected`).data("rate");
                let measurementQuantity = $(`input[name='${measurementQuantityName}']`).val();
                var itemQuantity = selectedRate * measurementQuantity;
                $(`input[name='${itemQuantityName}']`).val(itemQuantity);
            }

            $(document).on('change', 'select.measurementId', function() {
                let name = $(this).attr('name');
                let index = name.match(/itemWastes\[(\d+)]\[measurementId]/)[1];
                fillItemQty(index);
            });

            $(document).on('change', 'input.measurementQuantity', function() {
                let name = $(this).attr('name');
                let index = name.match(/itemWastes\[(\d+)]\[measurementQuantity]/)[1];
                fillItemQty(index);
            });

            $(document).on('change', 'select.itemId', function() {
                let name = $(this).attr('name');
                let index = name.match(/itemWastes\[(\d+)]\[itemId]/)[1];
                var selectedItemId = $(this).val();
                var baseMeasurement = $(this).find('option:selected').data('measurement');
                var repeaterItem = $(this).closest('[data-repeater-item]');
                var measurementSelect = repeaterItem.find('select.measurementId');
                var measurementNameSelect = repeaterItem.find('.measurementName');
                measurementSelect.hide();
                var parentDiv = measurementSelect.closest('.dropdown');
                var newMeasurementSelect = $('<select></select>').addClass('mb-2 measurementId');
                var attributesToCopy = ['data-width', 'data-live-search', 'name', 'data-placeholder', 'data-dropdown-parent'];
                $.each(attributesToCopy, function(index, attributeName) {
                    var attributeValue = measurementSelect.attr(attributeName);
                    if (attributeValue !== undefined) {
                        newMeasurementSelect.attr(attributeName, attributeValue);
                    }
                });
                parentDiv.replaceWith(newMeasurementSelect);

                $.ajax({
                    url: 'item_measurements',
                    method: 'GET',
                    data: {itemId: selectedItemId},
                    success: function(response) {
                        measurementNameSelect.val(response.measurementName);
                        newMeasurementSelect.empty();
                        newMeasurementSelect.append($('<option></option>').attr('value', "0").data('rate', 1).text(baseMeasurement));
                        $.each(response.itemMeasurements, function(index, option) {
                            newMeasurementSelect.append($('<option></option>').attr('value', String(option.id)).data('rate', option.quantity).text(option.measurement_name));
                        });
                        newMeasurementSelect.selectpicker("val", "0");
                        newMeasurementSelect.trigger('change');
                        fillItemQty(index);
                    },
                    error: function() {

                    }
                });
                var itemPurchaseSelect = repeaterItem.find('select.itemPurchaseId');
                itemPurchaseSelect.hide();
                var parentDiv = itemPurchaseSelect.closest('.dropdown');
                var newItemPurchaseSelect = $('<select></select>').addClass('mb-2 itemPurchaseId');
                var attributesToCopy = ['data-width', 'data-live-search', 'name', 'data-placeholder', 'data-dropdown-parent'];
                $.each(attributesToCopy, function(index, attributeName) {
                    var attributeValue = itemPurchaseSelect.attr(attributeName);
                    if (attributeValue !== undefined) {
                        newItemPurchaseSelect.attr(attributeName, attributeValue);
                    }
                });
                parentDiv.replaceWith(newItemPurchaseSelect);
                $.ajax({
                    url: 'item_purchases',
                    method: 'GET',
                    data: {itemId: selectedItemId},
                    success: function(response) {
                        newItemPurchaseSelect.empty();
                        $.each(response.itemPurchases, function(index, option) {
                            newItemPurchaseSelect.append($('<option></option>').attr('value', String(option.id)).text(option.barcode));
                        });
                        newItemPurchaseSelect.selectpicker();
                    },
                    error: function() {

                    }
                });
            });

            $('#itemWastes').repeater({
                initEmpty: true,
                show: function () {
                    $(this).slideDown();
                    $(this).find('.itemId').selectpicker();
                    $(this).find('.measurementId').selectpicker();
                    $(this).find('.expiryDate').flatpickr();
                },
                hide: function (deleteElement) {
                    $(this).slideUp(deleteElement);
                },
                ready: function () {
                    $('.itemId').selectpicker();
                    $('.measurementId').selectpicker();
                    $('.expiryDate').flatpickr();
                }
            });

            $("#wasteDate").flatpickr();

            $("#addWasteForm").submit(function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Waste will be added!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#addWasteForm").ajaxSubmit({
                                    type: "POST",
                                    url: "add_waste",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            wastesSummary();
                                            $("#addWasteForm").resetForm();
                                            datatable.ajax.url("ajax_item_wastes?startDate=" + from + "&endDate=" + to).load();
                                            Swal.fire("Done!", "Waste Added", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });
			
			$(document).on("click", ".wastePayments", function (e){
                e.preventDefault();
                var waste_id = $(this).data("id");
                emptyModalOpen();
                $.ajax({
                    type: "GET",
                    url: "waste_payments",
                    dataType: "json",
                    data:{
                        wasteId: waste_id,
                    },
                    success: function (response) {
                        if (response.status === "success") {
                            emptyModalFill(response)
							//$(".paymentMethodId").selectpicker();
                        } else {
                            Swal.fire("Cancelled!", response.message, "error");
                        }
                        Swal.hideLoading();
                        $('#wastePayments').repeater({
                            show: function () {
                                $(this).slideDown();
                                $(this).find('.paymentMethodId').selectpicker();
								$(this).find(".stockStoreItemListId").val("");
                                $(this).find(".wastePaymentId").data("id", "");
                                $(this).find(".deleteWastePayment").data("id", "");
                            },
                            hide: function (deleteElement) {
                                var waste_payment_id = $(this).find(".wastePaymentId").data("id");
                                if(waste_payment_id){
                                    Swal.fire({
                                        title: 'Are you sure?',
                                        html: "Stock Item Payment will be removed!",
                                        icon: 'info',
                                        buttonsStyling: false,
                                        showCancelButton: true,
                                        allowOutsideClick: false,
                                        allowEscapeKey: false,
                                        allowEnterKey: false,
                                        showLoaderOnConfirm: true,
                                        confirmButtonText: 'Yes, submit it!',
                                        cancelButtonText: 'No, cancel it',
                                        customClass: {
                                            confirmButton: 'btn btn-primary',
                                            cancelButton: 'btn btn-danger'
                                        },
                                        preConfirm: () => {
                                            return new Promise(() => {
                                                $.ajax({
                                                    url: "delete_waste_payment",
                                                    type: "DELETE",
                                                    data: {
                                                        wastePaymentId: waste_payment_id,
                                                    },
                                                    dataType: "json",
                                                    success: function (response){
                                                        if(response.status === "failed"){
                                                            Swal.fire("Cancelled!", response.message, "error");
                                                        }else{
                                                            Swal.fire("Removed!","Stock Item Payment Removed", "success");
                                                            datatable.ajax.url("ajax_item_wastes?startDate=" + from + "&endDate=" + to).load();
                                                            $(this).slideUp(deleteElement);
                                                        }
                                                    },
                                                    error: function (response) {
                                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                                        Swal.hideLoading();
                                                    }
                                                });
                                            });
                                        },
                                    })
                                }else{
                                    $(this).slideUp(deleteElement);
                                }
                            },
                            ready: function () {
                                $('.paymentMethodId').selectpicker();
                            }
                        });

                    },
                    error: function (response) {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        emptyModalClose();
                    }
                });
            });

            $(document).on("click", ".editWaste", function (e){
                e.preventDefault();
                var waste_id = $(this).data("id");
                emptyModalOpen();
                $.ajax({
                    type: "GET",
                    url: "edit_waste_form",
                    dataType: "json",
                    data:{
                        wasteId: waste_id,
                    },
                    success: function (response) {
                        if (response.status === "success") {
                            emptyModalFill(response)
                            $(".wasteId").selectpicker();
                            $(".wasteDate").flatpickr();
                        } else {
                            Swal.fire("Cancelled!", response.message, "error");
                        }
                        Swal.hideLoading();
                        $('#editWastes').repeater({
                            show: function () {
                                $(this).slideDown();
                                $(this).find('.storeItemId').selectpicker();
                                $(this).find('.measurementId').selectpicker();
                                $(this).find('.expiryDate').flatpickr();
                                $(this).find(".stockStoreItemListId").val("");
                                $(this).find(".stockStoreItemListId").data("id", "");
                                $(this).find(".wasteListId").data("id", "");
                                $(this).find(".deleteWasteList").data("id", "");
                            },
                            hide: function (deleteElement) {
                                var waste_list_id = $(this).find(".wasteListId").data("id");
                                if(waste_list_id){
                                    Swal.fire({
                                        title: 'Are you sure?',
                                        html: "Store Item will be removed!",
                                        icon: 'info',
                                        buttonsStyling: false,
                                        showCancelButton: true,
                                        allowOutsideClick: false,
                                        allowEscapeKey: false,
                                        allowEnterKey: false,
                                        showLoaderOnConfirm: true,
                                        confirmButtonText: 'Yes, submit it!',
                                        cancelButtonText: 'No, cancel it',
                                        customClass: {
                                            confirmButton: 'btn btn-primary',
                                            cancelButton: 'btn btn-danger'
                                        },
                                        preConfirm: () => {
                                            return new Promise(() => {
                                                $.ajax({
                                                    url: "delete_waste_list",
                                                    type: "DELETE",
                                                    data: {
                                                        wasteListId: waste_list_id,
                                                    },
                                                    dataType: "json",
                                                    success: function (response){
                                                        if(response.status === "failed"){
                                                            Swal.fire("Cancelled!", response.message, "error");
                                                        }else{
                                                            Swal.fire("Removed!","Store Item Removed", "success");
                                                            datatable.ajax.url("ajax_item_wastes?startDate=" + from + "&endDate=" + to).load();
                                                            $(this).slideUp(deleteElement);
                                                        }
                                                    },
                                                    error: function (response) {
                                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                                        Swal.hideLoading();
                                                    }
                                                });
                                            });
                                        },
                                    })
                                }else{
                                    $(this).slideUp(deleteElement);
                                }
                            },
                            ready: function () {
                                $('.storeItemId').selectpicker();
                                $('.supplierId').selectpicker();
                                $('.measurementId').selectpicker();
                                $('.expiryDate').flatpickr();
                            }
                        });

                    },
                    error: function (response) {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        emptyModalClose();
                    }
                });
            });

            
            function createRepeater(number) {
                for (var i = 1; i <= number; i++) {
                    var elementId = '#editWastes' + i;
                    $(elementId).repeater({
                        initEmpty: false,
                        show: function () {
                            $(this).slideDown();
                            $(this).find('.storeId').selectpicker();
                        },
                        hide: function (deleteElement) {
                            var stock_store_item_list_id = $(this).find('.stockStoreItemListId').val();
                            if(stock_store_item_list_id){
                                Swal.fire({
                                    title: 'Are you sure?',
                                    html: "Stock Store Item List will be removed!",
                                    icon: 'info',
                                    buttonsStyling: false,
                                    showCancelButton: true,
                                    allowOutsideClick: false,
                                    allowEscapeKey: false,
                                    allowEnterKey: false,
                                    showLoaderOnConfirm: true,
                                    confirmButtonText: 'Yes, submit it!',
                                    cancelButtonText: 'No, cancel it',
                                    customClass: {
                                        confirmButton: 'btn btn-primary',
                                        cancelButton: 'btn btn-danger'
                                    },
                                    preConfirm: () => {
                                        return new Promise(() => {
                                            $.ajax({
                                                url: "delete_stock_store_item_list",
                                                type: "DELETE",
                                                data: {
                                                    stockStoreItemListId: stock_store_item_list_id,
                                                },
                                                dataType: "json",
                                                success: function (response){
                                                    if(response.status === "failed"){
                                                        Swal.fire("Cancelled!", response.message, "error");
                                                    }else{
                                                        Swal.fire("Removed!","Stock Store Item Removed", "success");wastesSummary();
                                                        datatable.ajax.url("ajax_item_wastes?startDate=" + from + "&endDate=" + to).load();
                                                        $('.totalStockAmount').html(response.totalStockAmount);
                                                        $('.totalStock').html(response.totalStock);
                                                        $('.unStoredStocks').html(response.unStoredStocks);
                                                        $(this).slideUp(deleteElement);
                                                    }
                                                },
                                                error: function (response) {
                                                    Swal.fire("Error!", response.responseJSON.message, "error");
                                                    Swal.hideLoading();
                                                }
                                            });
                                        });
                                    },
                                })
                            }
                            else{
                                $(this).slideUp(deleteElement);
                            }
                        },
                        ready: function () {

                        }
                    });
                }
            }

            $(document).on("click", ".deleteWaste", function (e){
                e.preventDefault();
                var waste_id = $(this).data("id");
                var error = false;
                var tr = $(this).parents("tr");

                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Waste will be deleted!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $.ajax({
                                    type: "DELETE",
                                    url: "delete_waste",
                                    dataType: "json",
                                    data:{
                                        wasteId: waste_id,
                                    },
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.row(tr).remove().draw(false);
                                            Swal.fire("Done!", "Waste Deleted", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

        });
    </script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/zeonpos/resources/views/item_wastes.blade.php ENDPATH**/ ?>